# Microsoft revokes insecure SSH keys for Azure DevOps customers
## Microsoft revoked insecure SSH keys some Azure DevOps have generated using a GitKraken git GUI client version impacted by an underlying issue found in one of its dependencies.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-revokes-insecure-ssh-keys-for-azure-devops-customers/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 12 October 2021, 08:00
+ Date scraped: 11 December 2023, 13:21

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/10/12/Azure_DevOps_headpic.jpg)



Microsoft revoked insecure SSH keys some Azure DevOps have generated using a GitKraken git GUI client version impacted by an underlying issue found in one of its dependencies.


[Azure DevOps](https://azure.microsoft.com/en-us/services/devops/) is a Microsoft cloud service specifically designed for code development collaboration with an integrated set of features accessible through an integrated development environment (IDE) client or web browser.


The decision to revoke the keys was taken after GitKraken's developer Axosoft notified Microsoft on September 28 that a bug in the [keypair](https://github.com/juliangruber/keypair) library's pseudo-random number generator led to duplicate RSA keys being generated.


If Microsoft hadn't revoked them, the duplicate SSH keys would've allowed Azure DevOps customers to access other users' accounts.


"In response to this disclosure, we conducted a security investigation of the reported vulnerability and identified a small set of users across our service with potentially insecure SSH keys generated through affected versions of GitKraken," Microsoft [explained](https://devblogs.microsoft.com/devops/azure-devops-response-to-gitkraken-ssh-bug/).


"We revoked all the affected SSH keys generated through affected versions of GitKraken on 10/11/2021. We will also directly inform those individuals whose SSH keys were revoked within the next 24 hours."


Microsoft recommends switching to new SSH keys
----------------------------------------------


While Azure DevOps customers who haven't already been informed their SSH keys were revoked are likely unaffected by this vulnerability, Microsoft still advises them to add new SSH public keys to Azure DevOps Services/TFS.


Detailed information on removing your SSH public keys and adding new ones is available on [Microsoft's support website](https://docs.microsoft.com/en-us/azure/devops/repos/git/use-ssh-keys-to-authenticate?view=azure-devops).


Yesterday, [GitHub also announced](https://www.bleepingcomputer.com/news/security/github-revokes-duplicate-ssh-auth-keys-linked-to-library-bug/) that it revoked weak SSH authentication keys generated with GitKraken versions using the faulty library, which created duplicate keypairs incorrectly.


The library flaw was discovered by Axosoft engineer Dan Suceava "who noticed that keypair was regularly generating duplicate RSA keys," and GitHub senior security engineer Kevin Jones identified the cause.


To protect their users, GitHub revoked all keys generated by GitKraken and other potentially weak keys created by other git clients using the same buggy keypair library version.


[Bitbucket](https://bitbucket.org/blog/action-required-for-gitkraken-users-using-ssh) and [GitLab](https://about.gitlab.com/blog/2021/10/11/notice-for-gitkraken-users-with-gitlab/) also revoked weak public keys their customers generated with older GitKraken versions on Tuesday.





## Tags:


### Autogenerated tags:
[[ssh]] [[microsoft]] [[gitkraken]] [[devops]] [[keypair]] [[github]]
