# Ubuntu 22.04 LTS released with performance and security improvements
## Canonical has announced the general availability of version 22.04 of the Ubuntu Linux distribution, codenamed 'Jammy Jellyfish', which brings better hardware support and an improved security baseline.
## Information:

+ Link: https://www.bleepingcomputer.com/news/linux/ubuntu-2204-lts-released-with-performance-and-security-improvements/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 22 April 2022, 13:18
+ Date scraped: 22 April 2022, 14:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/04/22/jellyfish.png)



Canonical has announced the general availability of version 22.04 of the Ubuntu Linux distribution, codenamed 'Jammy Jellyfish', which brings better hardware support and an improved security baseline.


Ubuntu is the world's most popular Linux distribution for consumers. It focuses on ease of use, automation, extensive hardware support, and a default configuration that enhances the user's out-of-the-box experience.


22.04 is an long-term support (LTS) release, so security updates will be available for the next five years, making it suitable for those who need a stable system with minimal maintenance requirements.


Moreover, this is the first LTS release where the entire Raspberry Pi device portfolio is supported, building upon the work that started back in Ubuntu 20.10, a release dedicated to the popular single-board computers.


## Release highlights


While Canonical offers multiple Ubuntu editions of each release for different deployment purposes, among the [highlights](https://ubuntu.com/blog/ubuntu-22-04-lts-released) in 22.04 LTS are:


* Confidential Computing for upgraded data protection and privacy in cloud operations.
* AWS Graviton optimization for better performance on Arm.
* Support for the entire range of the Raspberry Pi 4 device portfolio.
* Upgraded WSL features.
* Readily available NVIDIA GPU drivers and NVIDIA AI Enterprise suite support.
* Introduction of real-time kernel option for ultra-low latency in telco and industrial applications.
* Migration to OpenSSL v3 for elevated security and new cryptographic algorithms.
* Added Rust for memory-safe system-level programming.
* RDP support out of the box (VNC still available)
* nftables is now the default backend for the firewall.
* ssh-rsa is now disabled by default in OpenSSH
* Using Linux kernel version 5.15
* Move to [GNOME 42](https://release.gnome.org/42/) desktop environment featuring power profiles, upgraded workspace management, and frame rate optimizations on weaker hardware.


![Ubuntu 22.04 LTS desktop](https://www.bleepstatic.com/images/news/u/1220909/Linux/Ubuntu_22_04_LTS_Jammy_Jellyfish.png)**Ubuntu 22.04 LTS desktop** *(Canonical)*
When focusing on the Desktop edition's features, which is probably what a large number of users care about, Ubuntu 22.04 introduces the following new features:


* Horizontal workspace switcher and app launcher
* Wayland is now the default display server
* There are ten "accent colors" to choose from
* The dark mode has been revamped
* New File manager features include ZIP password protection and scrollable path-bar
* New screenshot tool
* Desktop icons are now more manageable
* New touchpad gestures
* More multi-tasking and keyboard shortcut options now available


![New accent color selector on Ubuntu](https://www.bleepstatic.com/images/news/u/1220909/Linux/omg.jpg)**New accent color selector on Ubuntu** *(omgubuntu.co.uk)*
## Grab your spin


If you're interested in trying out Ubuntu, you may pick the edition that suits your need from Canonical's [download portal](https://ubuntu.com/download). Ubuntu comes available in Desktop, Server, Cloud, and IoT (Core) editions.


Additionally, Ubuntu offers the so-called "[flavors](https://ubuntu.com/desktop/flavours)", essentially the same OS base with a different desktop environment, suitable for those who don't like the default GNOME Shell.


For example, Kubuntu uses the options-rich KDE with the Plasma desktop, Xubuntu has the lightweight Xfce environment, and Ubuntu Studio comes pre-loaded with a set of media production tools.



![The Ubuntu Studio 22.04 spin](https://www.bleepstatic.com/images/news/u/1220909/Linux/ubuntu-studio.png)**The Ubuntu Studio 22.04 spin** *(Canonical)*
For information on how to upgrade from older Ubuntu releases to 22.04, [check out this guide](https://ubuntu.com/tutorials/upgrading-ubuntu-desktop#1-before-you-start). Remember, it is always preferable and recommended to install new operating system versions from scratch, instead of upgrading from an older version.


For post-installation tips, check out this handy guide at [OMG Ubuntu](https://www.omgubuntu.co.uk/2022/04/installed-ubuntu-22-04-do-these-things-next), which could save you some time (and frustration) even on one of the most diligently pre-configured Linux distributions available.





## Tags:


### Autogenerated tags:
[[ubuntu]] [[linux]] [[lts]]
