# Perception Point launches Advanced Threat Protection for Zendesk
## Perception Point says new platform has been built to help protect vulnerable help desks and customer support teams from external threats such as malicious content within tickets.
## Information:

+ Link: https://www.csoonline.com/article/3685383/perception-point-launches-advanced-threat-protection-for-zendesk.html
+ Source: CSO
+ Author: Michael Hill
+ Date published: 18 January 2023, 11:00
+ Date scraped: 18 January 2023, 21:01

## Article:
![Main article image](https://images.idgesg.net/images/article/2018/07/help_desk_call_center_support_network__by_pete_linforth_thedigitalartist_cc0_via_pixabay_1200x800-100765076-large.jpg?auto=webp&quality=85,70)


Threat protection company Perception Point has launched Advanced Threat Protection for Zendesk to provide detection and remediation services for Zendesk customers. Perception Point said that customers can now protect customer service software Zendesk a single, consolidated platform alongside their email, web browsers and other cloud collaboration apps. Advanced Threat Protection for Zendesk has been built to help secure vulnerable help desks and customer support teams from external threats such as malicious content within tickets, [the firm state](https://perception-point.io/press/)d.

## **Help desk, customer service teams key attack targets**

In organizations, help desk and customer support staff often have access to workstations, mobile devices, routers, and servers, as well as the complete digital workplace system and the data associated with it. They also typically communicate regularly with people outside of the organization. [These factors make them attractive attack targets and particularly vulnerable to external threats originating from malicious content](https://perception-point.io/blog/zendesk-security-blog/). Content uploaded externally can potentially be used as a vehicle for cyberattacks, allowing malicious payloads to enter an organization’s system, Perception Point noted in its announcement.

The threats posed to help desk and customer support departments are nothing new. A [2013 report from the SANS Institute and RSA on help desk security and privacy](https://www.csoonline.com/article/2133761/why-help-desk-employees-are-a-social-engineer-s-favorite-target.html) cited help desk workers as the easiest victims for a determined social engineering criminal. [A recent InvGate blog echoed similar sentiments](https://blog.invgate.com/ensure-a-secure-service-desk), highlighting help desks as highly valuable attack surfaces, particularly if they lack robust cybersecurity measures and processes. Such risks played out in 2020 [when a spate of cyberattacks](https://www.wired.com/story/phone-spear-phishing-twitter-crime-wave/) saw hackers pose as IT staff at a range of organizations and trick employees into giving up their passwords to internal tools.


## **Advanced Threat Protection for Zendesk boosts native security**

Advanced Threat Protection for Zendesk, helps boosts Zendesk’s basic native security to protect customers from malware and social engineering attacks, Perception Point claimed. It can be easily deployed to protect all customer-facing personnel and scans every ticket attachment coming through Zendesk in near real-time, it added. Zendesk customers will be able to remediate s attack that slips through the cracks through the support of Perception Point’s free-of-charge 24/7 managed incident response service, the firm said.

Advanced Threat Protection for Zendesk has apparently been successfully deployed by international hospitality company Agoda, which uses Zendesk to process all customer requests. A [case study detailed how](https://perception-point.io/resources/case-studies/securing-zendesk/), over a three-month period, Perception Point’s solution scanned over 385,000 root files, around 69,000 embedded files and URLs, identifying and preventing 187 malicious events. “Perception Point has been instrumental in strengthening and fortifying both our organization and our Zendesk systems,” commented Guy Fridman, head of security operation and response, Agoda. “Securing Zendesk is critical to the success of our customer relationships.”





## Tags:


### Autogenerated tags:
[[zendesk]]
