# Apple Adds PQ3 post-quantum Encryption for iMessage
## Apple has released its new PQ3 (post-quantum) cryptographic protocol, claimed to be the first-ever messaging protocol to reach Level 3 security.
## Information:

+ Link: https://cybersecuritynews.com/?p=57838
+ Source: Cyber Security News
+ Author: Eswar
+ Date published: 22 February 2024, 13:16
+ Date scraped: 22 February 2024, 14:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEig-JqLEQ2YxBUXK-1XkgB0HQshFKz-KTW7va6ucw1OsDFY4utXIIm2SSQIwYfs2qrXChSHfPvPRumMVWBxhQaJzRug14KMbwUPrc67ZmdqHZ1QXMgIxeA6ethL1YiP3O88frlx7CajHAEU05sXfbSW1GN2tBGXnFZpNMEuCWANYEtKIDabP3eW2G0OwXOp/s1600/Apple%20Adds%20post-quantum%20Encryption%20for%20iMessage-1.webp)


Apple has released its new PQ3 (post-quantum) cryptographic protocol, claimed to be the first-ever messaging protocol to reach Level 3 security.


Apple announced its cryptographic protocol change in 2019 when it shifted from RSA to Elliptic Curve Cryptography (ECC), and several upgrades were made.


“PQ3 introduces a new post-quantum encryption key in the set of public keys each device generates locally and transmits to Apple servers as part of iMessage registration,” reads the [whitepaper](https://security.apple.com/blog/imessage-pq3/) by Apple.


However, Apple announced that PQ3 support would start to roll out in the public releases of iOS 17.4, iPadOS 17.4, macOS 14.4, and watchOS 10.4.


This new protocol has been discovered to mitigate the risk of threat actors using quantum computers for attacking purposes. The retaining of this data now and decrypting it later is an attack scenario named “*Harvest Now, Decrypt Later*“.


Document

Live Account Takeover Attack Simulation
[How do Hackers Bypass 2FA?](#)
-------------------------------


Live attack simulation Webinar demonstrates various ways in which account takeover can happen and practices to protect your websites and APIs against ATO attacks

.


  [Book Your Spot](https://www.indusface.com/account-takeover-live-attack-simulation.php?utm_source=gbhackers-blog-cta&utm_medium=referral&utm_campaign=2024-feb-webinar-account-takeover-live-attack-simulation) 


**PQ3 post-quantum Encryptioncal Analysis**
-------------------------------------------


According to the reports, shared Messaging platforms have been using classic public key cryptography such as RSA, ECC, and Diffie-Hellman key exchange for establishing end-to-end encryption.


Additionally, the messaging platforms are categorized into three levels: Level 0, Level 1, and Level 2.


Level 0 messaging platforms have no end-to-end encryption by default and do not have quantum security. Level 1 messaging platforms will have end-to-end encryption by default but no quantum security.


However, starting from Level 2, the messaging platforms are designed to have post-quantum cryptography protocols (PQC).


At this level, post-quantum cryptography applies only to the initial critical establishment. Quantum security is only applicable if the conversation key material is not compromised.


However, Apple stated that this groundbreaking Level 3 Post-quantum cryptography applies to the initial critical establishment and the ongoing message exchange.


Additionally, it can swiftly and automatically restore the cryptographic security of a conversation even when the threat actors compromise a key.


This Level 3 security is now available in iMessage, which offers the most vital protection against quantum attacks.


**Designing of PQ3**
--------------------


Apple claimed that instead of just replacing an existing algorithm with a new one, “we rebuilt the iMessage cryptographic protocol from the ground up to advance the state of the art in end-to-end encryption”. This rebuilding has the following advantages:


* From the start of the conversation, all communications are protected from current and future adversaries.
* Mitigating the impact of crucial compromise by limiting the capability of a single compromised key.
* Using a hybrid design that combines the new post-quantum algorithms with current Elliptic Curve algorithms to ensure that PQ3 is never unsafe.
* Avoiding excessive message size by reducing it.
* Formal verification methods provide strong security assurances for the new protocol.


**Padding, Encryption and Authentication**
------------------------------------------


PQ3 adds padding to the message before encryption is implemented via the Padme heuristic to avoid the leak of information about the message size.


Additionally, the encryption is done with AES-CTR using a 256-bit encryption key and initialization vector derived from the message key.


The Authentication for this protocol is done by individually signing each message with ECDSA using the elliptic curve P-256 device authentication key.


The receiving device verifies the mapping between the sender’s identifier and the public key used for signature verification. If both have Contact Key verification enabled and verified, the device confirms the authentication.


Apple’s [security blog](https://security.apple.com/blog/imessage-pq3/) can be verified for detailed information about this new PQ3 protocol.


You can block malware, including Trojans, ransomware, spyware, rootkits, worms, and zero-day exploits, with [**Perimeter81 malware protection**](https://www.perimeter81.com/malware-protection?utm_source=gbhackers&utm_medium=affiliate&utm_campaign=top_articles_gbchakers_cisos_wp&a_aid=2428). All are extremely harmful, can wreak havoc, and damage your network.





## Tags:


### Autogenerated tags:
[[pq3]] [[post-quantum]] [[end-to-end]] [[imessage]]
