# Hackers Using Fake Certificates to Infiltrate Corporate Networks
## Using fake certificates, attackers gain unauthorized access to corporate network resources. Attackers use such certificates to trick the KDC.
## Information:

+ Link: https://cybersecuritynews.com/?p=33466
+ Source: Cyber Security News
+ Author: Sujatha
+ Date published: 04 August 2023, 11:47
+ Date scraped: 04 August 2023, 12:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj6gHFIQDFC-KY2DaleBTUsLGcNJXYUnGvm0it3s9yxdCUpnDivixCidZCJYlpmOmqFQ-0K7XRWNl_eiqH-mwRXFYzihdlwfD5GhwTK4YXo79vaDhl-lsbmX736bpUSY_vePy7XnRJWnnX1u-4nFiAvmzZhfbK6mKe4XYKLsHFvIUg4UNJztY0BRf3dwQP5/s1600/Hackers%20Using%20Fake%20Certificates-1.webp)


Using fake certificates, attackers gain [unauthorized access](https://gbhackers.com/citrix-adc-and-gateway/) to corporate network resources. 


Attackers use such certificates to trick the Key Distribution Center (KDC) to get into the target company’s network.





/\* custom css \*/
.tdi\_3.td-a-rec{
 text-align: center;
 }.tdi\_3 .td-element-style{
 z-index: -1;
 }.tdi\_3.td-a-rec-img{
 text-align: left;
 }.tdi\_3.td-a-rec-img img{
 margin: 0 auto 0 0;
 }@media (max-width: 767px) {
 .tdi\_3.td-a-rec-img {
 text-align: center;
 }
 }



**Shadow Credentials** are an example of such an attack. This technique allows an attacker to take over an AD user or computer account.


## **Certificate-based TGT- Requests**


In Kerberos authentication, a Ticket Granting Ticket (TGT) is a [user authentication](https://gbhackers.com/bruteprint-attack/) token issued by the Key Distribution Center (KDC).


A key distribution center (KDC) in [cryptography](https://cybersecuritynews.com/trust-wallet-browser-extension-flaw/) is a system that is responsible for providing keys to the users in a network that shares sensitive or private data.


TGT is used to request access tokens from the Ticket Granting Service (TGS) for specific resources/systems joined to the domain.


Essentially, a TGT is proof of successful user authentication, usually by password.


The alternate way to get TGT is by using a certificate. The KDC must trust the [provided certificate](https://gbhackers.com/certificate-authority-hacked/), and the certificate must relate to the subject requested in the TGT. 



![](https://media.kasperskycontenthub.com/wp-content/uploads/sites/43/2023/07/27074621/Forged-certificates_01.png)*Kerberos authentication scheme* (Kaspersky)


The method is called  Public Key Cryptography for Initial Authentication (PKINIT).


Having [Active Directory](https://cybersecuritynews.com/active-directory-checklist/) Certificate Services (AD CS) in the corporate network to issue certificates for domain users would actually make it quite easy to set up authentication.


However, not all corporate networks have AD CS. The msDS-KeyCredentialLink attribute was invented for this reason, where the certificate can be written.


(msDS-KeyCredentialLink attribute used to link an RSA key pair with a computer or user object in order to authenticate with said key pair against the KDC to receive a Kerberos TGT)


Therefore KDC will trust this certificate and issue a TGT. But the challenge is the subject that writes the msDS-KeyCredentialLink attribute to some object will also be able to get a ticket for this object.


## **Illustration of the Attack**


Consider logan\_howard, having write access in the AD domain, writes a public key to  *msDS-KeyCredentialLink* attribute for a domain controller object using Whisker.


Whisker is a C# tool for taking over AD users and computer accounts by manipulating their *msDS-KeyCredentialLink* attribute.


![](https://lh3.googleusercontent.com/ETgwXhyImPF7L1YiBIaDOvwAUnesQIKz3lLtk6RG6Va7E8zResII0BfeA2oYDJKhWyM_0FRsDJBtRpevWhroGeaAhCrlaCaOt62rNwun7c0ryfdwJXIHxSUY589sUtSfoE3BzpPV6beZymQcFqCDfFE)


The subject receives the TGT issued to the domain controller.


![](https://lh3.googleusercontent.com/GNGE_2Mmm85-OeapCQUwByoJY1gu2dfGSoR9RLllK3GlNh2Lq6JSKfOrq3UnZtbRC9DjotzkkfokxPYsBx5FKExFsWk2Ba7uiB8-7EOvQCHxRB6TS8_L8beuORMq3nGUeuaXE0Pwev_O4Fli5h0xb8Q)


With the TGT, the subject receives a TGS ticket to synchronize password information in the domain.


The attacker then “synchronizes” the hash from the domain administrator account to impersonate the administrator for the purpose of gaining access to data and moving laterally inside the [corporate network](https://gbhackers.com/black-basta-ransomware/).


![](https://lh3.googleusercontent.com/vkOEKOnWJ_ouJvfV1CRpMPP3QEO0l6uQY6NlBjBmoAPLQvxtbxiuC_RkALD_aP97vdxeMhRP0C8HDKrL5SzOCrQdTou4kTwhwoob3-k7Y0RUV1MibINbn9-StdjKQWQImc0trxgvlegiGFRATujcIgM)


As a [part of the research](https://securelist.com/anomaly-detection-in-certificate-based-tgt-requests/110242/), Securelist gets the KDC to trust a particular certificate, including stolen or forged ones. This triggered event 4768 on the domain controller.


This event may contain artifacts from the certificate used for authentication, with three fields: CertIssuerName, CertSerialNumber, and CertThumbprint.


Kaspersky created several TGT request events based on a forged certificate generated using Whisker.


The attack is relatively effective and can be detected only when a forged certificate is used. “Knowledge of the infrastructure (ideally including a list of all active keys) and monitoring will assist the security expert in this,” said Securelist, a [cybersecurity and research company.](https://gbhackers.com/cybersecurity-challenges-in-higher-education/)






## Tags:


### Autogenerated tags:
[[kdc]] [[msds-keycredentiallink]] [[kerberos]]
