# 68 tech, security vendors commit to secure-by-design practices
## CISA said companies ranging from Microsoft to Palo Alto Networks signed the voluntary pledge in an effort to boost resiliency and increase transparency around CVEs and cyberattacks.
## Information:

+ Link: https://www.cybersecuritydive.com/news/68-software-promise-secure-by-design/715665/
+ Source: CyberSecurity Dive
+ Author: David Jones
+ Date published: 09 May 2024, 11:01
+ Date scraped: 13 May 2024, 16:02

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/E357PMG6MlxeGnqMMrx0fodgqBQ6F_9cdnb2h86gmBQ/g:ce/rs:fill:770:435:0/bG9jYWw6Ly8vZGl2ZWltYWdlL1VBXzIzMDIyN0FfQ0lTQV8yNTcuanBn.webp)


### Dive Brief:


* The Cybersecurity and Infrastructure Security Agency said Wednesday that 68 technology companies — ranging from Microsoft and Google to Palo Alto Networks — made voluntary commitments to embrace secure development practices as part of a larger push to lower the risk of malicious attacks.
* The firms signed a[secure-by-design pledge](https://www.cisa.gov/securebydesign/pledge), which asks organizations over the next 12 months to build security safeguards into their products, such as increasing the use of multifactor authentication and reducing the use of default passwords.
* The companies also agreed to create more transparency around vulnerability disclosures and share information about security incidents affecting their products.


### Dive Insight:


The pledge is part of a larger effort by CISA to[push secure-by-design practices](https://www.cybersecuritydive.com/news/cisa-secure-by-design-software/703219/), in which software makers and other technology companies build security into their products during the design and development stages.


CISA Director Jen Easterly, speaking at the RSA Conference Wednesday, said the past year has been a very challenging one for the industry with malicious activity from Volt Typhoon and other threats.


Neither the federal government, nor the security community could truly stand up to these growing threats, she said.


“I have to say, it takes real courage to stand up and say that you are willing to take, to make seismic changes to an industry that over decades really was not prioritizing security at the very top,” Easterly said. “It was always that security was bolt on.”


What is unclear about the pledge is just how willing these companies would be to follow through on the commitments; the pledge is voluntary and CISA lacks an enforcement mechanism.


Bret Arsenault, corporate VP and chief cybersecurity advisor at Microsoft, said the pledge was in line with many of the commitments the company recently made as part of its Secure Future Initiative, during a panel discussion held at the pledge rollout event.





## Tags:


### Autogenerated tags:
[[cisa]]
