# Acting National Cyber Director downplays reports of interagency strife
## There’s been no sign of tension between U.S. cybersecurity officials during Kemba Walden’s tenure, at least from her perspective.
## Information:

+ Link: https://www.cybersecuritydive.com/news/Kemba-walden-CISA-ONCD-white-house/648805/
+ Source: CyberSecurity Dive
+ Author: Matt Kapko
+ Date published: 26 April 2023, 22:00
+ Date scraped: 02 May 2023, 16:01

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/qlUu_OOowjEm-a3ATeaoHV28vksmp8llIo7CiQQkBj4/g:ce/rs:fill:770:435:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0lNR18yMTc5LkpQRw.jpg)


SAN FRANCISCO — Kemba Walden didn’t have much time to settle into her role as acting national cyber director before reports emerged that interagency strife caused her[predecessor to retire](https://www.cybersecuritydive.com/news/national-cyber-director-retire/642409/)after less than two years on the job.


Clashes and power struggles between Chris Inglis, the first U.S. cyber director, and Anne Neuberger, the deputy national security advisor for cyber and emerging technology, were the primary reason for Inglis’ earlier-than-expected retirement,[Bloomberg reported](https://www.bloomberg.com/news/articles/2023-04-03/joe-biden-s-cybersecurity-dream-team-roiled-as-chris-inglis-resigns)in April.


The report also included tips from four unnamed sources claiming Neuberger has a strained and largely uncommunicative relationship with Jen Easterly, director of the Cybersecurity and Infrastructure Security.


Interagency tension hasn’t materialized during Walden’s tenure, at least from her perspective.


“[Neuberger] and I are both busy doing work. That’s it. We meet on a regular basis. We talk on a regular basis,” Walden said Tuesday during a meeting with journalists at the RSA Conference. “We’re two grown-ups working in the White House on the same issue and there’s plenty to go around.”


Walden, a former legal executive at Microsoft who previously served as principal deputy national cyber director, was elevated to acting director just weeks before the White House released its[national cybersecurity strategy](https://www.cybersecuritydive.com/news/national-cyber-strategy-Biden-security/643964/)in early March.


The Office of the National Cyber Director, Neuberger’s office and CISA are all working to coordinate public-private sector partnerships and increase collaboration in sharing threat intelligence and best practices. A rift, perceived or real, could stymie progress on those efforts, create confusion among enterprises and potentially sow distrust in the policymaking process.


“I cannot control anyone else,” Walden said, adding her relationship with Neuberger and Easterly is great. “The only behavior I can control is mine,” Walden said.


When asked for comment, a CISA spokesperson referred to responses Easterly gave to[The Washington Post](https://www.washingtonpost.com/politics/2023/04/17/russians-boasted-undetected-bots-leaked-documents-show/)during an interview earlier this month at the Axonius Federal Systems event.


“We’re not all going to be best friends,” Easterly said.


“We all have different styles. We all have different ways of dealing with people,” Easterly said. “I think we all recognize the imperative of what we are doing to protect the nation. So, like anything else there’s going to be tensions on the margins and disagreements on the margins.”


The national cybersecurity strategy reflects the best of interagency and industry coming together, Easterly said.


Neuberger’s office did not respond to a request for comment.



The ONCD anddeputy national security advisor for cyber and emerging technology roles, which also serves on the national security council, were established at the start of 2021. Both are members of the executive office and advise the president on cybersecurity policy and strategy, which creates some overlapping responsibilities and authority.


CISA, an agency in the Department of Homeland Security, was established in late 2018 and is responsible for strengthening cybersecurity and infrastructure throughout the government.


Walden conveyed no concerns about the sometimes murky lines of separation between the roles.


“There genuinely is plenty of work to go around and I’m just grateful that we have smart leaders that are thinking about this thoughtfully and that are passionate about it,” Walden said. “As far as I can tell, [Easterly] is passionate about her work, [Neuberger] is passionate about her work, and ONCD works by, with and through others.”





## Tags:


### Autogenerated tags:
[[walden]] [[neuberger]] [[cybersecurity]] [[cisa]]
