# CommonSpirit’s ‘IT security incident’ was likely cyberattack, security experts say
## Experts view moving systems offline and interrupting access to electronic health records as a defensive move.
## Information:

+ Link: https://www.cybersecuritydive.com/news/commonspirits-it-security-incident-likely-cyberattack-security-expe/633646/
+ Source: CyberSecurity Dive
+ Author: Samantha Liss
+ Date published: 07 October 2022, 00:00
+ Date scraped: 11 October 2022, 16:00

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/Cq6Jttpc4HbpxqQKFzAM7dfe1TDBztcVzw7JwZ2hOYU/g:ce/rs:fill:770:364:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEzMTY3NTM4MDIuanBn.jpg)


An “IT security incident” reported this week by CommonSpirit Health, one of the nation’s largest health systems, is likely a cyberattack, security experts said.


CommonSpirit announced on Tuesday that an unspecified [security incident](https://www.healthcaredive.com/news/commonspirit-health-security-incident-cybersecurity-tennessee/633228/) was affecting multiple regions and interrupting access to electronic health records. As a precautionary step, some systems were taken offline as a result of the incident, the system said.


When asked whether the incident was a ransomware attack, CommonSpirit spokesperson Chad Burnstold Healthcare Dive on Wednesday via email that the system was unable to provide more details.


Burns didn’t respond to an emailed request seeking more details about the incident by the time of publication.


Some of CommonSpirit’s facilities in Chattanooga, Tennessee, moved certain systems offline including electronic health records, according to a statement from CHI Memorial, which operates two hospitals in the Chattanooga area.


Some patient procedures were rescheduled due to the incident, CHI Memorial said in the statement.


While few details have left some to speculate on the nature of security incident at Chicago-based CommonSpirit Health, moving systems offline and interrupting access to electronic health records is viewed as a defensive move, security experts told Healthcare Dive. 


It’s possible that an “an attacker has access or is trying to get access to their system and they want to do whatever they can to prevent that. So what’s the easiest way to do that? Unplug everything,” said Allie Mellen, senior analyst of security and risk at Forrester, a research and advisory firm for various industries. 


Hospitals operated by CommonSpirit in [Iowa, Washington, Texas and Nebraska](https://www.healthcaredive.com/news/commonspirit-it-security-incident-disruption/633388/) also have been affected by the security issue after problems were first reported in Chattanooga.


Some hospitals were [forced to revert](https://www.healthcaredive.com/news/commonspirit-it-security-incident-disruption/633388/) to using paper charts and others diverted ambulances for a short period.


In Iowa, the Des Moines Register reported [ambulances were diverted Monday](https://www.desmoinesregister.com/story/news/health/2022/10/04/mercyone-online-systems-shut-down-cybersecurity-incident-des-moines-hospital/69538349007/) for a short period of time from MercyOne Des Moines Medical Center, a CommonSpirit facility, to other emergency rooms.


In Washington, the Kitsap Sun reported the inability to access electronic health records has forced providers to revert to using paper charts.



Keep up with the story. Subscribe to the Cybersecurity Dive free daily newsletter




Email:





* Select user consent:




 By signing up to receive our newsletter, you agree to our
 [Terms of Use](https://www.industrydive.com/terms-of-use/) and
 [Privacy Policy](https://www.industrydive.com/privacy-policy/). You can unsubscribe at anytime.


Sign up
A valid email address is required.
Please select at least one newsletter.


 var siteName = 'Cybersecurity Dive' || null;
 if (siteName) {
 setupFormCallbackAndCreateFormIfSub(siteName, 'inline');
 }
 
 .subscriber-demographics-form {
 width: 100%;
 }
 
If there is a potential that someone may have gained access to a system, it would be normal for a healthcare organization to revert back to paper mechanisms, or, in this case paper charting, said Rob Hughes, head of security and risk at RSA. RSA works with healthcare organizations to secure the identities of their users and manage access into their IT systems.


“My expectation is if you’re having a security event that it would relate to an attack,” he said. “You’d expect with a security event or with a security incident that someone was able to do something they shouldn’t have or was somewhere they shouldn’t be.”


John Riggi, who advises the American Hospital Association on cybersecurity and risk and declinedto comment directly on the incident at CommonSpirit Health, offered his input about cyberattacks.


“In general, when we have seen disruptive cyberattacks ... one of the defensive measures to keep the malware from spreading is to disconnect the affected technology, service, electronic medical record,” said Riggi, who is a former section chief at the FBI overseeing cyber issues.


Riggi added the defensive measures are like “quarantining an infected patient.”


The worst-case scenario is a ransomware attack, when attackers gain access and encrypt systems, demanding ransom from organizations in exchange for an encryption key.


“That’s a very common type of attack because private health information is a very expensive commodity,” Hughes said.


Hospitals collect a plethora of information from patients from social security numbers to medical diagnoses and addresses and it’s centralized in one location, Forrester’s Mellen said.


Attackers know hospitals will “feel pain from these types of attacks” because they need to operate every hour of every day, Mellen added.


Keep up with the story. Subscribe to the Cybersecurity Dive free daily newsletter




Email:





* Select user consent:




 By signing up to receive our newsletter, you agree to our
 [Terms of Use](https://www.industrydive.com/terms-of-use/) and
 [Privacy Policy](https://www.industrydive.com/privacy-policy/). You can unsubscribe at anytime.


Sign up
A valid email address is required.
Please select at least one newsletter.


 var siteName = 'Cybersecurity Dive' || null;
 if (siteName) {
 setupFormCallbackAndCreateFormIfSub(siteName, 'inline');
 }
 
 .subscriber-demographics-form {
 width: 100%;
 }
 

### 
 Read More in Breaches












[![](/imgproxy/KZ-iD3FJvpd-VMHx7_Sj-AxFnPpI0DGI9ZcHOWeR9r8/g:ce/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEyMzY3NTIwODEuanBn.jpg)](https://www.cybersecuritydive.com/news/american-airlines-phishing-microsoft/632644/)
Sep 26, 2022
[American Airlines phishing attack involved unauthorized access to Microsoft 365](https://www.cybersecuritydive.com/news/american-airlines-phishing-microsoft/632644/)



[![](/imgproxy/ecShTHlQN4fdfNgsn1PCVTiFLyEa9VQc7qfuxAiR2TQ/g:ce/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTcxMjU5MTAwLmpwZw.jpg)](https://www.cybersecuritydive.com/news/morgan-stanley-fine-sec-customer-data-disposal/632254/)
Sep 21, 2022
[Morgan Stanley fined $35M by SEC over improper data disposal](https://www.cybersecuritydive.com/news/morgan-stanley-fine-sec-customer-data-disposal/632254/)



[![Cyberattack and internet crime, hacking and malware concepts.](/imgproxy/kkS7vbEfQyECJviySD-vNSkKzdc9W8MZ6_1QTP-rqLY/crop:5197:2809/g:nowe:0:1001/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEzNzAyMzMzMjAuanBn.jpg)](https://www.cybersecuritydive.com/news/stolen-single-sign-on-credentials-for-sale/632241/)
Sep 21, 2022
[Stolen single sign-on credentials for major firms available for sale on dark web](https://www.cybersecuritydive.com/news/stolen-single-sign-on-credentials-for-sale/632241/)



[![American Airlines jet taking off from an airport runway.](/imgproxy/dMqJHylrRRKQNq3-Zj4obQKv1hHwJgj8iZCr2NV57aQ/g:ce/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEzMjM5MDQ2MDIuanBn.jpg)](https://www.cybersecuritydive.com/news/american-airlines-date-breach/632243/)
Sep 20, 2022
[American Airlines targeted by threat actor in July data incident](https://www.cybersecuritydive.com/news/american-airlines-date-breach/632243/)



[![The Capital One flag flies over its headquarters March 13, 2006 in Mclean, Virginia.](/imgproxy/wwpR1EHPv5Hbv2DRgymJXAsE77LnH4hSh2yD-gWtEZo/g:ce/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTU3MDY4NDM3LmpwZw.jpg)](https://www.cybersecuritydive.com/news/capital-one-breach-cloud-treasury-consent-order/632183/)
Sep 20, 2022
[Capital One freed from consent order tied to 2019 breach](https://www.cybersecuritydive.com/news/capital-one-breach-cloud-treasury-consent-order/632183/)



[![A photo illustration of LastPass logos on a hard drive disk held in someone's hand.](/imgproxy/xQiStJbnV7vZq3K_uEcn1linTGbtLIqBvygg0iNLq9U/g:ce/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTgyODkwMTI3Ni5qcGVn.jpg)](https://www.cybersecuritydive.com/news/lastpass-contained-breach/632094/)
Sep 16, 2022
[LastPass says it contained August breach, leaving customer data and vaults secure](https://www.cybersecuritydive.com/news/lastpass-contained-breach/632094/)



[![Golden circuit cloud showing cloud computing technology](/imgproxy/AtHWGEHElcPPt0BemdfHrrhgah1YflmEHJPSE8cPOw8/g:ce/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEzMzQzNzgxODYuanBn.jpg)](https://www.cybersecuritydive.com/news/cloud-security-risks/631800/)
Sep 14, 2022
[Cloud security pros expect elevated risk for serious data breaches](https://www.cybersecuritydive.com/news/cloud-security-risks/631800/)



[![The threat actor JuiceLedger launched a supply chain attack against PyPI contributors.](/imgproxy/VYSRHahOBLXGWViWqMgwf2nxWDABDXNRWxRXMb4Wqy8/g:ce/rs:fill:1200:648:1/bG9jYWw6Ly8vZGl2ZWltYWdlL1NlbnRpbmVsTGFic19KdWljZV9MZWRnZXJfR3JhcGhpY18yLmpwZWc.jpg)](https://www.cybersecuritydive.com/news/pypi-juiceledger-supply-chain-open-source/631212/)
Sep 06, 2022
[PyPI contributors targeted by JuiceLedger in latest attack against open source](https://www.cybersecuritydive.com/news/pypi-juiceledger-supply-chain-open-source/631212/)



[Want to see more stories in **Breaches**?
 

 Read More ➔](/topic/breaches/)




Attackers in 2021 disrupted operations at Scripps Health for several weeks and stole patient information from about 150,000 patients, [according to Fierce Healthcare](https://www.fiercehealthcare.com/tech/before-attacking-it-systems-hackers-stole-information-from-147-000-patients-scripps-health). The ransomware attack cost Scripps Health $113 million in lost revenue and higher expenses, according to S&P Global Ratings. 


CommonSpirit operates roughly 2,200 healthcare sites including 142 hospitals in 21 states, according to its latest annual report. More than 28 million outpatient visits were conducted at CommonSpirit Health facilities in fiscal year 2022. 


The security incident is “very big deal” because of CommonSpirit’s many locations, according to Brett Callow, a threat analyst at security firm Emsisoft said.


Callow said a ransomware attack is the most likely explanation for such outages.


The FBI has not responded to repeated requests for comment. The HHS would not comment on whether CommonSpirit notified the agency of a breach.





## Tags:


### Autogenerated tags:
[[commonspirit]] [[ransomware]] [[mellen]] [[cybersecurity]] [[riggi]]
