# Congress wants to question Microsoft exec over security defects
## The committee wants to question Brad Smith, Microsoft’s president and vice chair, over the company’s security shortcomings and how it plans to strengthen security measures.
## Information:

+ Link: https://www.cybersecuritydive.com/news/microsoft-house-homeland-security-testimony/715915/
+ Source: CyberSecurity Dive
+ Author: Matt Kapko
+ Date published: 13 May 2024, 08:52
+ Date scraped: 15 May 2024, 16:04

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/ybsYdqAOMSXbkQI4ZtEJW1BOWT39aN9XpGpM7ti5efM/g:ce/rs:fill:770:435:0/bG9jYWw6Ly8vZGl2ZWltYWdlL01pY3Jvc28uanBn.webp)


### Dive Brief:


* The House Committee on Homeland Security on Thursday formally requested Brad Smith, Microsoft’s president and vice chair, to[testify in a hearing scheduled for May 22](https://homeland.house.gov/wp-content/uploads/2024/05/2024-05-09-CHS-to-Microsoft-Request-to-Testify.pdf).
* “We’re always committed to providing Congress with information that is important to the nation’s security, and we look forward to discussing the specifics of the best time and way to do this,” a Microsoft spokesperson said Monday via email. The company hasn’t yet obligated itself or Smith to the hearing date set by the committee.
* The public hearing aims to examine Microsoft’s “security shortcomings, challenges encountered in preventing significant cyber intrusions by suspected nation-state threat actors, and plans to strengthen security measures moving forward,” Reps. Mark Green, R-Tenn., chair of the committee, and Bennie Thompson, D-Miss., wrote in the letter requesting Smith’s testimony.


### Dive Insight:


The fallout from last month’s[searing Cyber Safety Review Board report](https://www.cybersecuritydive.com/news/microsoft-exchange-hack-china-preventable/712146/)about Microsoft’s security failures is encircling the enterprise giant’s top leadership, placing a top executive in the crosshairs of a Congressional inquiry request on Capitol Hill.


Microsoft is[confronting a wave of criticism](https://www.cybersecuritydive.com/news/microsoft-security-debt-crashing-down/714685/)from across the cybersecurity industry and throughout multiple levels of the federal government for a pair of major nation-state intrusions of its core platforms that underscore cultural and technical defects. The argument is Microsoft allowed basic security measures to go unmet for years.


“As a trusted provider of operating systems, cloud platforms, and productivity software for U.S. government agencies, including those within the U.S. intelligence community, Microsoft bears a profound responsibility to prioritize and implement effective cybersecurity measures,” Green and Thompson wrote.


The request follows a series of companywide initiatives intended to revamp Microsoft’s security chops.


The company kicked off its[secure future initiative](https://www.cybersecuritydive.com/news/Microsoft-security-strategy/698748/)in November and early this month expanded the effort with plans to[restructure its cybersecurity governnance model](https://www.cybersecuritydive.com/news/microsoft-security-governance-cisos/715194/).


At the RSA Conference in San Francisco last week, federal cyber officials and cybersecurity experts said they’re[hopeful Microsoft will improve its security](https://www.cybersecuritydive.com/news/microsoft-security-overhaul-financial-accountability/715801/)and point to key measures of the company’s overhaul, including a direct link between security and executive compensation, as a key driver of that effort.





## Tags:


### Autogenerated tags:
[[microsoft]] [[cybersecurity]]
