# Kevin Mandia to step down as CEO of Mandiant on May 31
## The founder of the eponymous cybersecurity threat intelligence and consulting firm will shift to an advisory role.
## Information:

+ Link: https://www.cybersecuritydive.com/news/kevin-mandia-steps-down-mandiant/716784/
+ Source: CyberSecurity Dive
+ Author: Matt Kapko
+ Date published: 21 May 2024, 14:32
+ Date scraped: 24 May 2024, 17:02

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/wtEy96PpDi81ii8gCuO69SNqRY3sTsCVh1Aj10ya54Y/g:ce/rs:fit:770:435/bG9jYWw6Ly8vZGl2ZWltYWdlL0tldmluLU1hbmRpYS5wbmc=.webp)


### Dive Brief:


* Kevin Mandia, founder and CEO of Mandiant, is stepping down from his role on May 31, the company confirmed Tuesday. Mandia will continue to sit on the board of Google Public Sector and transition to an advisory role.
* “What Mandiant does is more important than ever and I am confident that we will continue to move the mission forward — preventing and countering cyberattacks — and hopefully imposing greater risk to the criminals who hide behind anonymity and safe harbors,” Mandia said in an internal company letter shared with Cybersecurity Dive.
* Sandra Joyce, VP of Google Threat Intelligence, and Jorgen Kutscher, VP of Mandiant Consulting, and their respective teams will report directly to Google Cloud CEO Thomas Kurian at the end of this month. Joyce will also continue to run Mandiant Threat Intelligence.


### Dive Insight:


Mandia’s departure comes less than two years after[Google acquired Mandiant for $5.4 billion](https://www.cybersecuritydive.com/news/google-closes-mandiant-acquisition/631629/)and placed the incident response and intelligence firm under the Google Cloud umbrella.


Google Cloud CEO Thomas Kurian said the company will continue to invest in the Mandiant organization and the brand. “Nothing else will change in our day-to-day work,” Kurian said Tuesday in a letter to employees.


A company spokesperson reiterated there are no plans to diminish or remove the Mandiant brand from the consulting practice. “While we can never guarantee the future, there is strong alignment to maintain the Mandiant brand within the consulting practice,” the spokesperson said.


Mandia is a broadly recognized expert in cybersecurity and is a mainstay at major industry gatherings, including the RSA Conference held earlier this month.


Mandiant originally started doing threat intelligence to understand attacks and build software to help stop and respond to attacks faster, Mandia said during a media briefing at the event.


The other reason for Mandiant’s founding is as prevalent today as it was 20 years ago — determining who is initiating the attacks. “Mandiant always believed that tech alone wouldn’t solve the problem, that you have to hold nations accountable and people accountable,” Mandia said.


“I believe every modern government can stomach that there’s going to be espionage, but I think we have to do more, period, about the amount of criminal activities on the internet,” Mandia said.


Mandia’s exit was [first reported on the social platform X](https://x.com/josephmenn/status/1792940919068746060) by The Washington Post reporter Joseph Menn.


Mandiant went through many iterations and ownership structures before Google took the company under its wing. Mandia founded the company as Red Cliff Consulting in 2004, rebranded it to its current name in 2006, and sold the company to FireEye in 2013.


FireEye[uncovered the backdoor attack on SolarWinds](https://www.cybersecuritydive.com/news/Solarwinds-orion-cisa-government-cyberattacks/592101/)in 2020, weeks after it disclosed a nation-state attacker[targeted and accessed the firm’s red team tools](https://www.cybersecuritydive.com/news/fireeye-cyberattack-leaves-more-questions-than-answers/591880/)used for diagnostic security.


In late 2021,[FireEye sold its network, email, endpoint and cloud security products](https://www.cybersecuritydive.com/news/mandiant-q4-earnings-microsoft/618540/)to McAfee Enterprise. The deal allowed the remaining firm to focus on threat intelligence and consulting, and it quickly rebranded as Mandiant. Google[inked a deal](https://www.cybersecuritydive.com/news/google-cloud-mandiant-acquisition/620001/)to acquire the company in March 2022.


Mandia remarked on his 20-year journey with the company in a letter to colleagues announcing his departure as Mandiant’s chief executive.


“The word Mandiant is now associated with the top-tier of security advisory services and incident response,” Mandia said in the letter. “It took extreme dedication to build such a strong brand, and our customers remain a strong testament to our capability and importance.”





## Tags:


### Autogenerated tags:
[[mandiant]] [[mandia]] [[google]] [[cloud]] [[ceo]] [[kurian]]
