# National Cyber Director echoes past warnings: Nation-state cyber threats are mounting
## State-linked actors with ties to China and Russia are growing more sophisticated in their efforts to disrupt critical infrastructure, Harry Coker Jr. said during a CyberUK conference keynote.
## Information:

+ Link: https://www.cybersecuritydive.com/news/cyber-director-warnings-nation-state/716181/
+ Source: CyberSecurity Dive
+ Author: David Jones
+ Date published: 15 May 2024, 10:12
+ Date scraped: 17 May 2024, 16:02

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/H0Aj9CvS2nxXSjqq_XjT9zcGbzK0zu6ryo3PXfrwhNg/g:ce/rs:fill:770:435:0/bG9jYWw6Ly8vZGl2ZWltYWdlL01IMV84MzI3LkpQRw.webp)


### Dive Brief:


* The threat from nation state cyber adversaries with ties to Russia and China is growing more sophisticated and dangerous, National Cyber Director Harry Coker Jr. warned Tuesday. International cooperation is required to defend common economic and national security interests, he said in a keynote speech at[CyberUK 2024](https://www.cyberuk.uk/)in Birmingham, England.
* Coker said Russia has enhanced its capabilities since the beginning of the Ukraine invasion in 2022, which has helped it gain success on the battlefield.
* “The Russian cyber threat in 2024 marks a new standard of aggression, persistence and operational agility,” Coker said.


### Dive Insight:


The warning to international partners comes at a time of heightened concern about the rising threat of malicious activity from state actors targeting U.S. government agencies and critical infrastructure providers.


The U.S. in recent months has dealt with aggressive action from Midnight Blizzard, a state-linked threat group formerly known as Nobelium. The group hacked into the accounts of key Microsoft executives starting in 2023 and[intercepted credentials and other sensitive information](https://www.cybersecuritydive.com/news/federal-agencies-credentials-exposed/713064/)that was shared between the company and numerous organizations, including the Cybersecurity and Infrastructure Security Agency.


Coker said he had extensive conversations with leaders of U.S. cybersecurity companies during the RSA Conference in San Francisco last week and was told that China poses a continued threat to critical infrastructure, too.


“People’s Republic of China hackers are working on circumventing our defenses and are targeting our interests on an unprecedented scale,” Coker said.


[During the RSA Conference](https://www.cybersecuritydive.com/news/device-cyber-attack-zero-day-mandiant-cisa/715390/), cybersecurity executives warned China continues to target vulnerabilities in edge devices to enable attacks against U.S. critical infrastructure providers.


The U.S. State Department during the conference also unveiled an[international cybersecurity and digital policy strategy](https://www.state.gov/release-of-united-states-international-cyberspace-and-digital-policy-strategy/#:~:text=This%20strategy%20sets%20out%20a,rights%2Drespecting%2C%20safe%2C%20and), designed to help establish a rules-based global order designed to help protect against malicious threats from rogue states.


Coker in January issued a joint warning with the[FBI, CISA and the National Security Agency](https://www.cybersecuritydive.com/news/fbi-china-hackers-us-critical-infrastructure/706307/), about Volt Typhoon, a China-linked threat group that was embedding malware inside U.S. critical infrastructure in preparation for a potential disruptive attack.


The FBI in January also disrupted a [botnet operation linked to Volt Typhoon](https://www.cybersecuritydive.com/news/cisa-fbi-critical-infrastructure-china-hacker/706935/).





## Tags:


### Autogenerated tags:
[[u.s]] [[cybersecurity]]
