# What's holding women back from C-suite roles in tech?
## Leaders like MassMutual CISO Ariel Weintraub stand out in an industry where women hold less than 20% of the top tech jobs. Alongside other technical execs, she's tackling demographic change on a global and company level.
## Information:

+ Link: https://www.cybersecuritydive.com/news/women-cio-CISO-technical-leaders/624199/
+ Source: CyberSecurity Dive
+ Author: Barbara DeLollis
+ Date published: 22 May 2022, 22:00
+ Date scraped: 26 May 2022, 16:00

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/m4caolWnHwcG_1izcIfiYHkCJt60pt4S_s3pIW99QwE/g:ce/rs:fill:770:364:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTExODI2NDEwMTAuanBn.jpg)


When MassMutual CISO Ariel Weintraub attends tech industry events, she thinks she stands out. When flanked by all-women direct reports, she knows she does. 


“People are shocked and wonder ‘who are they?’ They’re leading security operations and engineering – the most technical of positions – and they’re leading cyber risk,” Weintraub told CIO Dive. “I’m in a unique position. All of my direct reports are currently women, and that’s something I’m really proud of.”


Weintraub – the daughter of two engineers and programmers – stands out in the IT leadership space, long known for its lack of gender diversity.


Women occupy [less than 20%](https://www.t200.org/an-extraordinary-group-of-women-in-tech-announce-plans-to-grow-the-next-generation-of-female-cios) of the top tech jobs in the U.S., according to T200, the nonprofit formed by [nearly 200 women CIOs](http://t200.org/) to elevate more women to C-suite tech roles. The number has stayed relatively flat over the last five years, according to recruiting firm Korn Ferry.


The pandemic could have been a boon for women eyeing the top technologist jobs in the U.S., since more companies across all industries embraced digital transformation and shook up leadership to succeed.


Instead, societal trends worked against them as women disproportionately left the workplace, said Carrie Rasmussen, who became SVP and CIO at HR software company Ceridian a year ago and is a member of T200.


She takes pride in retaining all of the women leaders on her team during the pandemic, crediting the way she adjusted her leadership style. Rasmussen encouraged flexibility in the workplace and made time to have more one-on-one virtual conversations with women who may have been juggling other roles such as caring for parents or helping children adjust to virtual learning, she said.


“The old days of walking down the hall, and saying, ‘Hey, come to my office and let’s chat’ are gone. You have to have that connection and that safe environment where you can have safe conversations about what people need,” she said, noting that it’s tough to recognize when someone is in distress on a Zoom call.


### **Recruiters can only do so much**


From a recruiting point of view, large companies are desperately trying to diversify their ranks — but they don’t always succeed. 



Keep up with the story. Subscribe to the Cybersecurity Dive free daily newsletter




Email:





* Select user consent:




 By signing up to receive our newsletter, you agree to our
 [Terms of Use](https://www.industrydive.com/terms-of-use/) and
 [Privacy Policy](https://www.industrydive.com/privacy-policy/). You can unsubscribe at anytime.


Sign up
A valid email address is required.
Please select at least one newsletter.


“It’s critically important that we do everything we can to embrace diversity. There is a wide opportunity to address the topic … but it requires commitment organization-wide to achieve desired outcomes,” said Craig Stephenson, managing director at Korn Ferry’s North America CIO/CTO practice.


Underrepresentation is only part of the problem.


Women in technology leadership roles stay an average of three years and three months in the same job – a full 18 months less than men, according to cloud talent firm [Revolent’s 2021 study](https://www.revolentgroup.com/cio-gender-diversity-report/). Part of the reason, the study said, is that women are significantly more likely to drop off the tech career trajectory by age 35 than men.


### **Scaling change takes time**


To propel more women into top tech jobs and give back, technologist Suja Chandrasekaran founded T200 in 2016 to address gaps in women’s career journeys so they can advance to the highest level.


“A lot of progress has been made, but we still have a long way to go,” Chandrasekaran told CIO Dive. “Women need to learn topics like strategy, building talent, building cross-functional relationships and engaging the boards –  ultimately influencing and contributing to the company’s strategy. That’s the leap they need to make to get to the next level.”


By offering education, networking and mentorship to junior women in tech, T200 is already seeing success: three members earned promotions to the C-suite this year, according to Chandrasekaran, who also serves as senior executive vice president, chief information and digital officer of CommonSpirit Health.


Keep up with the story. Subscribe to the Cybersecurity Dive free daily newsletter




Email:





* Select user consent:




 By signing up to receive our newsletter, you agree to our
 [Terms of Use](https://www.industrydive.com/terms-of-use/) and
 [Privacy Policy](https://www.industrydive.com/privacy-policy/). You can unsubscribe at anytime.


Sign up
A valid email address is required.
Please select at least one newsletter.



### 
 Read More in Leadership & Careers












[![story image](/imgproxy/y-0ntTkGfhJc_5RbWphlHydfyDaVbvGoRv0jJcUUNmk/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEyOTgyNzMxNjIuanBn.jpg)](https://www.cybersecuritydive.com/news/cyber-security-burn-out/621245/)
Apr 18, 2022
[Security professionals are burned out. Here are 5 ways to help them.](https://www.cybersecuritydive.com/news/cyber-security-burn-out/621245/)



[![story image](/imgproxy/S6aqYLEM_CGEf67CqJlD6PRXc3_nO-f6EB9ZdC3Cjsc/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTY0Mzg5NzcyOC5qcGc.jpg)](https://www.cybersecuritydive.com/news/break-gender-bias-cybersecurity/621967/)
Apr 12, 2022
[Now is the time to break gender bias in cybersecurity](https://www.cybersecuritydive.com/news/break-gender-bias-cybersecurity/621967/)



[![story image](/imgproxy/_73tiPJwme0aE6vahCbIQBHKxeaslJ68R0ehtUxlyV4/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL1RhbmstSW1hZ2VfTWl0Y2hlbGxfSGlnaFJlcy1zY2FsZWQuanBlZw.jpeg)](https://www.cybersecuritydive.com/news/colonial-pipeline-ciso-adam-tice/619272/)
Feb 23, 2022
[Colonial Pipeline names cybersecurity veteran as first CISO](https://www.cybersecuritydive.com/news/colonial-pipeline-ciso-adam-tice/619272/)



[![story image](/imgproxy/eoPgf-HdmpWefZBLBgvI-7MmQfle5cUjm-DrGCjoNKs/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL3BleGVscy1tYXJrdXMtc3Bpc2tlLTIwMDQxNjEuanBn.jpg)](https://www.cybersecuritydive.com/news/board-ransomware-discussions/618291/)
Feb 04, 2022
[Talk to the board, not just IT, about ransomware](https://www.cybersecuritydive.com/news/board-ransomware-discussions/618291/)



[![story image](/imgproxy/NMQvtSxhDRuBFgk62V1Y_ZNfuc8mJgEUC28-OusF-gg/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlLzI1OTI2NzI5NTAxXzZmNGM5OTViNDZfay5qcGc.jpg)](https://www.cybersecuritydive.com/news/cio-cyber-security-2022-expectations/617504/)
Jan 21, 2022
[CIO involvement in security grows as CEOs target risk reduction](https://www.cybersecuritydive.com/news/cio-cyber-security-2022-expectations/617504/)



[![story image](/imgproxy/OfsjuuJGSZQb4F2L8Iaq-A8MAgbmthyr3zc__laLVTg/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEzMzAxNjEzMzAuanBn.jpg)](https://www.cybersecuritydive.com/news/ISC2-ransomware-c-suite-business-leadership-protection/616684/)
Jan 05, 2022
[C-suite leaders are confident in ransomware protections, despite more attacks](https://www.cybersecuritydive.com/news/ISC2-ransomware-c-suite-business-leadership-protection/616684/)



[![story image](/imgproxy/s6n5Jd7n5_Ox2CP3u_woygCB9dZHvHepqQrXAD1Sz8Y/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEyOTkwODY3NzguanBn.jpg)](https://www.cybersecuritydive.com/news/CISO-hire-recruit/616600/)
Jan 04, 2022
[How to hire and recruit a CISO](https://www.cybersecuritydive.com/news/CISO-hire-recruit/616600/)



[![story image](/imgproxy/l2sAJPjtSTSMSun34UJRwiPATYsQeajWvHwoaZp5dIw/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0lNR184NDE5LkpQRw.jpg)](https://www.cybersecuritydive.com/news/rsa-2022-postpones/616557/)
Dec 23, 2021
[RSA Conference postpones event until June citing omicron](https://www.cybersecuritydive.com/news/rsa-2022-postpones/616557/)



[Want to see more stories in **Leadership & Careers**?
 

 Read More ➔](/topic/leadership-and-careers/)




Delivering real change will involve hard work, strategic vision, alliance building, patience and non-stop innovation at both the individual and global levels. In September, for instance, T200 is going beyond mentorship to launch its first-ever master class program to focus on skills. 


Weintraub – who first joined MassMutual in fall 2019 as the head of security operations and engineering – is tackling demographic change on a global level and company level. For instance, she serves on the board at One In Tech, an ISACA Foundation, which is focused on the prevalent issues of inequality, inequity, and bias in technology and digital inclusion.


At MassMutual, she is helping to build out an early career program to diversify the tech talent pipeline. The company, for instance, is reimagining its summer internship program – it’s now working with historically Black colleges and universities (HBCUs). 


Weintraub also said the company hired a dedicated person to lead the interns, with the goal of making their experience meaningful. On the hiring side, the company also eliminated the age-old requirement of needing a four-year college degree to apply for a job.


“It’s really not a requirement. It’s also not a requirement for expanding diversity for marginalized communities,” she said. “We look for people with intellectual curiosity and a desire to learn. More companies need to invest in early career talent. It takes time. It’s not always easy.”


### Branding woes


The CIO role has a “branding problem” that shouldn’t be ignored, Rasmussen said. Women, after all, don’t always view themselves as “technical” experts.




### 
 Read More in Leadership & Careers












[![story image](/imgproxy/y-0ntTkGfhJc_5RbWphlHydfyDaVbvGoRv0jJcUUNmk/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEyOTgyNzMxNjIuanBn.jpg)](https://www.cybersecuritydive.com/news/cyber-security-burn-out/621245/)
Apr 18, 2022
[Security professionals are burned out. Here are 5 ways to help them.](https://www.cybersecuritydive.com/news/cyber-security-burn-out/621245/)



[![story image](/imgproxy/S6aqYLEM_CGEf67CqJlD6PRXc3_nO-f6EB9ZdC3Cjsc/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTY0Mzg5NzcyOC5qcGc.jpg)](https://www.cybersecuritydive.com/news/break-gender-bias-cybersecurity/621967/)
Apr 12, 2022
[Now is the time to break gender bias in cybersecurity](https://www.cybersecuritydive.com/news/break-gender-bias-cybersecurity/621967/)



[![story image](/imgproxy/_73tiPJwme0aE6vahCbIQBHKxeaslJ68R0ehtUxlyV4/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL1RhbmstSW1hZ2VfTWl0Y2hlbGxfSGlnaFJlcy1zY2FsZWQuanBlZw.jpeg)](https://www.cybersecuritydive.com/news/colonial-pipeline-ciso-adam-tice/619272/)
Feb 23, 2022
[Colonial Pipeline names cybersecurity veteran as first CISO](https://www.cybersecuritydive.com/news/colonial-pipeline-ciso-adam-tice/619272/)



[![story image](/imgproxy/eoPgf-HdmpWefZBLBgvI-7MmQfle5cUjm-DrGCjoNKs/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL3BleGVscy1tYXJrdXMtc3Bpc2tlLTIwMDQxNjEuanBn.jpg)](https://www.cybersecuritydive.com/news/board-ransomware-discussions/618291/)
Feb 04, 2022
[Talk to the board, not just IT, about ransomware](https://www.cybersecuritydive.com/news/board-ransomware-discussions/618291/)



[![story image](/imgproxy/NMQvtSxhDRuBFgk62V1Y_ZNfuc8mJgEUC28-OusF-gg/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlLzI1OTI2NzI5NTAxXzZmNGM5OTViNDZfay5qcGc.jpg)](https://www.cybersecuritydive.com/news/cio-cyber-security-2022-expectations/617504/)
Jan 21, 2022
[CIO involvement in security grows as CEOs target risk reduction](https://www.cybersecuritydive.com/news/cio-cyber-security-2022-expectations/617504/)



[![story image](/imgproxy/OfsjuuJGSZQb4F2L8Iaq-A8MAgbmthyr3zc__laLVTg/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEzMzAxNjEzMzAuanBn.jpg)](https://www.cybersecuritydive.com/news/ISC2-ransomware-c-suite-business-leadership-protection/616684/)
Jan 05, 2022
[C-suite leaders are confident in ransomware protections, despite more attacks](https://www.cybersecuritydive.com/news/ISC2-ransomware-c-suite-business-leadership-protection/616684/)



[![story image](/imgproxy/s6n5Jd7n5_Ox2CP3u_woygCB9dZHvHepqQrXAD1Sz8Y/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEyOTkwODY3NzguanBn.jpg)](https://www.cybersecuritydive.com/news/CISO-hire-recruit/616600/)
Jan 04, 2022
[How to hire and recruit a CISO](https://www.cybersecuritydive.com/news/CISO-hire-recruit/616600/)



[![story image](/imgproxy/l2sAJPjtSTSMSun34UJRwiPATYsQeajWvHwoaZp5dIw/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0lNR184NDE5LkpQRw.jpg)](https://www.cybersecuritydive.com/news/rsa-2022-postpones/616557/)
Dec 23, 2021
[RSA Conference postpones event until June citing omicron](https://www.cybersecuritydive.com/news/rsa-2022-postpones/616557/)



[Want to see more stories in **Leadership & Careers**?
 

 Read More ➔](/topic/leadership-and-careers/)




“I’d love to see us change the whole title of CIO to tell people what we do differently,” she says. “My job is not just about information technology. I have to be aware of my social responsibilities as a technologist. It’s not just tech anymore. I am the business enabler.”


She cites her experience of having never thought of herself as a leader until a male C-suite executive told her she’d make a great CIO.


“It had never crossed my mind,” Rasmussen said. “It took somebody else to recognize the path for me. The minute they saw it, it gave me confidence. That was my turning point.”



Correction: This article has been updated to clarify Ceridian CIO Carrie Rasmussen considers her job not just about technology anymore.



 





## Tags:


### Autogenerated tags:
[[cio]] [[cybersecurity]] [[ciso]] [[weintraub]] [[t200]] [[c-suite]] [[rasmussen]] [[feb]] [[ransomware]] [[massmutual]]
