# CISO Corner: Evil SBOMs; Zero-Trust Pioneer Slams Cloud Security
## Our collection of the most relevant reporting and industry perspectives for those guiding cybersecurity strategies and focused on SecOps. Also included: security license mandates; a move to four-day remediation requirements; lessons on OWASP for LLMs.
## Information:

+ Link: https://www.darkreading.com/cybersecurity-operations/ciso-corner-evil-sboms-zero-trust-cloud-security-mitre-ivanti
+ Source: DarkReading
+ Author: Tara Seals, Managing Editor, News, Dark Reading
+ Date published: 26 April 2024, 19:34
+ Date scraped: 26 April 2024, 20:09

## Article:
![Main article image](https://eu-images.contentstack.com/v3/assets/blt6d90778a997de1cd/blt6922fb71536109a4/662bd52b82a6a22dc8c1187a/strategy-Chin_Leong_Teoh-Alamy.jpg?disable=upscale&width=1200&height=630&fit=crop)

Welcome to CISO Corner, Dark Reading's weekly digest of articles tailored specifically to security operations readers and security leaders. Every week, we'll offer articles gleaned from across our news operation, The Edge, DR Technology, DR Global, and our Commentary section. We're committed to bringing you a diverse set of perspectives to support the job of operationalizing cybersecurity strategies, for leaders at organizations of all shapes and sizes.

### In this issue of CISO Corner:

* Kindervag Says: 5 Hard Truths About the State of Cloud Security 2024
* MITRE ATT&CKED: InfoSec's Most Trusted Name Falls to Ivanti Bugs
* Lessons for CISOs From OWASP's LLM Top 10
* Cyberattack Gold: SBOMs Offer an Easy Census of Vulnerable Software
* Global: Licensed to Bill? Nations Mandate Certification & Licensure of Cybersecurity Pros
* Johnson & Johnson Spin-Off CISO on Maximizing Cybersecurity
* SolarWinds 2024: Where Do Cyber Disclosures Go From Here?
5 Hard Truths About the State of Cloud Security 2024
----------------------------------------------------

By Ericka Chickowski, Contributing Writer, Dark Reading

Dark Reading talks cloud security with John Kindervag, the godfather of zero trust.

Most organizations aren't working with fully[mature cloud security practices](https://www.darkreading.com/cloud-security/shouldering-the-increasingly-heavy-cloud-shared-responsibility-model), despite almost half of the breaches originating in the cloud and almost $4.1 million lost to cloud breaches in the past year.

That's a big problem, according to the godfather of zero trust security, John Kindervag, who conceptualized and popularized the zero-trust security model as an analyst at Forrester. He tells Dark Reading that there are some hard truths to face in order to turn things around.

1. You don't become more secure just by going to the cloud:The cloud is not innately more secure than most on-premises environments: hyperscale cloud providers may be very good at protecting infrastructure, but the control and responsibility they have over their customers' security posture is very limited. And the shared responsibility model doesn't really work.

2. Native security controls are hard to manage in a hybrid world:Quality is inconsistent when it comes to offering customers more control over their workloads, identities, and visibility, but security controls that can be managed across all the multiple clouds are elusive.

3. Identity won't save your cloud:With so much emphasis placed on cloud identity management and disproportionate attention on the identity component in zero trust, it's important for organizations to understand that identity is only part of a well-balanced breakfast for zero trust in the cloud.

4. Too many firms don't know what they're trying to protect:Each asset or system or process will carry its own unique risk, but organizations lack a clear idea of what is in the cloud or what connects to the cloud, let alone what needs protecting.

5. Cloud-native development incentives are out of whack:Too many organizations simply do not have the right incentive structures for developers to bake in security as they go — and, in fact, many have perverse incentives that end up encouraging insecure practice. "I like to say that the DevOps app people are the Ricky Bobbys of IT. They just want to go fast," Kindervag says.

Read more:[5 Hard Truths About the State of Cloud Security 2024](https://www.darkreading.com/cloud-security/5-hard-truths-about-the-state-of-cloud-security-2024)

Related:[Zero Trust Takes Over: 63% of Orgs Implementing Globally](https://www.darkreading.com/endpoint-security/zero-trust-takes-over-63-percent-of-orgs-implementing-globally)

MITRE ATT&CKED: InfoSec's Most Trusted Name Falls to Ivanti Bugs
----------------------------------------------------------------

By Nate Nelson, Contributing Writer, Dark Reading

The irony is lost on few, as a nation-state threat actor used eight MITRE techniques to breach MITRE itself — including exploiting the Ivanti bugs that attackers have been swarming on for months.

Foreign nation-state hackers have used[vulnerable Ivanti edge devices](https://www.darkreading.com/vulnerabilities-threats/cisa-orders-disconnecting-ivanti-vpn-appliances-what-to-do)to gain three months' worth of "deep" access to one of MITRE Corp.'s unclassified networks.

MITRE, steward of the ubiquitous ATT&CK glossary of commonly known cyberattack techniques, previously went 15 years without a major incident. The streak snapped in January when, like so many other organizations, its Ivanti gateway devices were exploited.

The breach affected the Networked Experimentation, Research, and Virtualization Environment (NERVE), an unclassified, collaborative network the organization uses for research, development, and prototyping. The extent of the NERVE damage (pun intended) is currently being assessed.

Whatever their goals were, the hackers had ample time to carry them out. Though the compromise occurred in January, MITRE was only able to detect it in April, leaving a quarter-year gap in between.

Read more:[MITRE ATT&CKED: InfoSec's Most Trusted Name Falls to Ivanti Bugs](https://www.darkreading.com/endpoint-security/mitre-attacked-infosecs-most-trusted-name-falls-to-ivanti-bugs)

Related:[Top MITRE ATT&CK Techniques & How to Defend Against Them](https://www.darkreading.com/cyberattacks-data-breaches/top-mitre-attack-techniques-how-to-defend-against)

Lessons for CISOs From OWASP's LLM Top 10
-----------------------------------------

Commentary by Kevin Bocek, Chief Innovation Officer, Venafi

It's time to start regulating LLMs to ensure they're accurately trained and ready to handle business deals that could affect the bottom line.

OWASP recently released its top 10 list for large language model (LLM) applications, so developers, designers, architects, and managers now have 10 areas to clearly focus on when it comes to security concerns.

Almost all of the[top 10 LLM threats](https://www.darkreading.com/application-security/security-must-empower-ai-developers-now)center around a compromise of authentication for the identities used in the models. The different attack methods run the gamut, affecting not only the identities of model inputs but also the identities of the models themselves, as well as their outputs and actions. This has a knock-on effect and calls for authentication in the code-signing and creating processes to halt the vulnerability at the source.

While more than half of the top 10 risks are ones that are essentially mitigated and calling for the kill switch for AI, companies will need to evaluate their options when deploying new LLMs. If the right tools are in place to authenticate the inputs and models, as well as the models' actions, companies will be better equipped to leverage the AI kill-switch idea and prevent further destruction.

Read more:[Lessons for CISOs From OWASP's LLM Top 10](https://www.darkreading.com/vulnerabilities-threats/top-lessons-cisos-owasp-llm-top-10)

Related:[Bugcrowd Announces Vulnerability Ratings for LLMs](https://www.darkreading.com/application-security/bugcrowd-announces-vulnerability-ratings-for-llms)

Cyberattack Gold: SBOMs Offer an Easy Census of Vulnerable Software
-------------------------------------------------------------------

By Rob Lemos, Contributing Writer, Dark Reading

Attackers will likely use software bills-of-material (SBOMs) for searching for software potentially vulnerable to specific software flaws.

Government and security-sensitive companies are increasingly requiring software makers to provide them with software bills of material (SBOMs) to address supply-chain risk — but this is creating a new category of worry.

In a nutshell: An attacker who determines what software a targeted company is running, can retrieve the associated SBOM and analyze the application's components for weaknesses, all without sending a single packet, says Larry Pesce, a director for product security research and analysis at software supply-chain security firm Finite State.

He's a former penetration tester of 20 years who plans to warn about the risk in a presentation on "Evil SBOMs" at the RSA Conference in May. He will show that SBOMs have enough information to allow attackers to[search for specific CVEs in a database of SBOMs](https://www.darkreading.com/threat-intelligence/gpt-4-can-exploit-most-vulns-just-by-reading-threat-advisories)and find an application that is likely vulnerable. Even better for attackers, SBOMs will also list other components and utilities on the device that the attacker could use for "living off the land" post-compromise, he says.

Read more:[Cyberattack Gold: SBOMs Offer an Easy Census of Vulnerable Software](https://www.darkreading.com/application-security/cyberattack-gold-sboms-census-vulnerable-software)

Related:[Southern Company Builds SBOM for Electric Power Substation](https://www.darkreading.com/ics-ot-security/southern-company-builds-a-power-substation-sbom)

Global: Licensed to Bill? Nations Mandate Certification & Licensure of Cybersecurity Pros
-----------------------------------------------------------------------------------------

By Robert Lemos, Contributing Writer, Dark Reading

Malaysia, Singapore, and Ghana are among the first countries to pass laws that require cybersecurityfirms — and in some cases, individual consultants — to obtain licenses to do business, but concerns remain.

Malaysia has joined at least two other nations —[Singapore](https://www.darkreading.com/cyberattacks-data-breaches/marina-bay-sands-hospitality-cyber-victim)and Ghana — in passing laws that require cybersecurity professionals or their firms to be certified and licensed to provide some cybersecurity services in their country.

While the legislation's mandates have yet to be determined, "this will likely apply to service providers that provide services to safeguard information and communications technology device of another person — [for example] penetration testing providers and security operation centers," according to Malaysia-based law firm Christopher & Lee Ong.

Asia-Pacific neighbor Singapore has already required the licensing of cybersecurity service providers (CSPs) for the past two years, and the West African nation of Ghana, which requires the licensing and the accreditation of cybersecurity professionals. More widely, governments such as the European Union have normalized cybersecurity certifications, while other agencies — such as the US state of New York — require certification and licenses for cybersecurity capabilities in specific industries.

However, some experts see potentially dangerous consequences from these moves.

Read more:[Licensed to Bill? Nations Mandate Certification & Licensure of Cybersecurity Pros](https://www.darkreading.com/cyber-risk/licensed-to-bill-nations-mandate-certification-licensure-of-cybersecurity-pros)

Related:[Singapore Sets High Bar in Cybersecurity Preparedness](https://www.darkreading.com/cybersecurity-analytics/singapore-sets-high-bar-in-cybersecurity-preparedness)

J&J Spin-Off CISO on Maximizing Cybersecurity
---------------------------------------------

By Karen D. Schwartz, Contributing Writer, Dark Reading

How the CISO of Kenvue, a consumer healthcare company spun out from Johnson & Johnson, combined tools and new ideas to build out the security program.

Johnson & Johnson's Mike Wagner helped shape the Fortune 100 company's security approach and security stack; now, he's the first CISO of J&J's year-old consumer healthcare spinoff, Kenvue, tasked with creating a streamlined and cost-effective architecture with maximum security.

This article breaks down the steps that Wagner and his team worked through, which include:

Define key roles:Architects and engineers to implement tools; identity and access management (IAM) experts to enable secure authentication;[risk management leaders](https://www.darkreading.com/cyber-risk/changing-role-ciso-holistic-approach-drives-the-future)to align security with business priorities; security operations staff for incident response; and dedicated staff for each cyber function.

Embed machine learning and AI:Tasks include automating IAM; streamlining supplier vetting; behavioral analysis; and improving threat detection.

Choose which tools and processes to retain, and which to replace:While J&J's cybersecurity architecture is a patchwork of systems created by decades of acquisitions; tasks here included inventorying J&J's tools; mapping them to Kenvue's operating model; and identifying new needed capabilities.

Wagner says there is more to do. Next, he plans to lean into modern security strategies, including adoption of zero trust and enhancement of technical controls.

Read more:[J&J Spin-Off CISO on Maximizing Cybersecurity](https://www.darkreading.com/identity-access-management-security/jj-spin-off-ciso-maximize-cybersecurity)

Related:[A Peek into Visa's AI Tools Against Fraud](https://www.darkreading.com/cyber-risk/a-peek-into-visa-s-ai-tools-against-fraud)

SolarWinds 2024: Where Do Cyber Disclosures Go From Here?
---------------------------------------------------------

Commentary by Tom Tovar, CEO & Co-Creator, Appdome

Get updated advice on how, when, and where we should disclose cybersecurity incidents under the SEC's four-day rule after SolarWinds, and join the call to revamp the rule to remediate first.

In a post-SolarWinds world, we should move to a remediation safe harbor for cybersecurity risks and incidents. Specifically, if any company remediates the deficiencies or attack within the four-day time frame, it should be able to (a) avoid a fraud claim (i.e., nothing to talk about) or (b) use the standard 10Q and 10K process, including the Management Discussion and Analysis section, to disclose the incident.

On Oct. 30, the SEC filed a[fraud complaint against SolarWinds](https://www.darkreading.com/cybersecurity-operations/cisos-beware-secs-solarwinds-action-shows-theyre-scapegoating-us)and its chief information security officer, alleging that even though SolarWinds employees and executives knew about the increasing risks, vulnerabilities, and attacks against SolarWinds' products over time, "SolarWinds' cybersecurity risk disclosures did not disclose them in any way."

To help prevent liability issues in these situations, a remediation safe harbor would allow companies a full four-day time frame to evaluate and respond to an incident. Then, if remediated, take the time to disclose the incident properly. The result is more emphasis on cyber response and less impact to a company’s public stock. 8Ks could still be used for unresolved cybersecurity incidents.

Read more:[SolarWinds 2024: Where Do Cyber Disclosures Go From Here?](https://www.darkreading.com/cyberattacks-data-breaches/solarwinds-2024-where-do-cyber-disclosures-go-from-here)

Related:[What SolarWinds Means for DevSecOps](https://www.darkreading.com/application-security/what-solarwinds-means-for-devsecops)




## Tags:


### Autogenerated tags:
[[cybersecurity]] [[cloud]] [[sboms]] [[ciso]] [[ivanti]] [[llm]] [[solarwinds]] [[att&cked]] [[infosec]] [[cisos]]
