# Cisco Duo's Multifactor Authentication Service Breached
## A third-party telephony service provider for Cisco Duo falls prey to social engineering, and the company advises customer vigilance against subsequent phishing attacks.
## Information:

+ Link: https://www.darkreading.com/cyberattacks-data-breaches/cisco-duo-multifactor-authentication-service-breached
+ Source: DarkReading
+ Author: Becky Bracken, Senior Editor, Dark Reading
+ Date published: 15 April 2024, 20:21
+ Date scraped: 15 April 2024, 21:09

## Article:
![Main article image](https://eu-images.contentstack.com/v3/assets/blt6d90778a997de1cd/bltbbf2842856093c1b/661d7e8e03276d9bb6c4cdf4/unknown_caller_olga_Yastremska_Alamy.jpg?disable=upscale&width=1200&height=630&fit=crop)

A third-party provider that handles telephony for Cisco's Duo multifactor authentication (MFA) service has been compromised by a social engineering cyberattack. Now Cisco Duo customers have been warned to be on alert for follow-on phishing schemes.

Customers were sent a notice explaining that the company handling SMS and VOIP multifactor authentication messaging traffic for Cisco Duo was breached on April 1. The threat actors reportedly used compromised employee credentials. Once inside the service provider's systems, the unauthorized user downloaded SMS logs for specific users within a certain timeframe, the company said.

Cisco Duo did not identify the compromised telephony provider in its advisory.

"More specifically, the threat actor downloaded message logs for SMS messages that were sent to certain users under your Duo account between March 1, 2024 and March 31, 2024," Cisco said in its[customer advisory](https://app.securitymsp.cisco.com/e/es?e=2785&eid=opguvrs&elq=bd1c1886a59e40c09915b029a74be94e). "The message logs did not contain any message content but did contain the phone number, phone carrier, country, and state to which each message was sent, as well as other metadata (e.g., date and time of the message, type of message, etc.)."

Cisco advised impacted users to notify anyone whose information was exposed, and to remain vigilant against additional phishing attacks using the stolen data.

This breach follows two specific trends, according to Jeff Margolies, chief trust officer at Saviynt —[social engineering cyberattack success](https://www.darkreading.com/threat-intelligence/social-engineering-drives-bec-losses-to-50b-globally), and a focus on identity security providers.

“There have been a number of public attacks on[identity security](https://www.darkreading.com/cybersecurity-operations/changing-concepts-identity-perfect-storm-cyber-risk)providers, such as[Okta](https://www.darkreading.com/application-security/otka-breach-widens-entire-customer-base)and[Microsoft](https://www.darkreading.com/threat-intelligence/phantomblu-cyberattackers-backdoor-microsoft-office-users-ole), over the past few years," Margolies says. "You can also go back as far as the RSA SecurID Token attack back in 2011 to see how far back these sorts of attacks go."

In addition to the critical need for identity security providers to do more to secure their systems, Margolies adds enterprise teams need to assess what a breach of these services could mean to their own cybersecurity posture.

"It is also important for companies to understand the reliance they have on third-party identity security companies, how an attack on those companies would impact them, and what mitigating controls are in place to detect and respond to events with their Identity security providers," he explains.




## Tags:


### Autogenerated tags:
[[sms]] [[margolies]]
