# LLMs & Malicious Code Injections: 'We Have to Assume It's Coming'
## Large language models promise to enhance secure software development life cycles, but there are unintended risks as well, CISO warns at RSAC.
## Information:

+ Link: https://www.darkreading.com/application-security/llms-malicious-code-injections-we-have-to-assume-its-coming-
+ Source: DarkReading
+ Author: Jeffrey Schwartz, Contributing Writer
+ Date published: 06 May 2024, 22:08
+ Date scraped: 06 May 2024, 23:09

## Article:
![Main article image](https://eu-images.contentstack.com/v3/assets/blt6d90778a997de1cd/blt4c40e86e69bd4300/6627bbf80558d7673b19a5a6/LLM_Bakhtiar_Zein_Alamy.jpg?disable=upscale&width=1200&height=630&fit=crop)

A rise in prompt injection engineering into[large language models (LLMs)](https://www.darkreading.com/cyber-risk/forget-deepfakes-or-phishing-prompt-injection-is-genai-s-biggest-problem)could emerge as a significant risk to organizations, an unintended consequence of AI discussed during a CISO roundtable discussion on Monday. The panel was held during[Purple Book Community Connect–RSAC](https://www.thepurplebook.club/rsac-2024), an event at this week's RSA Conference in San Francisco.

‍One of the three panelists, Karthik Swarnam, CISO at ArmorCode, an application security operations platform provider, believes incidents arising from prompt injections in code are inevitable. "We haven't seen it yet, but we have to assume that it is coming," Swarnam tells Dark Reading.

Socially Engineered Text Alerts
-------------------------------

LLMs trained with malicious prompting can trigger code that pushes continuous text alerts with socially engineered messages that are typically less adversarial techniques. When a user unwittingly responds to the alert, the LLM could trigger nefarious actions such as unauthorized data sharing.

"Prompt engineering will be an area that companies should start to think about more and invest in," Swarnam says. "They should train people in the very basics of it so that they know how to use it appropriately, which would yield positive results."

Swarnam, who has served as CISO of several large enterprises including Kroger and AT&T, says despite concerns about the[risks of using AI](https://www.darkreading.com/cyber-risk/researchers-map-ai-threat-landscape-risks), most large organizations have begun embracing it for operations such as customer service and marketing. Even those that either prohibit AI or claim they're not using it are probably unaware of down-low usage, also known as "[shadow AI](https://www.darkreading.com/application-security/first-step-in-ai-ml-security-is-finding-them)."

"All you have to do is go through your network logs and firewall logs, and you'll find somebody is going to a third-party LLM or public LLM and doing all kinds of searches," Swarnam says. "That reveals a lot of information. Companies and security teams are not naive, so they have realized that instead of saying 'No' [to AI usage] they're saying 'Yes,' but establishing boundaries."

One area in which many companies have embraced AI is incident response and threat analytics. "Security information and event management is definitely getting disrupted with the use of this stuff," Swarnam says. "It actually eliminates triaging at level one, and in a lot of cases at level two as well."

Adding AI to Application Development
------------------------------------

When using AI in application development tools, CISOs and CIOs should establish what type of coding assistance is practical for their organizations based on their capabilities and risk tolerance, Swarnam warns. "And don't ignore the testing aspects," he adds.

It is also important for leaders to consistently track where their organizations are failing and reinforce it with training. "They should focus on things that they need, where they are making mistakes — they are making constant challenges as they do development work or software development," Swarnam says.




## Tags:


### Autogenerated tags:
[[swarnam]] [[ciso]] [[llm]]
