# GitHub Updates Security Protocol For Operations Over SSH
## The move reportedly did not stem from a compromise of GitHub systems or customer information
## Information:

+ Link: https://www.infosecurity-magazine.com/news/github-updates-security-protocol/
+ Source: Infosecurity News
+ Author: Alessandro  Mascellino
+ Date published: 24 March 2023, 15:30
+ Date scraped: 27 March 2023, 12:05

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/5535b9b2-16d8-4c6d-8d20-0eaef6934ebe.png)

The repository hosting service [GitHub](https://github.com/) has announced it is replacing its existing RSA SSH host key with a new one as a precautionary measure after discovering the key was momentarily exposed in a public repository.


“We immediately acted to contain the exposure and began investigating to understand the root cause and impact,” GitHub wrote in an article published on its site earlier today. “We have now completed the key replacement, and users will see the change propagate over the next thirty minutes.”


The company explained the change was made to protect users’ Git operations over SSH, particularly from potential threat actors attempting to impersonate GitHub or eavesdrop on their actions. At the same time, they clarified the move did not stem from a compromise of GitHub systems or customer information.


“Instead, the exposure was the result of what we believe to be an inadvertent publishing of private information,” [wrote GitHub CSO](https://github.blog/2023-03-23-we-updated-our-rsa-ssh-host-key/), Mike Hanley. “We have no reason to believe that the exposed key was abused and took this action out of an abundance of caution.”


SSH host keys are tokens used to authenticate the server and protect both the confidentiality and integrity of communication between the client and the server.


*[Read more on SSH keys here: Microsoft Spots Updated Cryptomining Malware Tool Targeting Linux Systems](https://www.infosecurity-magazine.com/news/cryptomining-malware-linux-systems/)*


“This key does not grant access to GitHub’s infrastructure or customer data,” said Hanley. “This change only impacts Git operations over SSH using RSA. Web traffic to GitHub.com and HTTPS Git operations are not affected.”


Further, the company added that only GitHub.com’s RSA SSH key was replaced, while no change is required for ECDSA or Ed25519 users.


The replacement of the GitHub RSA SSH host key comes a couple of months after the company confirmed threat actors [stole three digital certificates](https://www.infosecurity-magazine.com/news/github-revokes-certificates-stolen/) used for its Desktop and Atom applications.



Editorial image credit: Poetra.RH / Shutterstock.com





## Tags:


### Autogenerated tags:
[[github]] [[ssh]] [[rsa]]
