# Securing Foundational Tech Critical to Upholding Democratic Values
## US Secretary of State Antony Blinken said that the US and its allies must ensure foundational technologies are used for the betterment of society
## Information:

+ Link: https://www.infosecurity-magazine.com/news/securing-foundational-tech-blinken/
+ Source: Infosecurity News
+ Author: James Coker
+ Date published: 07 May 2024, 02:10
+ Date scraped: 07 May 2024, 02:01

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/15fcc90e-05ec-4c70-ab66-dbb688b334aa.jpg)


US Secretary of State Antony Blinken explained the US government’s vision to secure foundational technologies for the benefit of society during the opening keynote session of the RSA Conference 2024.


He warned that the US and its allies must take action today to govern these technologies, with nation-state adversaries seeking to use them for nefarious means, such as surveillance and suppressing human rights.


“The choices we make today will be decisive, and will reverberate for generations,” said Blinken.


**Six Foundational Technologies Identified by the US**
------------------------------------------------------


He highlighted six new generational foundational technologies that are “particularly consequential to our national competitiveness and national security.” These are:


* Microtechnology
* Quantum computing
* AI
* Biotechnologies
* Advanced telecommunications
* Clean energy technologies


These technologies are increasingly converging, noted Blinken.


“The test before us is whether we can harness the power of these technologies and channel them for greater stability,” he said.


**US Government’s New Digital Security Strategy**
-------------------------------------------------


Blinken highlighted the US Department of State’s [International Cyberspace & Digital Policy Strategy](https://www.state.gov/united-states-international-cyberspace-and-digital-policy-strategy/), unveiled on May 6, 2024.


This is part of the Biden Administration’s approach to achieving “digital solidarity” between the US and like-minded countries around the world when it comes to securing these new foundational technologies.


He cited five ways this approach can be put into action:


1. **Harnessing technology for the better of humanity.** Blinken said foundational technologies can solve shared global challenges. This includes helping achieve Sustainable Development Goals (SDGs), such as eradicating hunger and poverty and protecting the environment. He said studies indicate that AI can accelerate progress in 80% of these goals. However, they can also be used by malicious actors. For example, synthetic biology opens up great potential for medical breakthroughs, but also lowers the barrier to developing lethal pathogens.
2. **Establish governance frameworks.** Blinken said the rules and norms societies hold are going to determine whether these technologies are used for good or ill. Therefore, the US and its allies must “shape the rules of the road to ensure that foundational technologies follow democratic values and guard against harms.” For example, President Biden’s [Executive Order](https://www.infosecurity-magazine.com/news/biden-issues-executive-order-on/) on establishing safe and secure AI in October 2023 is designed to ensure a rights respected approach to AI, reducing risks like bias and disinformation.
3. **Enabling US companies to compete globally.** The US must not be complacent when it comes to foundational technology development, not allowing strategic competitors to dominate the landscape, stated Blinken. With this in mind, the US government has unleashed its “diplomatic arsenal” to expand technology development in the US and partner countries, working with trusted vendors and excluding untrusted ones.
4. **Building resilient and trusted technology ecosystems.** The technology ecosystem, which encompasses research, manufacturing and supply chains, is currently “dangerously concentrated” in a few areas around the world, Blinken warned. Therefore, efforts must be made to diversify the supply chain, for example, ramping up manufacturing of technologies like semiconductors in the US and allies. Achieving this also requires the US building the world’s best technology workforce, attracting, training and retaining workers with expertise in technologies like AI.
5. **Adopt a small yard, high fence approach to protecting sensitive technologies.** Blinken said that the US needs to ensure that technologies with clear connections to military capabilities and human rights abuses are not used against them by adversary states. As a result, restrictions should be in place to limit the export of US developed technologies to adversaries, such as restricting advanced semiconductor exports.


Blinken emphasized that these efforts are being carried out collaboratively with government and private sector partners across the world. A few years ago, the US government launched its Bureau of Cyberspace and Digital Policy to help coordinate foreign policy in this area.


The US government has also intensified efforts to hire and train diverse talent in all its teams, and aims to have a trained digital officer in every embassy by the end of this year.



> 🔴 [@SecBlinken](https://twitter.com/SecBlinken?ref_src=twsrc%5Etfw): "We are going to have a trained digital officer in every embassy by the end of this year." 🇺🇸🏛️ [#RSAC](https://twitter.com/hashtag/RSAC?src=hash&ref_src=twsrc%5Etfw) [pic.twitter.com/sSNyzmVLuh](https://t.co/sSNyzmVLuh)
> 
> — Kevin Poireault (@kpoireault) [May 6, 2024](https://twitter.com/kpoireault/status/1787623941970018815?ref_src=twsrc%5Etfw)

 

Blinken said tech collaboration efforts are vital in the battle of democracy versus autocracy that is emerging throughout the world.


A major example of this is the Russia-Ukraine conflict, where governments and tech firms [helped the Ukrainian government harden its cyber-defenses](https://www.infosecurity-magazine.com/news/microsoft-cyberspace-domain-warfare/), including migrating critical data to the cloud.


“That is digital solidarity in action, and is the kind of collaboration we want to scale and apply throughout the world,” Blinken concluded.


*Image credit: Alexandros Michailidis / Shutterstock.com*






## Tags:


### Autogenerated tags:
[[blinken]]
