# RSA Conference 2024: What to expect
## RSA Conference will tackle everything AI, but will also go deep on government policy, innovative new security solutions and explore "The Art of Possible."
## Information:

+ Link: https://www.scmagazine.com/news/rsa-conference-2024-what-to-expect
+ Source: SC Magazine
+ Author: Tom Spring
+ Date published: 06 May 2024, 00:00
+ Date scraped: 06 May 2024, 23:01

## Article:
![Main article image](https://files.scmagazine.com/wp-content/uploads/2024/05/RSA-Conference-2024.jpg)

SAN FRANCISCO – Artificial intelligence will dominate this week’s RSA Conference 2024 with nearly a dozen keynotes and even more technical sessions dedicated to how the technology is reshaping the industry and fueling innovation.

Keynote headliners, such as Secretary of State Antony J. Blinken, are expected to broaden the discussion to include the U.S. government’s efforts to infuse cybersecurity innovation into emerging technologies such as AI, quantum computing and biotechnology.

This year’s theme is “The Art of Possible,” a topic to be unpacked by Hugh Thompson, executive chairman, RSAC, at his opening keynote “The Power of Community” on Monday. RSAC is about community problem solving, Thompson said in [a recent post](https://fortune.com/2024/05/01/cybersecurity-experts-ai-risks-deepfakes-burnout-rsa-conference/).

"What most people don’t appreciate about cybersecurity professionals is that we are a part of a mission-driven community. The attackers often work in near isolation; cyber pros collaborate. The elite of the world’s cybersecurity community are about to gather at RSA Conference, but it is more than a gathering. It’s the convening of a community," Thompson wrote.

The cybersecurity confab will also serve as a backdrop for the who’s who in cybersecurity to roll out new services and solutions. Days leading up to RSAC’s kickoff, dozens of companies were turning up the volume on show news ranging from [data-cloud security solutions](https://finance.yahoo.com/news/lookout-showcase-data-centric-cloud-143000299.html) (Lookout), AI-powered cybersecurity platforms ([Trend Micro](https://www.prnewswire.com/news-releases/trend-micro-expands-ai-powered-cybersecurity-platform-to-combat-accidental-ai-misuse-and-external-abuse-302133332.html)) and debut fraud-prevention tools ([DataDome](https://www.prnewswire.com/news-releases/datadome-returns-to-rsa-conference-2024-with-two-new-groundbreaking-solutions-to-stop-fraud-in-its-tracks-302125702.html)).

New cybersecurity research to be featured during RSAC sessions includes [a fresh analysis by Infoblox](https://www.prnewswire.com/news-releases/infoblox-threat-intel-discovers-muddling-meerkat-a-dns-operation-controlling-chinas-great-firewall-302129471.html) of the threat actor "Muddling Meerkat" and how it abused DNS mail exchange servers to launch attacks. New research presented by identity security firm Silverfort on Monday outlines a new [credential-theft technique](https://www.rsaconference.com/usa/agenda/session/Beginners%20Guide%20for%20Destroying%20FIDO2s%20Security) that targets Azure AD and Pingfed and how to defend against it.

Keynoters of Note
-----------------

Also taking the spotlight at the RSA Conference is a diverse roster of speakers including technologist Bruce Schneier, former CISA Director Chris Krebs, cryptographer Tal Rabin, computer scientist Fei-Fei Li and a swarm of CEOs representing Mandiant, CrowdStrike, Red Queen Dynamics and more.

The list also includes a contingent of U.S. [three-letter federal agency](https://www.nsa.gov/Press-Room/Press-Releases-Statements/Press-Release-View/Article/3752194/nsa-heads-to-rsa-2024/) representatives including Josh Zaritsky, chief operations officer of the NSA's Cybersecurity Collaboration Center, who is set to talk about the value of sharing threat intelligence.

Representatives from the arts and entertainment world include Jason Sudeikis of Ted Lasso and SNL fame, musician Alicia Keys, and Doris Mitsch, photographer and former designer at Apple.

400+ Sessions
-------------

The RSA Conference kicks off Monday, May 6 and runs through Thursday, May 9. This year features three dozen keynotes, 425 sessions, 650 speakers, 25 tracks and 600 exhibitors. It will also offer a number of topic tracks such as hands-on cybersecurity “Learning Labs” and “Birds of a Feather” networking and career-minded sessions. This year, RSAC will hold an Innovation Sandbox pitting startups against one another for the title “Most Innovative Startup.”

**[For more real-time RSAC coverage from SC Media please visit here.](https://www.scmagazine.com/rsac)**




## Tags:


### Autogenerated tags:
[[cybersecurity]] [[rsac]] [[rsa]]
