# RSAC 2024: US Secretary of State Blinken advocates solidarity, not sovereignty, for cyber
## By promoting a vision of cooperation and innovation, the U.S. can best navigate the complexities of AI and quantum computing and safeguard domestic private and public interests, Blinken said.
## Information:

+ Link: https://www.scmagazine.com/news/rsac-2024-u-s-secretary-of-state-blinken-advocates-solidarity-not-sovereignty-for-cyber
+ Source: SC Magazine
+ Author: Tom Spring
+ Date published: 06 May 2024, 00:00
+ Date scraped: 07 May 2024, 12:01

## Article:
![Main article image](https://files.scmagazine.com/wp-content/uploads/2024/05/blinken1-scaled.jpg)

SAN FRANCISCO – U.S. Secretary of State Antony Blinken outlined what he called a transformative vision for technology in American diplomacy that touched on AI, quantum computing and safeguarding biotechnologies at the keynote address at the RSA Conference on Monday.

Speaking to the capacity crowd of an estimated 40,000 RSAC attendees, Blinken said the cybersecurity community played a critical role as the digital world of cyberattacks meshed with attacks on critical infrastructure. The stakes are high, with national security, economic prosperity and democratic values on the line.

**[For more real-time RSAC coverage from SC Media please visit here.](https://www.scmagazine.com/rsac)**

"The distinction between the digital and the physical realms is eroding. Today, our cars, our ports, our hospitals are giant data storage and computing machines vulnerable to cyberattacks," he said.

'Shall we play a game?'
-----------------------

![](https://cms.cyberriskalliance.com/wp-content/uploads/2024/05/mathew-b-scaled.jpg)

Blinken’s somber address contrasted a light-hearted keynote kickoff by actor Matthew Broderick, who recounted his role as David Lightman in the 1983 movie "WarGames.” The actor shared an anecdote about President Ronald Reagan's reaction to the movie during a routine "Movie Night" at the White House.

Broderick said after watching "WarGames," in which Lightman accidentally hacks into the North American Aerospace Defense Command (NORAD) and nearly starts World War III, Reagan was deeply unsettled. The movie, Broderick was told, prompted Reagan to ask high-level government officials if something like this could really happen. This led to a new White House directive to safeguard security protocols for the telecom and information security systems of the time.

“So, the story became a film that was watched by a president and resulted in a new policy. That's just one example of how stories can change the future,” Broderick said. “Every day delivers a world of news stories. In my line of work, they become movies or shows. In your line of work, they can be new discoveries of new risks or threats and opportunities to implement your talents.”

Blinken outlines tech and cyber priorities for the Biden administration
-----------------------------------------------------------------------

Blinken also noted how the assembled cybersecurity professionals are vital to protect America’s interests from attack.

"Private sector is a critical partner ... which is why we are working with leading AI companies on a set of voluntary commitments, like pledging to security testing before releasing new products and developing tools to help users recognize AI-generated content," Blinken said.

Blinken argued the U.S. must maintain its edge and authority when it comes to AI, quantum computing and safeguarding synthetic biology. Ceding that edge to an adversarial geopolitical rival could have devastating consequences, he argued.

"Some of our strategic rivals are working toward a very different goal," Blinken said. "They're using digital technologies, genomic data collection, to surveil their people, to repress human rights, weaponizing dominance of critical supply chains to coerce other governments employing AI, these tools, to deepen polarization and undermine democracies."

He advocated for international standards that protect privacy and ensure the safe, equitable use of AI and other emerging technologies. He cited recent efforts such as Biden’s [executive order on AI](https://www.whitehouse.gov/briefing-room/statements-releases/2023/10/30/fact-sheet-president-biden-issues-executive-order-on-safe-secure-and-trustworthy-artificial-intelligence/) to work with tech firms to develop safeguards for security and transparency.

He said a significant part of the U.S. approach includes the development of guidelines and standards for military uses of AI and synthetic biology. Blinken announced new diplomatic efforts to prevent the misuse of technologies that could infringe on human rights or enhance military capabilities among adversarial nations.

'Digital solidarity' vs 'digital sovereignty'
---------------------------------------------

The sweeping speech also detailed the U.S. strategy to harness and secure technological advances through a comprehensive framework called the U.S. International Cyberspace and Digital Policy. This strategy, which Blinken referred to as aiming for "digital solidarity" rather than digital sovereignty, focuses on uniting efforts with allies to bolster technological advancements while safeguarding democratic values and human rights.

Blinken shared several initiatives that embody this strategy, including historic public and private investments in technology as part of the Inflation Reduction Act and the CHIPS Act, which are projected to inject $3.5 trillion into the U.S. economy over the next decade.

These acts aim to revitalize America’s tech competitiveness on the global stage, especially in semiconductor production and clean energy technologies.

Central to Blinken's message was harnessing technology for global good just as the intersection of technology and national security meet. He emphasized the strategic imperatives around safeguarding AI, quantum computing and synthetic biology, as the U.S. increasingly faces rapid technological advancements and geopolitical rivalries.

Playing to the crowd, Blinken praised the private sector's role in partnering with the U.S., stressing a need to cooperatively drive innovation and implement governance structures that secure both technological and economic advantages for the U.S. and U.S. companies.




## Tags:


### Autogenerated tags:
[[u.s]] [[blinken]] [[broderick]]
