# Beyond the Buzz: Rethinking Alcohol as a Cybersecurity Bonding Ritual
## Jennifer Leggio says we need more alcohol-free networking events at conferences, and community-building opportunities for sober individuals.
## Information:

+ Link: https://www.securityweek.com/beyond-the-buzz-rethinking-alcohol-as-a-cybersecurity-bonding-ritual/
+ Source: SecurityWeek
+ Author: Jennifer Leggio
+ Date published: 29 April 2024, 13:45
+ Date scraped: 29 April 2024, 14:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2024/04/Alcohol-Business-Events.jpg)


Ours is an isolating industry in which to be sober.

I quit drinking a bit over 18 months ago. My reasons are many but the basic summation is: alcohol no longer served me nor aligned with the person I wanted to be nor my physical or emotional goals. At that time, our all too familiar industry started to get blurry, and for the first time in a long time, I felt unwelcomed.

I wasn’t alone and our industry is not unique with this problem, so none of this was news. But after 24 years of field research, I can anecdotally say with confidence that we are a sloshy bunch. The problem is that, whether it’s a small dinner or small conference or a big event like the upcoming RSA Conference in San Francisco, there’s not one person that goes to these types of industry events for anything but something related to work. When alcohol becomes the epicenter of professional networking, you create a feeling of exclusion.

There’s an unspoken rule that people need to hit the bar with coworkers to fit in or be in the right place at the right time. I know this to be true because at one point in my career I had to force myself to learn to like whisky in order to go to a lot of after hours with my male counterparts (shockingly, I learned to like the brown liquor too much). Becoming someone who didn’t drink anymore gave me this shockwave of guilt and empathy for those who do not drink or don’t feel comfortable in that scene. I also started to experience some odd discrimination (“talking about your sobriety makes people uncomfortable”) or was left out of post-work invitations because I “didn’t drink anyway.” Glorifying alcohol in the workplace can create an exclusionary culture or pressure people into uncomfortable situations just to get ahead. That’s not fair nor okay.

While, again, this problem is not unique to our industry, I would love to see us create a professional environment where everyone feels respected or included, regardless of their drinking choices. There are countless reasons why people don’t drink:

**Health:** Alcohol consumption is linked to so many health problems, from physical to psychological. It must be avoided by people with certain conditions. Not to mention, if someone is expecting a child, it’s fairly discouraged to drink for health risks to themselves or the child(ren), and that creates more exclusion given that challenge applies only to women.


**Addiction:** We never know what someone else is going through or what their demons are. While the only person responsible for their addiction is themselves, creating an unhealthy expectation for someone battling to save their own life creates risk for them. They have to make choices – protect themselves or be part of the fun and/or potentially more successful crowd. I can say from experience, this feels *terrible*.


**Liability**: Alcohol impairs judgment, coordination, and reaction times, increasing the risk of accidents and injuries or poor decisions. Why do we so aggressively invite that into our work dynamics?


**Social Pressure:** Peer pressure to conform to drinking norms can lead people to consume alcohol excessively, even if they do not wish to do so, simply to fit in or avoid social ostracization. I’ve seen it over and over. I’ve done it over and over.


**Cultural and Gender Norms**: Glorifying alcohol can reinforce social rituals and gender norms, reinforcing stereotypes about masculinity, femininity, and status that may pressure people to drink beyond their tolerance levels or against their better judgment. Not to mention the risk of putting people at odds with their culture, religion, or spiritual beliefs that may not support alcohol consumption.


On one level I feel like I am stating the obvious; on another level I feel like I am stating what is frequently overlooked. As someone who has led marketing teams to support everything from small sales events to large conferences, I am guilty of making hundreds of activities that center around alcohol. In fact, as a sober human, I hosted a whisky tasting last year and required someone on my team to manage it so I didn’t have to be there. I do not let myself off the hook for this shortsighted decision; but it is indicative of how connected having the best booze or the best parties is to a perceived successful outcome at a trade show. I could’ve done a dessert tasting (with gluten-free and vegan options, of course) – but sadly we knew that wouldn’t get the traffic that whisky would. It’s unnerving.

Jennifer VanAntwerp started to notice similar trends a couple years back and that led her to found [Sober in Cyber](https://www.soberincyber.org/), a nonprofit group on a mission to provide alcohol-free networking events at conferences, and community-building opportunities for sober individuals working in cybersecurity.


“I quit drinking in 2000… and like many brave teetotalers before me, I’ve found ways to ‘blend in’ at networking events. But I would frequently daydream about how wonderful it would be to go to a work-related event and engage in all of the beneficial and career-enhancing networking with zero pressure to drink,” VanAntwerp said. “This is personal for me, having navigated my own sobriety journey, and want to help create a space for others in a similar position throughout our community.”

For example, Sober in Cyber is sponsoring [Mind Over Cyber](https://www.mindovercyber.org/), a networking breakfast and mindfulness workshop, during the Tuesday morning of RSAC. At the Sober in Cyber events, VanAntwerp said they try to create an inclusive environment for everyone, whether simply sober, in recovery, or anywhere in between. Yet, while these safe havens are important, the issue of integrating sober lifestyles into the mainstream of the cybersecurity network is still a big one, so people don’t have to self-segregate to feel safe.


“Another important factor is normalizing the presence of alcohol-free options at events and making those beverages as accessible and appealing as possible,” she said. “We can collectively encourage event organizers to think more inclusively about their menu choices and activities to help ensure everyone feels welcomed and included. It can be as simple as mentioning which alcohol-free options you’ll have at an event in the promotional materials.”

Some organizations do this very well. I know there several, and the fact I can’t recall many might say more about my history of enjoying the alcohol abundance than anything else. But they still need to be sought out – which is a problem. (I also need to mention that many in recovery, for example, can’t even have mocktails with alcohol substitutes like Ritual Zero Proof or Seedlip, so you really have to be thoughtful to be extremely inclusive in these areas.)

VanAntwerp said she would love to see the industry shift to a more “health-conscious and inclusive culture where professional networking isn’t so closely tied to alcohol consumption.”

I clearly agree with her, and I’m committed to doing my part to, sometimes annoyingly, remind my clients and peers that alcohol is not the only way and there is a silent majority out there who are afraid to talk about their sobriety publicly for fear of professional retribution; or even folks who aren’t sober who feel uncomfortable being at some of the events that celebrate the drink. I know this because I am so blatantly open about my own journey that I hear their stories firsthand.

We’re an industry of very smart, very kind people. We have a lot of growing to do in terms of inclusivity and safety and advancing the underrepresented. As we grow, I’d like to see less idolization of alcohol and more integrated opportunities for the sober and imbibers alike to find common ground so everyone has equal professional and career footing without assuming additional risk. Isn’t reducing risk what we are all about?




## Tags:


### Autogenerated tags:
[[vanantwerp]] [[alcohol-free]]
