# MITRE and CISA Release Open Source Tool for OT Attack Emulation
## MITRE and CISA introduce Caldera for OT, a new extension to help security teams emulate attacks targeting operational technology systems.
## Information:

+ Link: https://www.securityweek.com/mitre-and-cisa-release-open-source-tool-for-ot-attack-emulation/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 05 September 2023, 14:23
+ Date scraped: 05 September 2023, 15:00

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/02/dark_blue_ics.png)


**The MITRE Corporation and the US Cybersecurity and Infrastructure Security Agency (CISA) today announced a new extension for the open source Caldera platform that emulates adversarial attacks against operational technology (OT).**


The new [Caldera for OT](https://github.com/mitre/caldera-ot) extension is the result of a collaboration between the Homeland Security Systems Engineering and Development Institute (HSSEDI) and CISA, to help improve the resilience of critical infrastructure.


The Caldera cybersecurity platform provides automated adversary emulation, security assessments, and red-, blue-, and purple-teaming, and uses the MITRE ATT&CK framework as its backbone.

Caldera for OT, which also enables Factory and Security Acceptance Testing (FAT/SAT), is now available for industrial control systems (ICS) defenders to benefit from the open source platform as well.

In building the extension, CISA and HSSEDI partnered to simulate adversary attacks in CISA’s Control Environment Laboratory Resource (CELR), which led to the discovery of adversary techniques to be included in Caldera.

The new extension, MITRE says, is meant to help identify and eliminate weak spots in OT, a vital part of critical infrastructure, including electricity, transportation, and water facilities.

“Protecting our nation’s critical infrastructure is essential. With Caldera for OT, we are pleased to partner with CISA to help defenders of operational technology exercise and improve the defenses of these critical systems,” said MITRE vice president and director Yosry Barsoum said.


Caldera for OT is now available for [download](https://github.com/mitre/caldera-ot) on GitHub. MITRE and CISA are already working on new open source modules for the tool, to expand its capabilities to cover new attacks, environments, and protocols.




|  |
| --- |
| **Learn More at SecurityWeek’s [ICS Cyber Security Conference](https://www.icscybersecurityconference.com/)**The leading global conference series for Operations, Control Systems and OT/IT Security professionals to connect on SCADA, DCS PLC and field controller cybersecurity.[ICS Cybersecurity Conference](http://www.icscybersecurityconference.com/)October 23-26, 2023 | Atlanta[www.icscybersecurityconference.com](http://www.icscybersecurityconference.com/) |




**Related:** [New Tool Made by Microsoft and MITRE Emulates Attacks on Machine Learning Systems](https://www.securityweek.com/new-tool-made-by-microsoft-and-mitre-emulates-attacks-on-machine-learning-systems/)


**Related:** [RSA Conference 2023 – ICS/OT Cybersecurity Roundup](https://www.securityweek.com/rsa-conference-2023-ics-ot-cybersecurity-roundup/)


**Related:** [OT:Icefall: Vulnerabilities Identified in Wago Controllers](https://www.securityweek.com/oticefall-vulnerabilities-identified-in-wago-controllers/)





## Tags:


### Autogenerated tags:
[[cisa]] [[cybersecurity]]
