# RSA Conference 2024 – Announcements Summary (Day 4)
## Hundreds of companies are showcasing their products and services this week at the 2024 edition of the RSA Conference in San Francisco.
## Information:

+ Link: https://www.securityweek.com/rsa-conference-2024-announcements-summary-day-4/
+ Source: SecurityWeek
+ Author: SecurityWeek News
+ Date published: 10 May 2024, 08:34
+ Date scraped: 10 May 2024, 09:03

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2024/05/RSA-Conference-2024.jpg)


**Hundreds of companies are showcasing their products and services this week at the 2024 edition of the RSA Conference in San Francisco.**


To help cut through the clutter, the SecurityWeek team is publishing a daily digest summarizing some of the announcements made by vendors. Here is a roundup of some of the most important new product, service and research announcements made on the fourth day of the event, as well as some announcements we missed from the previous days.

You can also check out the announcements from the [first day](https://www.securityweek.com/rsa-conference-2024-announcements-summary-day-1/), the [second day](https://www.securityweek.com/rsa-conference-2024-announcements-summary-day-2/) and the [third day](https://www.securityweek.com/rsa-conference-2024-announcements-summary-day-3/) of the RSA Conference. 


[Aqua Security releases solution to secure gen-AI applications](https://www.aquasec.com/news/llm-based-applications/)


Aqua Security has released a solution designed to secure the development and operation of gen-AI applications, leveraging LLMs through a multifaceted approach. Additional key capabilities of the new product include code integrity, real-time monitoring, and gen-AI assurance policies.

[Censys launches integrations marketplace](https://www.prnewswire.com/news-releases/censys-launches-the-censys-integrations-marketplace-to-improve-security-teams-efficiency-302137472.html)


Censys has announced the Censys Integrations Marketplace, which allows security teams to onboard any integration with any vendor in the marketplace in less than 15 minutes. The Censys Integrations Marketplace delivers a streamlined and automated security ecosystem in one place.

[CrowdStrike enhances cloud security capabilities](https://www.crowdstrike.com/blog/enhanced-cloud-asset-visualization/) and [announces Google Cloud partnership](https://www.businesswire.com/news/home/20240508340859/en/CrowdStrike-and-Google-Cloud-Announce-Strategic-Partnership-to-Transform-AI-Native-Cybersecurity)


CrowdStrike has unveiled enhancements to its Falcon Cloud Security offering, adding capabilities to ensure security analysts can easily visualize their cloud assets’ connections to better understand and prioritize risks. CrowdStrike also announced an expanded strategic partnership with Google Cloud to power Mandiant’s Incident Response and Managed Detection and Response services leveraging the CrowdStrike Falcon platform and the Google Cloud Security Operations platform.

[Cloud Security Alliance announces additional mapping and gap analysis](https://www.businesswire.com/news/home/20240508350504/en/CORRECTING-and-REPLACING-Cloud-Security-Alliance-Announces-Additional-Mappings-Between-Cloud-Controls-Matrix-CCM-and-National-Institute-of-Standards-and-Technology%E2%80%99s-NIST-Cybersecurity-Framework-CSF)


The Cloud Security Alliance (CSA) has announced an additional mapping and gap analysis between its flagship Cloud Controls Matrix (CCM) and the NIST Cybersecurity Framework 2.0. This mapping aims to align CCM with CSF and to identify the equivalence, gaps, and misalignment between the control specifications of the two frameworks, allowing for more streamlined compliance.

[Inpher releases solution to protect LLMs](https://www.prnewswire.com/news-releases/inphers-enterprise-ready-securai-performantly-protects-llms-with-nvidia-confidential-computing-302138584.html)


Inpher has announced the general availability of SecurAI, a solution that protects the privacy and security of user inputs on large language models (LLMs). This enterprise-ready release of SecurAI leverages the NVIDIA H100 Tensor Core GPU for maximum speed and performance.

[Intel 471 releases cyber threat report](https://8813571.fs1.hubspotusercontent-na1.net/hubfs/8813571/The%20471%20Cyber%20Threat%20Report%202024.pdf?utm_medium=email&_hsenc=p2ANqtz-8htH9UxUxPnhfYAge0EynQMtfe0K6d8qNfVXufwFQCZoctJmZUeaW4eqS_4nrnAeDd--skZKTVJ4Q1WCCk6LLbClNjUw&_hsmi=305425303&utm_content=305425303&utm_source=hs_automation)


Threat intelligence firm Intel 471 has published its 2024 Cyber Threat Report. The company found that a pro-Russia group accounted for almost 60% of all hacktivist attacks in 2023. It also found that there were over 4,400 ransomware attacks reported last year, that infostealers accounted for 21% of all malware-related offerings, and that deepfakes were one of the most common ways threat actors leveraged AI.

[Nudge Security raises $16.5 million](https://www.prnewswire.com/news-releases/nudge-security-welcomes-forgepoint-capital-to-seed-round-syndicate-bringing-funding-to-16-5-million-302137530.html)


SaaS security and governance firm Nudge Security has announced new funding from Forgepoint Capital, which joins Ballistic Ventures in bringing the startup’s seed funding to $16.5 million. The company [came out of stealth mode](https://www.securityweek.com/nudge-security-bags-7m-seed-round/) in 2022 with $7 million in seed funding and claims to have acquired more than 100 customers in just 18 months.


[NightDragon, Cisco, WWT, NPower team up to drive talent diversity in cybersecurity](https://www.prnewswire.com/news-releases/nightdragon-cisco-wwt-partner-with-npower-to-drive-talent-diversity-in-cyber-industry-302139846.html)


NightDragon, Cisco and World Wide Technology (WWT) are collaborating with the non-profit  NPower to increase diversity and empower individuals from all backgrounds to pursue cybersecurity careers. The companies will work together to close the talent gap and advance the state of cybersecurity workforce training and development by hiring NPower candidates and supporting the non-profit through volunteer engagement.

[Tidal Cyber Enterprise Edition enhancements](https://www.businesswire.com/news/home/20240506504174/en/Tidal-Cyber-Provides-Enterprises-with-Superior-Value-from-MITRE-ATTCK-and-CTI-with-New-Customizations-and-Integrations)


Tidal Cyber has announced improvements in its Tidal Cyber Enterprise Edition, including customizations and integrations that improve data-driven defense against adversaries. The platform fully operationalizes threat-informed defense, enabling security teams to save time and money while improving their security coverage.




## Tags:


### Autogenerated tags:
[[cloud]] [[cybersecurity]] [[gen-ai]] [[llms]] [[censys]] [[google]] [[crowdstrike]] [[npower]]
