# Google Brings Gemini AI to Cybersecurity
## Google has brought together its Gemini AI model with its Mandiant cybersecurity unit and VirusTotal threat Intelligence to enhance threat
## Information:

+ Link: https://thecyberexpress.com/google-gemini-ai-in-threat-intelligence/
+ Source: The Cyber Express
+ Author: Mihir Bagwe
+ Date published: 09 May 2024, 05:46
+ Date scraped: 09 May 2024, 07:02

## Article:
![Main article image](https://thecyberexpress.com/wp-content/uploads/Gemini-AI.webp)


Google has brought together its Gemini AI model with its Mandiant cybersecurity unit and VirusTotal threat Intelligence to enhance threat landscape accessibility and efficiency.


The company also plans to use its Gemini 1.5 Pro large language model, released in February, to ease the understanding of threat reports for a broader audience.


At the RSA Conference in San Francisco, Google [unveiled](https://cloud.google.com/blog/products/identity-security/introducing-google-threat-intelligence-actionable-threat-intelligence-at-google-scale-at-rsa) their latest AI-based solution to add more value to threat intelligence.


Tackling the long-standing challenges of fragmented threat landscapes and cumbersome [data](https://thecyberexpress.com/what-is-data/) collection processes, Google Threat Intelligence integrates Mandiant’s frontline expertise, real-time contributions from VirusTotal’s global community and Google’s visibility into extensive user and device footprint to deliver a comprehensive defense against evolving cyber threats.


Bernardo Quintero, founder of VirusTotal [called](https://blog.virustotal.com/2024/05/virustotals-mission-continues-sharing.html) this initiative a “sharing knowledge, protecting together” mission, which it has embraced with Google and Mandiant.



> *“I want to assure our entire community, from security researchers and industry partners to individual users, that VirusTotal’s core mission remains unchanged. We remain deeply dedicated to collective intelligence and collaboration, fostering a platform where everyone can come together to share knowledge, access valuable threat information, and contribute to the fight against cyber threats,”* Quintero said.
> 
> 


“VirusTotal remains committed to a level playing field, ensuring all partners, including Google Threat Intelligence, have equal access to the crowdsourced data VirusTotal collects. We also want to assure you that the core features and functionalities of VirusTotal will remain free and accessible to everyone, as always,” he added, clearing the air around VirusTotal’s future.


“The strength of VirusTotal lies in its network of contributors and the vast amount of data they provide. This data serves as a valuable resource for the entire security industry, empowering our partners and others to enhance their products and contribute to a more secure digital world. This collaborative approach, based on transparency and equal access, strengthens the industry as a whole, ultimately leading to better protection for everyone.”


### Challenges Addressed and Google’s Gemini AI Integration


For years, organizations have grappled with two primary hurdles in threat intelligence: a lack of holistic visibility into the threat landscape and the arduous task of collecting and operationalizing intelligence data. Google’s new offering aims to address these challenges head-on providing insights and operational efficiency to security teams worldwide.


The integration of [Gemini](https://thecyberexpress.com/?s=Gemini), Google’s AI-powered agent, enhances the operationalization of threat intelligence, streamlining the analysis process and accelerating response times.


Using the Gemini 1.5 Pro large language model, Google claims to significantly reduce the time required to analyze [malware](https://thecyberexpress.com/what-is-malware/) attacks. For instance, the model took only 34 seconds to dissect the WannaCry virus and identify a kill switch, demonstrating its efficacy in threat analysis.


Another key feature of Gemini AI is its ability to summarize threat reports into natural language, aiding companies in assessing potential attacks’ impact and prioritizing responses. Threat Intelligence also offers a comprehensive threat monitoring network, empowering users to gain insights into the [cybersecurity](https://thecyberexpress.com/what-is-cybersecurity/) landscape and prioritize their defense strategies.


Mandiant’s experts, acquired by Google in 2022, play a vital role in assessing security [vulnerabilities](https://thecyberexpress.com/what-are-vulnerabilities/) in AI projects through the Secure AI Framework. They conduct rigorous testing to fortify AI models against potential threats like data poisoning, ensuring their resilience against malicious exploitation.


While Google is pioneering the integration of AI into cybersecurity, other tech giants like Microsoft are also exploring similar avenues, underscoring the growing significance of AI in safeguarding digital assets against evolving threats.


As cyber threats continue to evolve, proactive defense strategies are more critical than ever. With Google Threat Intelligence, organizations can leverage cutting-edge technology to detect, analyze, and mitigate threats effectively, ensuring the security and resilience of their digital infrastructure in an increasingly complex threat landscape.


*Media Disclaimer: This report is based on internal and external research obtained through various means. The information provided is for reference purposes only, and users bear full responsibility for their reliance on it. [The Cyber Express](https://thecyberexpress.com/) assumes no liability for the accuracy or consequences of using this information.*





## Tags:


### Autogenerated tags:
[[google]] [[virustotal]] [[mandiant]] [[cybersecurity]]
