# Quantum Computing’s Game: Changing Role in Cybersecurity Solutions
## By April Miller, Managing Editor at ReHack Magazine How close is quantum computing to breaking encryption? It might happen sooner
## Information:

+ Link: https://thecyberexpress.com/quantum-computing-changing-role-cybersecurity/
+ Source: The Cyber Express
+ Author: Editorial
+ Date published: 12 February 2024, 06:33
+ Date scraped: 12 February 2024, 09:02

## Article:
![Main article image](https://i0.wp.com/thecyberexpress.com/wp-content/uploads/2024/02/shutterstock_2198428993-1.jpg?fit=1000%2C563&ssl=1)


***By [April Miller](https://www.linkedin.com/in/april-j-miller/), Managing Editor at ReHack Magazine***


How close is [quantum computing](https://thecyberexpress.com/cybersecurity-jargon-for-digital-defense/) to breaking encryption? It might happen sooner than you think. Standard cybersecurity protocols aren’t advanced enough to defend against it. If [security](https://thecyberexpress.com/) experts don’t find a solution in time, the digital world as you know it will disappear. Is there any way to stop it?


### **Is Quantum Computing a Cybersecurity Threat?**


Generally, you’ll only find quantum computers in high-end research labs and government facilities because the technology is still in its infancy. It’s also wildly expensive and requires a very specific operating environment — but that doesn’t mean it can’t fall into the wrong hands.


As quantum computing technology advances, getting ahold of it gets easier. Threat actors, foreign governments and cybercriminals might get their hands on it soon, which poses a national security risk and could put your data in danger.


While classical computers use ones and zeroes to process information, quantum computers rely on quantum bits — known as qubits — instead. According to the superposition principle, qubits exist in multiple states at once. In other words, they drastically increase processing speeds.


Security experts believe quantum computing is a [cybersecurity threat](https://thecyberexpress.com/nlp-platforms-for-cybersecurity/). Mainly, they’re worried it’ll make current [encryption](https://thecyberexpress.com/goto-confirms-user-data-stolen-decryption-key/) standards useless. Blockchain integrity is another concern because digital signatures rely on public-key encryption.


Why is quantum computing a threat to cryptography? To encrypt something, you use complex mathematical formulas to turn data into unreadable gibberish. It works because classical computers are too weak to calculate a solution in a reasonable timeframe.


Where a classical computer [would take 300 trillion years](https://www.forbes.com/sites/arthurherman/2021/06/07/q-day-is-coming-sooner-than-we-think/?sh=789440ac3f5d) to break a 2048-bit RSA key — the most common public-key encryption — quantum computers could crack it in only eight hours. Needless to say, you can see why this technology poses a threat.


### **Impact of Quantum Computing on Cybersecurity**


Currently, most of the world encrypts information to securely store and send it. If quantum computing cracks standard encryption methods, constant [data leaks](https://thecyberexpress.com/us-student-data-leak-collaborative-effort/), [breaches](https://thecyberexpress.com/?s=breaches) and interceptions will become the new normal.


If standard cryptography methods become useless, companies and apps won’t be able to protect your personal information. Your biometric, financial and health data will be free range, meaning your identity and credit card details are practically guaranteed to get stolen.


Hospitals, military facilities and critical infrastructure also rely on encryption. If quantum computing cracks cryptography standards, secure communication and data storage will be a thing of the past — meaning the digital world as you know it will become obsolete.


Anything that relies on [blockchain technology](https://thecyberexpress.com/?s=blockchain+technology) is also at risk because digital signatures — transaction authenticators — rely on public key encryption. Supply chains, cryptocurrency exchanges, voting systems and healthcare networks could fall into disarray.


That said, there’s a silver lining. While quantum computing might have a catastrophic impact on standard encryption protocols, it also inspires the world to adopt new technology. Since digital transformation [can improve cybersecurity posture](https://www.watermarkinsights.com/resources/blog/why-its-a-great-time-for-new-tech-in-higher-ed), global security standards will strengthen.


If quantum computing didn’t exist, something else would take its place. Eventually, some other disruptive new technology would come along to change the game. In other words, it’s a gift in disguise. Now, the world knows it’s time to modernize cryptography standards.


### **What Obstacles Do Security Experts Face?**


Security experts are rushing to create quantum-resistant solutions. The only problem is that research and development take time. Even though quantum computing is years away from cracking common cryptography standards, finding a foolproof solution might take just as long.


On a related note, this technology keeps advancing. For instance, many companies are [making progress in fault-tolerant development](https://www.technologyreview.com/2023/01/06/1066317/whats-next-for-quantum-computing/), meaning they’re getting their computers to be resistant to common errors. Accessible quantum computing will arrive sooner than you think.


Since security experts have no clear timeline, research and development get challenging. Making scalable quantum-resistant solutions is complex, so not knowing what to expect isn’t ideal. They’ll have to work fast and coordinate their efforts to address the issue in time.


### **How Do You Defend Against Quantum Computing?**


While quantum computing is a complex, futuristic threat, defending against it isn’t impossible. Experts around the world are already hard at work finding solutions.


##### **Quantum-resistant Cryptography**


If the issue is that standard encryption is too weak, the obvious solution is to make it impossible to crack. Quantum-resistant cryptography is doing just that — its goal is to develop algorithms resistant to quantum computer attacks.


The National Institute of Standards and Technology has made progress. It released draft standards for [three quantum-resistant algorithms](https://www.nist.gov/news-events/news/2023/08/nist-standardize-encryption-algorithms-can-resist-attack-quantum-computers) — CRYSTALS-Kyber, CRYSTALS-Dilithium and SPHINCS+ — in late 2023. Hopefully, they’ll be ready sometime in 2024.


##### **Collaborative Research and Development**


Collaborative research and development are key to defending against quantum computing. If researchers, government agencies and leading security experts put their heads together to find a solution, they have a much better chance of success.


##### **Quantum Key Distribution**


Even if you make cryptography quantum resistant, you still need to be able to securely exchange encryption keys. Using quantum mechanics, you can do just that. It’s almost ironic — who would’ve thought the problem would be the solution?


Quantum key distribution uses the quantum properties of light to generate secure random keys. Since it doesn’t rely on mathematical formulas, it stays safe from quantum attacks. This way, you can exchange encryption keys without fear of interception.


##### **Quantum Cybersecurity Adoption**


It’s true quantum computing technology will fall into the wrong hands as it becomes more accessible. That said, the good guys will also have an easier time getting ahold of it. They can use it to improve threat detection since its processing power is so advanced.


### **Defending Against Quantum Computing Is Possible**


There’s no easy way to say it — quantum computing could be catastrophic for cybersecurity. Fortunately, the brightest minds around the world are already working on solutions. Hopefully, they have a foolproof solution by the time quantum computers crack cryptography standards.


***Disclaimer: The views and opinions expressed in this guest post are solely those of the author(s) and do not necessarily reflect the official policy or position of The Cyber Express. Any content provided by the author is of their opinion and is not intended to malign any religion, ethnic group, club, organization, company, individual, or anyone or anything.***





## Tags:


### Autogenerated tags:
[[cybersecurity]] [[quantum-resistant]]
