# Top 5 Cybersecurity Companies Making Waves at RSAC 2024
## The RSA Conference 2024, the world's biggest cybersecurity event, is currently underway at the Moscone Center in San Francisco. Over
## Information:

+ Link: https://thecyberexpress.com/top-5-cybersecurity-companies-at-rsac-2024/
+ Source: The Cyber Express
+ Author: krishnamurthyb9442d6436
+ Date published: 07 May 2024, 10:48
+ Date scraped: 07 May 2024, 12:02

## Article:
![Main article image](https://thecyberexpress.com/wp-content/uploads/RSAC-2024.webp)


The RSA Conference 2024, the world’s biggest cybersecurity event, is currently underway at the Moscone Center in San Francisco. Over 640 vendors are showcasing their latest offerings at the expo, which began on Monday, May 6, 2024 and runs until Thursday, May 9th.


For the second consecutive year, generative AI (GenAI) appears to be a major focus for cybersecurity products unveiled at the event. Here’s a look at the top 5 companies making a splash at RSAC 2024:


### **1. [Cyble](https://cyble.com/) with [Vision X](https://cyble.com/products/cyble-vision/)**


Cyble, a prominent force in AI-powered [cybersecurity](https://thecyberexpress.com/what-is-cybersecurity/), has launched Cyble Vision X, the successor to its award-winning Cyble Vision 2.0 threat intelligence platform. Vision X aims to elevate the user experience by granting decision-makers immediate access to critical information. 


The first phase of Vision X is poised to introduce a series of impactful enhancements, including a revamped “Executive Insights” dashboard that consolidates the most significant intelligence in a user-friendly interface.


Additionally, an improved filter allows users to effortlessly navigate through their [data](https://thecyberexpress.com/what-is-data/), and a sleeker, more modern, and intuitive design ensures an optimized user experience. Cyble Vision X also boasts several other improvements, such as:


* A new “Alerts Insights” interface, previously known as “Executive Insights” and rebranded to reflect a more granular level of data analysis.
* A revamped header and collapsible left pane for a cleaner, more efficient workspace.
* A redesigned authentication screen that maintains the same [API](https://thecyberexpress.com/api-security-and-artificial-intelligence/) functionality while incorporating aesthetic enhancements.


For more information, visit [Cyble’s](https://thecyberexpress.com/cyble-odin-service-banner-search-feature/) booth N-2353 at RSA to explore VisionX and their other services.


### **2. [Theori](https://theori.io/) with [Xint](https://theori.io/service/infra#xint)**


Taking a unified approach, Theori unveiled Xint, a comprehensive [Security](https://thecyberexpress.com/) Posture Management (SPM) solution. Xint streamlines security operations by consolidating data from various sources, enabling organisations to gain a holistic view of their security posture and proactively identify [vulnerabilities](https://thecyberexpress.com/what-are-vulnerabilities/).


Highlights of Xint include:


* Cloud Security: Continuous monitoring and enhanced visibility into cloud configurations, resource utilization, and access controls to swiftly respond to potential security [risks](https://thecyberexpress.com/what-are-risks-in-cybersecurity/).
* External Threat Detection: Security tools designed to defend against [unauthorized access](https://thecyberexpress.com/nexx-smart-home-device-vulnerabilities/) for externally facing applications, including web applications, APIs, mobile apps, and third-party integrations.
* Offensive [Security AI Engine](https://thecyberexpress.com/how-to-become-a-cyber-security-engineer/): A revolutionary approach to penetration testing that combines the expertise of award-winning offensive cybersecurity veterans with cutting-edge artificial intelligence technology that precisely pinpoints vulnerabilities.


For more information, visit Theori’s Booth: 634.


### **3. New [SEI](https://www.seic.com/) Tool**


The Software Engineering Institute (SEI) introduced a novel tool designed to provide much-needed visibility into DevSecOps pipelines. This tool empowers developers to identify and address [security issues](https://thecyberexpress.com/google-workspace-security-data-exfiltration/) early in the development process, preventing them from becoming exploitable vulnerabilities in the final product.


The tool, called Polar, is an observability framework that provides a comprehensive picture of a software system’s deployment platform.


Polar unlocks data captured by disparate tools within an organization, helping to answer complex questions about performance and security that are crucial for real-time decision-making and agility in the face of [threats](https://thecyberexpress.com/cyberattack-real-estate-company-china/).


For more information, visit SEI’s Booth: 1743.


### **4. [Cranium](https://www.cranium.ai/) with First-of-its-Kind GenAI Exposure Management Solution**


Cranium, a leading enterprise [AI security](https://thecyberexpress.com/google-secure-ai-framework-ai-safety-privacy/) and trust software firm, introduced the industry’s first exposure management solution specifically designed for GenAI at RSAC 2024. 


The Cranium platform features an AI-augmented workflow with a secure LLM architecture paired with proprietary threat intelligence to provide visibility into an AI system, characterize attack surfaces, and assess vulnerabilities within an organization.


As the use of GenAI tools like Microsoft’s Copilot for Microsoft 365 grows, concerns around potential misuse and exploitation also rise. Cranium’s solution offers a critical layer of protection against such attacks.


Their exposure management solution can help organizations identify and mitigate potential security risks associated with GenAI tools, ensuring these powerful AI-driven applications are used securely.


### **5. [Vectra AI](https://www.vectra.ai/) Expands Platform to Combat GenAI Attacks**


Vectra AI, a leader in hybrid attack detection, investigation, and response, has recognized the evolving [threat landscape](https://thecyberexpress.com/three-trends-to-watch-growing-threat-landscape/) with the rise of GenAI and has expanded its AI platform to combat GenAI attacks. 


Vectra’s enhanced solution leverages advanced AI and [machine learning](https://thecyberexpress.com/vulnerability-scanning-and-management-tools/) to detect and neutralize sophisticated attacks that may exploit the capabilities of GenAI tools. Traditional security solutions might struggle to identify these novel attack methods, so Vectra’s AI-powered platform offers a vital line of defense.


Catch up with our team at our [open](https://thecyberexpress.com/eip-stack-group-opener-exposed-remote-flaw/) house, Attack Labs Live, at the Nasdaq Entrepreneurial Center





## Tags:


### Autogenerated tags:
[[genai]] [[cyble]] [[cybersecurity]] [[vectra]] [[insights”]] [[theori]]
