# U.S. Unveiled International Cyberspace and Digital Policy Strategy at RSAC 2024
## The U.S. Secretary of State Antony Blinken unveiled an International Cyberspace and Digital Policy Strategy on Monday, outlining the Biden
## Information:

+ Link: https://thecyberexpress.com/international-cyberspace-and-digital-policy/
+ Source: The Cyber Express
+ Author: Mihir Bagwe
+ Date published: 07 May 2024, 12:24
+ Date scraped: 07 May 2024, 13:02

## Article:
![Main article image](https://thecyberexpress.com/wp-content/uploads/RSA.jpeg)


The U.S. Secretary of State [Antony Blinken](https://twitter.com/SecBlinken/status/1787688456740892874) unveiled an International Cyberspace and Digital Policy Strategy on Monday, outlining the Biden administration’s plan to engage the global community on various technological security issues.


Blinken introduced this robust international cyber strategy while delivering a [keynote](https://twitter.com/RSAConference/status/1787617822002258298) at the RSA cybersecurity conference in San Francisco.


The strategic blueprint outlined in the [latest strategy](https://www.state.gov/united-states-international-cyberspace-and-digital-policy-strategy/) displayed the federal government’s multifaceted approach to engaging the global community on a wide array of technological security issues, aiming to foster collaboration and cooperation among allies, partners and stakeholders worldwide.


### What’s at the Core of the International Cyberspace and Digital Policy Strategy


At the heart of the plan lies the concept of “digital solidarity,” characterized by mutual assistance to victims of malicious [cyber](https://thecyberexpress.com/cyber-news/) activity and other digital harms.


Digital solidarity entails collaborating on shared goals, capacity building, and mutual support to enhance security, resilience, self-determination, and prosperity. Against the backdrop of ongoing cyberattacks targeting U.S. allies by foreign actors like Russia, China, North Korea and Iran, efforts focus on supporting allies and partners, particularly emerging economies, in harnessing the benefits of digital technologies while sustaining economic and development objectives.


The strategy emphasizes alignment with international partners on technology governance, fostering strong partnerships with civil society and the private sector, and promoting [cybersecurity](https://thecyberexpress.com/what-is-cybersecurity/) resilience through diverse products and services from trusted technology vendors.


Moreover, it underscores cooperative efforts to defend and advance human rights and build digital and cyber capacity for long-term resilience and responsiveness.


The Department of State, in collaboration with other federal agencies, will advance digital solidarity through four key areas of action supported by three guiding principles:


1. Promoting an open, inclusive, secure, and resilient digital ecosystem.
2. Aligning rights-respecting approaches to digital and [data](https://thecyberexpress.com/what-is-data/) governance with international partners.
3. Advancing responsible state behavior in cyberspace and countering threats through coalition-building and engagement.
4. Strengthening international partner digital and cyber capacity.


Efforts to forge digital solidarity will be reinforced by active participation in international fora to shape obligations, norms, standards, and principles impacting cyberspace and digital technology issues. Leadership in these venues is crucial to safeguarding U.S. interests and values in the evolving [digital landscape](https://thecyberexpress.com/cyberattacks-on-indian-enterprises/).


Recognizing the significance of digital diplomacy, the Department of State will lead interagency efforts to coordinate cyber and digital technology diplomacy to advance U.S. national interests and values in the coming decade.


### Cybersecurity Threats from Nation States


The strategy addresses the malign activities of nations such as Russia, China, Iran, and North Korea, condemning their exploitative use of technology for nefarious purposes, including [hacking](https://thecyberexpress.com/what-is-hacking/) and espionage campaigns. It highlights concerns about these countries’ efforts to undermine international regulatory frameworks and undercut U.S. technology manufacturers through state-sponsored subsidies.


“Cyber criminals and criminal syndicates operating in cyberspace now represent a specific threat to the economic and national security of countries around the world,” the International Cyberspace and Digital Strategy said.


“Cybercrime and online fraud cause significant harm to economic development, with small- to medium-sized enterprises and financial service providers especially at [risk](https://thecyberexpress.com/what-are-risks-in-cybersecurity/). According to one estimate, the [global](https://thecyberexpress.com/ensuring-data-integrity/) cost of cybercrime is estimated to top $23 trillion in 2027.”


### AI Technology Governance


The landscape of AI technology governance is intricate, as per the latest strategy. While [AI systems](https://thecyberexpress.com/artificial-intelligence-top-6-business-risks/) offer promising avenues for societal progress, the complexities of geopolitics further compound the challenges and uncertainties in their regulation and management.


AI technologies hold immense potential to drive knowledge expansion, boost prosperity, enhance productivity, and tackle pressing global issues. However, the rapid proliferation of AI technologies also presents substantial risks and ethical considerations.


These encompass a spectrum of concerns ranging from exacerbating inequality and economic instability to [privacy](https://thecyberexpress.com/what-is-privacy/) breaches, discriminatory practices, and amplification of malicious cyber activities. Moreover, the dual-use nature of many AI applications poses challenges in ensuring that emerging technologies are not leveraged for nefarious purposes, including disinformation campaigns and [military](https://thecyberexpress.com/security-lapse-military-ics-infrastructure/) advancements lacking adequate human rights safeguards.


Balancing [risks](https://thecyberexpress.com/best-grc-tools-for-effective-risk-management/) and rewards requires safeguarding democratic values, human rights, and fostering international collaboration to harness AI’s benefits while mitigating destabilizing impacts.


The strategy also warns against complacency in critical technological domains, cautioning that failure to act could enable authoritarian states to shape the future of technology in a manner detrimental to U.S. interests and values.


By advocating for concerted efforts to uphold a rights-respecting, open, and secure cyberspace, the United States aims to advance a vision of global governance that safeguards democratic principles and promotes innovation and prosperity.


*Media Disclaimer: This report is based on internal and external research obtained through various means. The information provided is for reference purposes only, and users bear full responsibility for their reliance on it. [The Cyber Express](https://thecyberexpress.com/) assumes no liability for the accuracy or consequences of using this information.*





## Tags:


### Autogenerated tags:
[[cyberspace]] [[u.s]] [[cybersecurity]]
