# U.S. Cyber Safety Board Slams Microsoft Over Breach by China-Based Hackers
## U.S. Cyber Safety Review Board slams Microsoft for security failures that enabled a major data breach by China-backed hackers.
## Information:

+ Link: https://thehackernews.com/2024/04/us-cyber-safety-board-slams-microsoft.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 03 April 2024, 21:02
+ Date scraped: 03 April 2024, 16:21

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgNuHtzH9tTsNAhBQLRb196fV5XNPqRtNXZsj1DiGMKAW3bCK49bL3si6NL9s4Ve4eztYeB4pJCLv50sH1jCI-_D4155g4oO0WE0j-F1zVOp_ExduVYJmUpiMQbKaXHwgJ4O_Dd-rdr1GnT4iqXZzrA4XaauNsElQBAjJH2Bp4tqgEznZ3Qs5BgDXMDQqty/s728-rw-e365/ms.png)


The U.S. Cyber Safety Review Board ([CSRB](https://www.dhs.gov/news/2022/02/03/dhs-launches-first-ever-cyber-safety-review-board)) has criticized Microsoft for a series of security lapses that led to the breach of nearly two dozen companies across Europe and the U.S. by a China-based nation-state group called Storm-0558 last year.


The findings, released by the Department of Homeland Security (DHS) on Tuesday, found that the intrusion was preventable, and that it became successful due to a "cascade of Microsoft's avoidable errors."


"It identified a series of Microsoft operational and strategic decisions that collectively pointed to a corporate culture that deprioritized enterprise security investments and rigorous risk management, at odds with the company's centrality in the technology ecosystem and the level of trust customers place in the company to protect their data and operations," the DHS [said](https://www.dhs.gov/news/2024/04/02/cyber-safety-review-board-releases-report-microsoft-online-exchange-incident-summer) in a statement.


The CSRB also lambasted the tech titan for failing to detect the compromise on its own, instead relying on a customer to reach out to flag the breach. It further faulted Microsoft for not prioritizing the development of an automated key rotation solution and rearchitecting its legacy infrastructure to meet the needs of the current threat landscape.


The incident first came to light in July 2023 when Microsoft [revealed](https://thehackernews.com/2023/07/microsoft-thwarts-chinese-cyber-attack.html) that Storm-0558 gained unauthorized access to 22 organizations as well as more than more than 500 related individual consumer accounts.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiLX0O_pua_BNGD7OG05Td7ASGHjT-c6rLVfmEazcitNrUN4aS12_9AAEWdojbHmrg0EkMQCSyD42w-d6egVdsdVtAEaH-Z0w0f-jU1frNCfaTUp5tY4bg1olzAEY_W1iVATonnvuYqpel_Mxe4TJmkCMSqLOo4ol9NEGBRh_a8C0JhApfKqY8f-wf9m978/s728-e365/wing-d.png)](https://thehackernews.uk/automated-remediation-wing)
Microsoft subsequently [said](https://thehackernews.com/2023/07/microsoft-bug-allowed-hackers-to-breach.html) a validation error in its source code made it possible for Azure Active Directory (Azure AD) tokens to be forged by Storm-0558 using a Microsoft account (MSA) consumer signing key, thus allowing the adversary to infiltrate the mailboxes.


In September 2023, the company [divulged](https://thehackernews.com/2023/09/outlook-breach-microsoft-reveals-how.html) that Storm-0558 acquired the consumer signing key to forge the tokens by compromising an engineer's corporate account that had access to a debugging environment hosting a crash dump of its consumer signing system that also inadvertently contained the signing key.


Microsoft has since acknowledged in a March 2024 update that it was inaccurate and that it has not still been able to locate a "crash dump containing the impacted key material." It also said its investigation into the hack remains ongoing.


"Our leading hypothesis remains that operational errors resulted in key material leaving the secure token signing environment that was subsequently accessed in a debugging environment via a compromised engineering account," it [noted](https://msrc.microsoft.com/blog/2023/09/results-of-major-technical-investigations-for-storm-0558-key-acquisition/).


[![Microsoft](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEis2Mcl6QdV-MbLkEm-ZPkN2ko6AVHqbxzHPAj6tIZhOAnMiw6Ob2xqaBtZqkBFBe74Qk1Y9gSSj0PNVTP6fIwpJb6azPtnDWqf3czmAH2du35cnt-Wb6leDkp83uPto7tqiPiPMGuyzTtz1xivioLVUBF9ucZyoZm6jjN1R198E9PLh7O2Nu1Q9Z54HFI-/s728-rw-e365/cloud.png)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEis2Mcl6QdV-MbLkEm-ZPkN2ko6AVHqbxzHPAj6tIZhOAnMiw6Ob2xqaBtZqkBFBe74Qk1Y9gSSj0PNVTP6fIwpJb6azPtnDWqf3czmAH2du35cnt-Wb6leDkp83uPto7tqiPiPMGuyzTtz1xivioLVUBF9ucZyoZm6jjN1R198E9PLh7O2Nu1Q9Z54HFI-/s728-rw-e365/cloud.png)
  
"Recent events have demonstrated a need to adopt a new culture of engineering security in our own networks," a Microsoft spokesperson was [quoted](https://www.washingtonpost.com/national-security/2024/04/02/microsoft-cyber-china-hack-report/) as saying to The Washington Post.


As many as 60,000 unclassified emails from Outlook accounts are believed to have been exfiltrated over the course of the campaign that began in May 2023. China has rejected accusations that it was behind the attack.


Earlier this February, Redmond [expanded](https://thehackernews.com/2024/02/microsoft-expands-free-logging.html) free logging capabilities to all U.S. federal agencies using Microsoft Purview Audit, irrespective of the license tier, to help them detect, respond, and prevent sophisticated cyber attacks.


"The threat actor responsible for this brazen intrusion has been tracked by industry for over two decades and has been linked to [2009 Operation Aurora](https://www.cfr.org/cyber-operations/operation-aurora) and 2011 RSA SecureID compromises," said CSRB Acting Deputy Chair Dmitri Alperovitch.


"This People's Republic of China affiliated group of hackers has the capability and intent to compromise identity systems to access sensitive data, including emails of individuals of interest to the Chinese government."


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9LS2CMV85AM5f2fKKl2aPAnQ1iZEQKbHh7hRbW3rn3MowE5BXNOrNlHsrMYRMndplTjEmzciLAj6jVsDkRJI2IdSfFXSXuSlMn6gSgmzjKktBgyRTJsC-MayMQq8Z580Hjp8oCv0WoplbNRKlOEzR3RqajPwbLY2JzbQpwEIaW6u2UDkYmcWPO_Mmzq-X/s728-e365/cis-d.png)](https://thehackernews.uk/cis-controls-guide-sme)
To safeguard against threats from state-sponsored actors, cloud service providers have been recommended to -


* Implement modern control mechanisms and baseline practices
* Adopt a minimum standard for default audit logging in cloud services
* Incorporate emerging digital identity standards to secure cloud services
* Adopt incident and vulnerability disclosure practices to maximize transparency
* Develop more effective victim notification and support mechanisms to drive information-sharing efforts


"The United States government should update the Federal Risk Authorization Management Program and supporting frameworks and establish a process for conducting discretionary special reviews of the program's authorized Cloud Service Offerings following especially high-impact situations," the CSRB said.


  





## Tags:


### Autogenerated tags:
[[microsoft]] [[csrb]] [[storm-0558]] [[cloud]] [[u.s]]
