# Cyber director sees potential for a new era in White House office
## The Office of the National Cyber Director has had four different leaders in less than a year. The current chief, Harry Coker, says it can  move past that turmoil by sticking to its marching orders.
## Information:

+ Link: https://therecord.media/harry-coker-rsa-oncd-leadership-challenges
+ Source: The Record
+ Author: Martin Matishak
+ Date published: 08 May 2024, 00:00
+ Date scraped: 08 May 2024, 14:02

## Article:
![Main article image](https://cms.therecord.media/uploads/format_webp/harry_coker_rsa_20240507_ce762e7e73.jpg)

 **SAN FRANCISCO** — The White House cyber czar says that his office has a clear plan to move past the leadership turmoil that has plagued it since it was established just three years ago. 

“There's a natural anxiety from a team when there was that much leadership turnover. But we all had our marching orders and have continued to move forward,” National Cyber Director Harry Coker told reporters on Tuesday during a roundtable at the RSA Conference.

 The mission, he said, is to keep producing effective advice on how to improve the security of U.S. digital infrastructure, such as the [national cyber strategy](https://www.whitehouse.gov/wp-content/uploads/2023/03/National-Cybersecurity-Strategy-2023.pdf), a related [implementation plan](https://www.whitehouse.gov/briefing-room/statements-releases/2023/07/13/fact-sheet-biden-harrisadministration-publishes-thenational-cybersecurity-strategyimplementation-plan/) and the [national cyber workforce and education strategy](https://www.whitehouse.gov/wp-content/uploads/2023/07/NCWES-2023.07.31.pdf). 

 Coker, a former executive director at the National Security Agency, [was confirmed by the Senate](https://therecord.media/harry-coker-confirmed-senate-national-cyber-director) late last year to helm the Office of the National Cyber Director (ONCD), which at that point had gone without a congressionally approved chief for 10 months following the resignation of inaugural director Chris Inglis in early 2023. 

 During that span, the office had two acting directors — [one of whom did not get the permanent role for controversial reasons](https://therecord.media/oncd-acting-director-kemba-walden-told-she-will-not-receive-nomination).  

 In all, ONCD, created by Congress in 2021 to advise the president on digital policy and strategy after its creation was urged by the bipartisan Cyberspace Solarium Commission, had [four chiefs](https://therecord.media/drenan-dudley-acting-national-cyber-director) in less than a year. 

“That can be challenging for any entity to have that much leadership turnover in a 12-month-period,” according to Coker, who praised his three predecessors.

At the same time, he said it was “phenomenal” that the office had produced a string of policy documents welcomed by members of the cybersecurity community and U.S. lawmakers alike.

“Those were the marching orders that the team followed and continues to follow,” Coker said.

 The forward momentum kept up on Tuesday when ONCD published the [first-of-its-kind report](https://www.whitehouse.gov/wp-content/uploads/2024/05/2024-Report-on-the-Cybersecurity-Posture-of-the-United-States.pdf) on U.S. cybersecurity “posture.” The analysis, mandated by the same law that established the office, found the country’s overall position had improved, in part because of the Biden administration’s work to boost the federal government’s digital defenses. 

 ONCD also released the [second implementation plan](https://www.whitehouse.gov/wp-content/uploads/2024/05/National-Cybersecurity-Strategy-Implementation-Plan-Version-2.pdf) for the national cybersecurity strategy. It said that 92 percent of the initiatives proposed in the first version had been completed, while 33 others would be achieved in the next two years. The latest plan also laid out more than 30 new benchmarks for the government to pursue. 

“We want to be a valued partner, not just in the Executive Office of the President, not just across the federal space, but across the globe,” Coker told reporters. “You become a valued partner when you demonstrate your value on a consistent basis … we're missed if we demonstrate our value.”

The nascent office of around 90 personnel has done a lot of substantive work in a relatively short amount of time, he argued.

“We can ask, rationally, anyone: Would those documents have been put together had ONCD not been there? The answer's no.”

Coker did point to personnel challenges ahead, but said the White House is ready. As November’s presidential election draws closer, some officials will leave the administration for the private sector or other opportunities.

“Shame on us if the loss of one or two individuals has us going in a less than optimal direction. We were built for better than that,” Coker said.

“We'll deal with whatever comes up in a natural turnover, at this point, in administration. So for the next eight months, we're fine,” he added. “And, frankly, regardless of what happens in November, the office is set up to continue to demonstrate its value and contribute to our national security.”




## Tags:


### Autogenerated tags:
[[oncd]] [[u.s]] [[cybersecurity]]
