# Senate Intel Committee approves changes narrowing scope of Section 702 surveillance law
## The senators clarified which type of service providers would be required to hand over communications under the law.
## Information:

+ Link: https://therecord.media/senate-intel-fisa-changes-approved
+ Source: The Record
+ Author: Martin Matishak
+ Date published: 30 May 2024, 00:00
+ Date scraped: 30 May 2024, 17:02

## Article:
![Main article image](https://cms.therecord.media/uploads/format_webp/Capitol_building_2c4b9ba3ae.jpg)

U.S. senators want to tweak a recently renewed surveillance authority in an attempt to honor a pledge to narrow which entities the federal government can compel to hand over communications.

The Senate Intelligence Committee last week unanimously approved legislation that would amend a bill that reauthorized Section 702 of the Foreign Intelligence Surveillance Act. The statute allows the National Security Agency to vacuum up the content of calls, emails and other electronic information of overseas targets from U.S. technology providers. It also sweeps up the personal data of an unknown number of Americans.

 [The bill’s passage last month](https://therecord.media/fisa-section-702-senate-clears-reauthorization), just as the authority was set to expire, was nearly derailed over an amendment previously adopted by the House that expanded the definition of “electronic communication service providers” (ECSP) that can be compelled to furnish information to the government.  

Critics charged the language was too broad and likely to grant U.S. intelligence agencies more power to force ordinary Americans to assist in government surveillance. The Biden administration refuted those claims.

 The [Justice Department vowed to only use the new standard](https://www.justice.gov/opa/media/1348621/dl?inline) “to cover the type of service provider at issue” in litigation before the FISA court from 2022. While the exact type is classified, it is widely believed to mean individual data centers for cloud computing. 

In its annual intelligence authorization bill, the text of which hasn’t been released publicly, the committee “clarified the definition of ECSP to cover only the category of provider that is the subject of the ongoing litigation,” according to a panel aide.

That would match the threshold put forward by the White House and, if approved, enshrine it into law for future administrations.

The aide said the Biden administration was aware lawmakers planned to make changes to the definition.

The fix was not included in a public summary of the bill the panel released last week.

However, its inclusion fulfills a vow Intelligence Committee Chair Mark Warner (D-VA) made on the Senate floor in the final hours before Section 702’s expiration that the panel would tackle the issue when it took up its authorization bill. The mostly classified legislation authorizes billions of dollars in spending by U.S. intelligence agencies and provides policy guidance to the elements that make up the clandestine community.

 Warner doubled down on that pledge [earlier this month at the RSA Conference in San Francisco](https://therecord.media/section-702-renewal-ecsps-mark-warner), telling reporters that he didn’t think it would be a “high hurdle” to reach a compromise between the measure’s supporters and skeptics. 

The committee’s 17-0 vote indicates the negotiations worked.

 Sen. Ron Wyden (D-OR), who rallied floor opposition to the new definition of service providers and offered an amendment to strip the language that was ultimately defeated, [alluded to the compromise in a statement last week](https://www.wyden.senate.gov/news/press-releases/wyden-secures-new-protections-for-intelligence-community-personnel-facing-political-firings-and-whistleblower-retaliation). 

“It is important to narrow the incredibly broad authorities that Congress unwisely passed last month,” he said.

But, he added, “it is a fundamental democratic principle that an American citizen should be able to read the law and have some inkling about what government officials are and are not allowed to do, particularly when it concerns warrantless surveillance.

“Secret law is dangerous and undermines trust in government and in the Congress.”

Observers who followed the Section 702 debate, but who have yet to see the text of the committee’s bill, were similarly split in their reaction.

“It’s a very mixed bag,” said Jake Laperruque, deputy director for the Center for Democracy and Technology’s Security and Surveillance Project.

On the one hand, it would “substantively” narrow the range of entities involved, and bind current and future administrations to the changed definition, he said.

 On the other hand, it’s “very problematic from a perspective of secret law and just adhering to democratic values” by hashing out national security issues in secret, according to Laperruque, whose organization was part of a coalition that sent a letter earlier this month [asking the administration to declassify the category of provider](https://cdt.org/wp-content/uploads/2024/05/letter-to-garland-and-haines-re_-ecsp-provision-1.pdf) covered by the provision. 

Meanwhile, Glenn Gerstell, a former NSA general counsel, said the committee’s intent is “applaudable” and “consistent with their oversight objectives, given the fact that there was no practical opportunity to tinker and polish the language” so close to the statute’s sunset.

He also pushed back on critiques of the issue being resolved behind closed doors, saying many of the provisions that implement Section 702 “must be kept secret because we don't want our adversaries to know about it.”

“It would defeat the objectives and goal of the statute,” he said.

Attention now turns to the House, where the Intelligence Committee is working on its own version of the annual authorization bill. It’s unclear if the panel will align with its Senate counterpart or chart a different policy course.

A spokesperson for Rep. Jim Himes (CT), the panel’s top Democrat who worked out the original ECSP amendment with committee chair Mike Turner (R-OH), declined to comment.

[![Martin Matishak](https://cms.therecord.media/uploads/format_webp/martin_matishak_23dc74a503.jpg?w=828)](/author/martin-matishak)

[Martin Matishak](/author/martin-matishak)is the senior cybersecurity reporter for The Record. Prior to joining Recorded Future News in 2021, he spent more than five years at Politico, where he covered digital and national security developments across Capitol Hill, the Pentagon and the U.S. intelligence community. He previously was a reporter at The Hill, National Journal Group and Inside Washington Publishers.






## Tags:


### Autogenerated tags:
[[u.s]] [[ecsp]]
