# US will continue providing cyber aid to Ukraine, says cyber ambassador
## The U.S. pledges to continue supporting Ukraine’s cyber efforts amid its ongoing war with Russia, the country’s top cyber diplomat Nathaniel Fick said in an exclusive interview with Recorded Future News.
## Information:

+ Link: https://therecord.media/us-cyber-ambassador-fick-cyber-aid-to-ukraine-kyiv
+ Source: The Record
+ Author: Daryna Antoniuk
+ Date published: 08 February 2024, 00:00
+ Date scraped: 08 February 2024, 15:02

## Article:
![Main article image](https://cms.therecord.media/uploads/nathaniel_fick_f731a03de4.jpg)

**KYIV, UKRAINE —** The U.S. pledges to continue supporting Ukraine’s cyber efforts amid its ongoing war with Russia, the country’s top cyber diplomat Nathaniel Fick said in an exclusive interview with Recorded Future News.


His comments came amid the battle between Democrats and Republicans in the Senate over the approval of a bill aimed at, among other things, securing $60 billion in aid for Ukraine. On Wednesday, Senate Republicans [defeated](https://www.reuters.com/world/us/bipartisan-border-ukraine-deal-looks-set-fail-us-senate-2024-02-07/) a bipartisan package intended to strengthen border security but said that aid for Ukraine and Israel, linked to this bill, might still get approval.


Fick, who serves as the U.S. Ambassador at Large for Cyberspace and Digital Policy, said that regardless of the decision made on Capitol Hill, it wouldn't affect U.S. cyber aid to Ukraine because there are “other mechanisms and funding vehicles” available to provide it, including U.S. support for the [Tallinn Mechanism](https://therecord.media/tallinn-mechanism-ukraine-partners-cybersecurity), which was launched in December of last year.


Fick spoke to Recorded Future News during a cyber conference in Kyiv, held at a secret location to protect top cyber officials and other attendees against potential attacks from Russian adversaries.


The ambassador and his colleague Jen Easterly, the director of the U.S. Cybersecurity and Infrastructure Security Agency (CISA), arrived in Kyiv on the morning of a massive missile strike that killed at least five people and injured around 50 others.


Fick, a combat veteran himself, said that his train was stopped on the tracks just outside Kyiv during the attack. “But it was quite good for us to experience what you and your families experience on a regular basis,” he added.


Fick’s Bureau of Cyberspace and Digital Policy [was created](https://www.gao.gov/products/gao-24-105563) in 2022 to conduct “a range of diplomatic and foreign assistance activities,” which include establishing cyber norms, enforcing consequences for rule-breakers, raising the cost of bad behavior in cyberspace, and deterring wrongdoing.


The bureau, along with other U.S. cyber agencies, worked closely with Ukrainian state officials, providing tools and guidance on how to combat Russia in cyberspace.


Among the tools and strategies that proved most effective for Ukraine, Fick mentioned the migration of Ukrainian government enterprises to the cloud, the provision by Poland of thousands of Starlink satellite internet terminals to ensure resilient communication, and the coordination between the Ukrainian and U.S. governments and tech companies to counter Russian cyberattacks.


Before Russia's invasion, U.S. Cyber Command [sent](https://therecord.media/maj-gen-william-hartman-interview-ukraine-russia-click-here) its forces to Ukraine to collaborate with local specialists and check the Ukrainian network for malware. During the so-called “hunt forward” operation, Ukrainian and American specialists [discovered](https://therecord.media/ukraine-hunt-forward-teams-us-cyber-command) at least 90 malware samples infiltrating Ukraine’s critical networks.


Fick told Recorded Future News that the hunt forward missions are a high priority in Ukraine. “And if requested by the Ukrainian government, fulfilling that request would be a high priority for the U.S.,” he added.


When asked what Ukraine can do better in cyberspace, Fick said: “Ukraine needs to balance winning the war with looking ahead to winning the peace.”


“It’s hard when the fighting is still happening but we have to be focused on things like building secure trusted resilient digital infrastructure for the long term: cable, fiber, satellites, wireless networks, and data centers.”


![nathanielfick2.jpg](https://cms.therecord.media/uploads/nathanielfick2_07111c438b.jpg)
*Fick and Easterly, center, with other speakers in Kyiv on Wednesday. Image: Kyiv International Cyber Resilience Forum/Facebook*


Ukraine also needs to consider what digital regulatory regimes it is going to abide by, which will affect how the innovation economy in Ukraine will continue to develop. This also applies to the regulation of its hacktivist force, he said.


“We need to think about what the reintegration of the IT Army starts to look like — how does all of that operationally experienced cyber expertise get directed in positive directions for the Ukrainian government and the Ukrainian economy,” Fick added.


Another expectation that both the U.S. and Ukraine's Western allies have for Ukraine is to adhere to the rule of law and transparency. In December, Ukraine [dismissed and detained](https://therecord.media/two-ukraine-cyber-officials-dismissed-amid-embezzlement-probe) its two top cyber officials, who were accused of participating in a software procurement scheme where they allegedly embezzled $1.7 million between 2020 and 2022.


Fick didn’t respond to a question about whether it affected U.S. decision-making regarding military and cyber aid to Ukraine, but said that “it’s imperative that the Ukrainian government maximizes transparency as a democratically elected government.”


“The sustained partnership and donor support for Ukraine over the long term will depend on a stable rule of law, transparent government, and strong anti-corruption provisions,” he told Recorded Future News.


International support
=====================


Last week, the European Union agreed to a $54 billion aid package for Ukraine, after Hungary stopped blocking the deal.


During one of the panel discussions, Fick said that he is confident that “the U.S. will follow its European friends in announcing additional assistance.”


“International support for Ukraine demonstrates Russia’s international isolation and that Putin has no friends, except for the world’s other unsavory actors like North Korea and Iran.”


International cooperation in cyber is crucial, as digital attacks have no physical borders and can affect both Ukraine and its allies. Fick’s bureau is currently in the process of drafting the U.S. international cyber strategy, which they hope to release at the RSA Security Conference in San Francisco in May.


One of the international cyber cooperation systems, which the U.S. Department of State already helped formulate, was the Tallinn Mechanism designed to “prioritize, de-conflict, and accelerate cyber and tech assistance to Ukraine,” Fick said.


According to Fick, the Tallinn Mechanism — which was supported by Canada, Denmark, France, Germany, the Netherlands, Poland, Sweden, Ukraine, and the U.K. — was created “to learn from and mirror the Ramstein process,” which supports the defense of Ukraine by sending military equipment.


“We collectively saw a need for a similar process on the digital side. The priorities in this process are set and articulated by the Ukrainian government because nothing about Ukraine is without Ukraine,” Fick said.


On Thursday, Ukraine’s Ministry of Digital Transformation held a closed meeting with Fick and Easterly discussing Ukraine’s progress on the cyber frontline and its long-term needs in cyber defense.


The ministry’s head, Mykhailo Fedorov, said that Ukraine is actively preparing for a meeting with Tallinn Mechanism participants, which “will be held soon.”



> Discussed with [@ncfick](https://twitter.com/ncfick?ref_src=twsrc%5Etfw), [@CISAJen](https://twitter.com/CISAJen?ref_src=twsrc%5Etfw),[@USAmbKyiv](https://twitter.com/USAmbKyiv?ref_src=twsrc%5Etfw) & [@USAIDUkraine](https://twitter.com/USAIDUkraine?ref_src=twsrc%5Etfw) our needs in cybersecurity. Appreciate the partnership we've built: support with equipment, software, intelligence. Thrilled to properly start the Tallin Mechanism and work on strengthening 🇺🇦 digital infrastructure. [pic.twitter.com/xsu0UZYeE8](https://t.co/xsu0UZYeE8)
> 
> — Mykhailo Fedorov (@FedorovMykhailo) [February 8, 2024](https://twitter.com/FedorovMykhailo/status/1755532620253802678?ref_src=twsrc%5Etfw)


“Our partnership with Ukraine is not just the right thing to do for democracy — it's about global security," Easterly said during the conference. "What we are learning as we collaborate with our Ukrainian partners is directly relevant to the safety and security of America.”


Fick echoed her words, saying that the U.S. aid to Ukraine isn't just "spending" — it's an investment that will "yield numerous dividends for international stability, the protection of human rights, and democracy worldwide, as well as for U.S. national security."

[Previous article](/funerals-canceled-due-to-ransomware-attack-on-austrian-town)[Funerals reportedly canceled due to ransomware attack on Austrian town](/funerals-canceled-due-to-ransomware-attack-on-austrian-town)No new articles


## Tags:


### Autogenerated tags:
[[fick]] [[u.s]] [[kyiv]] [[cyberspace]] [[tallinn]]
