# Hackers backdoor Russian state, industrial orgs for data theft
## Several state and key industrial organizations in Russia were attacked with a custom Go-based backdoor that performs data theft, likely aiding espionage operations.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/hackers-backdoor-russian-state-industrial-orgs-for-data-theft/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 24 October 2023, 15:48
+ Date scraped: 24 October 2023, 20:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/09/15/hacker-typing.jpg)



Several state and key industrial organizations in Russia were attacked with a custom Go-based backdoor that performs data theft, likely aiding espionage operations.


Kaspersky first detected the campaign in June 2023, while in mid-August, the cybersecurity firm spotted a newer version of the backdoor that introduced better evasion, indicating ongoing optimization of the attacks.

Recommended by


The threat actors responsible for this campaign are unknown, and Kaspersky was limited to sharing indicators of compromise that can help defenders thwart the attacks.


Malicious ARJ archives
----------------------


The attack begins with an email carrying a malicious ARJ archive named 'finansovyy\_kontrol\_2023\_180529.rar' (financial control), which is a Nullsoft archive executable.


The archive contains a decoy PDF document used for distracting the victim and an NSIS script that fetches the primary payload from an external URL address (fas-gov-ru[.]com) and launches it.


The malware payload is dropped at 'C:\ProgramData\Microsoft\DeviceSync\' as 'UsrRunVGA.exe.'



![Fetching the payload](https://www.bleepstatic.com/images/news/u/1220909/2023/Malware/62/fetch.png)**Get command to fetch the payload**  
*Source: Kaspersky*


Kaspersky says the same phishing wave distributed two more backdoors named 'Netrunner' and 'Dmcserv.' These are the same malware with different C2 (command and control) server configurations.


The script launches the malicious executables in a hidden window and adds a Start Menu link to establish persistence.



![Attack chain diagram](https://www.bleepstatic.com/images/news/u/1220909/2023/Malware/62/diagram.png)**Attack chain diagram**  
*Source: Kaspersky*


The functionality of the backdoor includes the following:


* List files and folders in a specified directory.
* Transfer (exfiltrate) files from the host to the C2.
* Obtain clipboard contents.
* Grab desktop screenshots.
* Search disk for files of specific extensions (.doc, .docx, .pdf, .xls, .xlsx, .ppt, .pptx, .zip, .rar, .7z, .odt, .ods, .kdbx, .ovpn, .pem, .crt, .key) and transfer them to the C2.

All data sent to the C2 server is first AES encrypted to evade detection from network monitoring solutions.


To evade analysis, the malware performs username, system name, and directory checks to detect if it's running in a virtualized environment and exits if it does.


The results of these checks are sent to the C2 in the initial phase of the infection to be used for victim profiling.



![Sandbox checks](https://www.bleepstatic.com/images/news/u/1220909/2023/Malware/62/sandbox.png)**Anti-sandbox checks**  
*Source: Kaspersky*


New version steals passwords
----------------------------


In mid-August, [Kaspersky noticed](https://securelist.ru/ataki-na-industrialnyj-i-gosudarstvennyj-sektory-rf/108229/) a new variant of the backdoor that featured minor changes like the removal of some noisy preliminary checks and the addition of new file-stealing capabilities.


Most notably, the new version adds a module that targets user passwords stored in 27 web browsers and the Thunderbird email client.


Browsers targeted by the latest backdoor version include Chrome, Firefox, Edge, Opera, Brave, Vivaldi, and Yandex, a popular and trusted browser in Russia.


The AES key has been refreshed in this malware version, and RSA asymmetric encryption has been added to protect client-C2 command and parameter communications.





## Tags:
***urls***: http://fas-gov-ru.com

### Autogenerated tags:
[[kaspersky]] [[c2]] [[malware]]
