# LockBit ransomware secretly building next-gen encryptor before takedown
## LockBit ransomware developers were secretly building a new version of their file encrypting malware, dubbed LockBit-NG-Dev - likely a future LockBit 4.0, when law enforcement took down the cybercriminal's infrastructure earlier this week.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/lockbit-ransomware-secretly-building-next-gen-encryptor-before-takedown/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 22 February 2024, 08:51
+ Date scraped: 22 February 2024, 14:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2024/02/22/lockbit4.jpg)



LockBit ransomware developers were secretly building a new version of their file encrypting malware, dubbed LockBit-NG-Dev - likely to become LockBit 4.0, when law enforcement took down the cybercriminal's infrastructure earlier this week.


As a result of the collaboration with the National Crime Agency in the UK, cybersecurity company Trend Micro analyzed a sample of the latest LockBit development that can work on multiple operating systems.


LockBit next-gen
----------------


While previous LockBit malware is built in C/C++, the latest sample is a work-in-progress written in .NET that appears to be compiled with CoreRT, and packed with MPRESS.


Trend Micro [says](https://www.trendmicro.com/en_us/research/24/b/lockbit-attempts-to-stay-afloat-with-a-new-version.html) that the malware includes a configuration file in JSON format that outlines the execution parameters such as execution date range, ransom note details, unique IDs, RSA public key, and other operational flags.



![Encrypted configuration](https://www.bleepstatic.com/images/news/u/1220909/2024/Ransomware/09/configuration.png)**Decrypted configuration** *(Trend Micro)*


Although the security firm says the new encryptor lacks some features present in previous iterations (e.g. ability to self-propagate on breached networks, printing ransom notes on victim's printers), it appears to be in its final development stages, already offering most of the expected functionality.


It supports three encryption modes (using AES+RSA), namely "fast," "intermittent," and "full," has custom file or directory exclusion, and can randomize the file naming to complicate restoration efforts.



![File encrypted in the intermittent mode](https://www.bleepstatic.com/images/news/u/1220909/2024/Ransomware/09/intermittent.png)**File encrypted in the intermittent mode** *(Trend Micro)*


Additional options include a self-delete mechanism that overwrites LockBit's own file contents with null bytes.


Trend Micro has published a [deeply technical analysis](http://www.trendmicro.com/content/dam/trendmicro/global/en/research/24/b/lockbit-attempts-to-stay-afloat-with-a-new-version/technical-appendix-lockbit-ng-dev-analysis.pdf) of the malware, which reveals the full configuration parameters for LockBit-NG-Dev.


The discovery of the new LockBit encrypter is another blow law enforcement dealt to LockBit operators through [Operation Cronos](https://www.bleepingcomputer.com/news/security/lockbit-ransomware-disrupted-by-global-police-operation/). Even if backup servers are still controlled by the gang, restoring the cybercriminal business should be a tough challenge when the source code for the encrypting malware is known to security researchers.





## Tags:


### Autogenerated tags:
[[lockbit]] [[malware]]
