# Microsoft October 2023 Patch Tuesday fixes 3 zero-days, 104 flaws
## Today is Microsoft's October 2023 Patch Tuesday, with security updates for 104 flaws, including three actively exploited zero-day vulnerabilities.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-october-2023-patch-tuesday-fixes-3-zero-days-104-flaws/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 10 October 2023, 13:49
+ Date scraped: 10 October 2023, 18:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/12/13/patch-tuesday-header.jpg)



Today is Microsoft's October 2023 Patch Tuesday, with security updates for 104 flaws, including three actively exploited zero-day vulnerabilities.


While forty-five remote code execution (RCE) bugs were fixed, Microsoft only rated twelve vulnerabilities as 'Critical,' all of which are RCE flaws.


The number of bugs in each vulnerability category is listed below:


* 26 Elevation of Privilege Vulnerabilities
* 3 Security Feature Bypass Vulnerabilities
* 45 Remote Code Execution Vulnerabilities
* 12 Information Disclosure Vulnerabilities
* 17 Denial of Service Vulnerabilities
* 1 Spoofing Vulnerabilities

The total count of 104 flaws does not include one Chromium vulnerability tracked as CVE-2023-5346, which was fixed by Google on October 3rd and ported to Microsoft Edge.


Three actively exploited zero-day vulnerabilities
-------------------------------------------------


This month's Patch Tuesday fixes three zero-day vulnerabilities, with all of them exploited in attacks and two of them publicly disclosed.


Microsoft classifies a vulnerability as a zero-day if it is publicly disclosed or actively exploited with no official fix available.


The three actively exploited zero-day vulnerabilities in today's updates are:


**[CVE-2023-41763](https://msrc.microsoft.com/update-guide/en-US/advisory/CVE-2023-41763)  - Skype for Business Elevation of Privilege Vulnerability**


Microsoft has fixed an actively exploited Skype for Business vulnerability that is classified as an Elevation of Privileges bug.


"An attacker who successfully exploited the vulnerability could view some sensitive information (Confidentiality) but not all resources within the impacted component may be divulged to the attacker.," explains Microsoft.


"While the attacker cannot make changes to disclosed information (Integrity) or limit access to the resource (Availability)."


The flaw was discovered by Dr. Florian Hauser ([@frycos](https://twitter.com/frycos)), who told BleepingComputer that it is the [same flaw he disclosed in September 2022](https://frycos.github.io/vulns4free/2022/09/26/skype-audit-part2.html) but which Microsoft had refused to fix at the time.


"You could use this vulnerability to reach systems in the internals networks. It basically allows you to breach the internet perimeter because Skype usually is exposed on the public internet," Hauser told BleepingComputer.


**[CVE-2023-36563](https://msrc.microsoft.com/update-guide/en-US/advisory/CVE-2023-36563) - Microsoft WordPad Information Disclosure Vulnerability**


Microsoft has fixed an actively exploited vulnerability that can be used to steal NTLM hashes when opening a document in WordPad.


"To exploit this vulnerability, an attacker would first have to log on to the system. An attacker could then run a specially crafted application that could exploit the vulnerability and take control of an affected system," explains Microsoft.


"Additionally, an attacker could convince a local user to open a malicious file. The attacker would have to convince the user to click a link, typically by way of an enticement in an email or instant message, and then convince them to open the specially crafted file."


These NTLM hashes can be cracked or used in NTLM Relay attacks to gain access to the account.


This flaw was discovered internally by the Microsoft Threat Intelligence group and appears to be an offshoot of [CVE-2023-36761](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-36761), fixed last month.


**CVE-2023-44487 - HTTP/2 Rapid Reset Attack**


Microsoft has released mitigations for a new zero-day DDoS attack technique called '[HTTP/2 Rapid Reset](https://www.bleepingcomputer.com/news/security/new-http-2-rapid-reset-zero-day-attack-breaks-ddos-records/)' that has been actively exploited since August, breaking all previous records.


This attack abuses the HTTP/2's stream cancellation feature to continuously send and cancel requests, overwhelming the target server/application and imposing a DoS state.


As the feature is built into the HTTP/2 standard, there is no "fix" for the technique that can be implemented other than rate limiting or blocking the protocol.


Microsoft's mitigation steps in the advisory are to disable the HTTP/2 protocol on your web server. However, they also provided a [dedicated article](https://msrc.microsoft.com/blog/2023/10/microsoft-response-to-distributed-denial-of-service-ddos-attacks-against-http/2/) on HTTP/2 Rapid Reset, with further information.


This flaw was disclosed today in a coordinated disclosure by Cloudflare, Amazon, and Google.


Microsoft says that the CVE-2023-41763 and CVE-2023-36563 were publicly disclosed.


Recent updates from other companies
-----------------------------------


Other vendors who released updates or advisories in October 2023 include:


* **Apple** [fixed two zero-days](https://www.bleepingcomputer.com/news/apple/apple-emergency-update-fixes-new-zero-day-used-to-hack-iphones/) with the release of iOS 17.0.3.
* **Arm** [disclosed new Mali GPU flaws](https://www.bleepingcomputer.com/news/security/arm-warns-of-mali-gpu-flaws-likely-exploited-in-targeted-attacks/) exploited in attacks.
* **Cisco**[released security updates](https://sec.cloudapps.cisco.com/security/center/publicationListing.x) for various products, including [hard-coded root credentials in Emergency Responder](https://www.bleepingcomputer.com/news/security/cisco-fixes-hard-coded-root-credentials-in-emergency-responder/).
* **Citrix** [released fixes for a Citrix NetScaler ADC and Gateway flaw](https://www.bleepingcomputer.com/news/security/new-critical-citrix-netscaler-flaw-exposes-sensitive-data/) that exposes 'sensitive' information.
* Technical details released for [**D-Link** DAP-X1860 WiFi 6 range extender zero-day](https://www.bleepingcomputer.com/news/security/d-link-wifi-range-extender-vulnerable-to-command-injection-attacks/).
* **Exim** [patched three of six disclosed zero-days](https://www.bleepingcomputer.com/news/security/exim-patches-three-of-six-zero-day-bugs-disclosed-last-week/).
* **Google**released the [Android October 2023 security updates](https://www.bleepingcomputer.com/news/security/android-october-security-update-fixes-zero-days-exploited-in-attacks/) to fix actively exploited vulnerabilities.
* **GNOME** is [impacted by an RCE flaw](https://www.bleepingcomputer.com/news/security/gnome-linux-systems-exposed-to-rce-attacks-via-file-downloads/) that can be triggered by downloading a cue file.
* New '[**HTTP/2 Rapid Reset**](https://www.bleepingcomputer.com/news/security/new-http-2-rapid-reset-zero-day-attack-breaks-ddos-records/)' zero-day attack breaks DDoS records.
* **Linux** distros are impacted by a new '[Looney Tunables](https://www.bleepingcomputer.com/news/security/new-looney-tunables-linux-bug-gives-root-on-major-distros/)' bug that gives root on impacted systems.
* [**Marvin attack**](https://www.bleepingcomputer.com/news/security/new-marvin-attack-revives-25-year-old-decryption-flaw-in-rsa/) revives 25-year-old decryption flaw in RSA.
* **Microsoft** [released an emergency update](https://www.bleepingcomputer.com/news/microsoft/microsoft-edge-teams-get-fixes-for-zero-days-in-open-source-libraries/) for Edge and Teams to fix two zero-days.
* **SAP** has released its [October 2023 Patch Day](https://dam.sap.com/mac/app/e/pdf/preview/embed/ucQrx6G?ltr=a&rc=10) updates.
* New **[ShellTorch flaws](https://www.bleepingcomputer.com/news/security/shelltorch-flaws-expose-ai-servers-to-code-execution-attacks/)**impact the open-source TorchServe AI model-serving tool.

The October 2023 Patch Tuesday Security Updates
-----------------------------------------------


Below is the complete list of resolved vulnerabilities in the October 2023 Patch Tuesday updates.


To access the full description of each vulnerability and the systems it affects, you can view the [full report here](https://www.bleepingcomputer.com/microsoft-patch-tuesday-reports/Microsoft-Patch-Tuesday-October-2023.html).





| Tag | CVE ID | CVE Title | Severity |
| --- | --- | --- | --- |
| Active Directory Domain Services | [CVE-2023-36722](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36722) | Active Directory Domain Services Information Disclosure Vulnerability | Important |
| Azure | [CVE-2023-36737](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36737) | Azure Network Watcher VM Agent Elevation of Privilege Vulnerability | Important |
| Azure | [CVE-2023-36419](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36419) | Azure HDInsight Apache Oozie Workflow Scheduler Elevation of Privilege Vulnerability | Important |
| Azure DevOps | [CVE-2023-36561](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36561) | Azure DevOps Server Elevation of Privilege Vulnerability | Important |
| Azure Real Time Operating System | [CVE-2023-36418](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36418) | Azure RTOS GUIX Studio Remote Code Execution Vulnerability | Important |
| Azure SDK | [CVE-2023-36414](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36414) | Azure Identity SDK Remote Code Execution Vulnerability | Important |
| Azure SDK | [CVE-2023-36415](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36415) | Azure Identity SDK Remote Code Execution Vulnerability | Important |
| Client Server Run-time Subsystem (CSRSS) | [CVE-2023-41766](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-41766) | Windows Client Server Run-time Subsystem (CSRSS) Elevation of Privilege Vulnerability | Important |
| HTTP/2 | [CVE-2023-44487](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-44487) | MITRE: CVE-2023-44487 HTTP/2 Rapid Reset Attack | Important |
| Microsoft Common Data Model SDK | [CVE-2023-36566](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36566) | Microsoft Common Data Model SDK Denial of Service Vulnerability | Important |
| Microsoft Dynamics | [CVE-2023-36429](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36429) | Microsoft Dynamics 365 (On-Premises) Information Disclosure Vulnerability | Important |
| Microsoft Dynamics | [CVE-2023-36416](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36416) | Microsoft Dynamics 365 (on-premises) Cross-site Scripting Vulnerability | Important |
| Microsoft Dynamics | [CVE-2023-36433](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36433) | Microsoft Dynamics 365 (On-Premises) Information Disclosure Vulnerability | Important |
| Microsoft Edge (Chromium-based) | [CVE-2023-5346](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-5346) | Chromium: CVE-2023-5346 Type Confusion in V8 | Unknown |
| Microsoft Exchange Server | [CVE-2023-36778](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36778) | Microsoft Exchange Server Remote Code Execution Vulnerability | Important |
| Microsoft Graphics Component | [CVE-2023-36594](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36594) | Windows Graphics Component Elevation of Privilege Vulnerability | Important |
| Microsoft Graphics Component | [CVE-2023-38159](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-38159) | Windows Graphics Component Elevation of Privilege Vulnerability | Important |
| Microsoft Office | [CVE-2023-36565](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36565) | Microsoft Office Graphics Elevation of Privilege Vulnerability | Important |
| Microsoft Office | [CVE-2023-36569](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36569) | Microsoft Office Elevation of Privilege Vulnerability | Important |
| Microsoft Office | [CVE-2023-36568](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36568) | Microsoft Office Click-To-Run Elevation of Privilege Vulnerability | Important |
| Microsoft QUIC | [CVE-2023-38171](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-38171) | Microsoft QUIC Denial of Service Vulnerability | Important |
| Microsoft QUIC | [CVE-2023-36435](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36435) | Microsoft QUIC Denial of Service Vulnerability | Important |
| Microsoft WDAC OLE DB provider for SQL | [CVE-2023-36577](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36577) | Microsoft WDAC OLE DB provider for SQL Server Remote Code Execution Vulnerability | Important |
| Microsoft Windows Media Foundation | [CVE-2023-36710](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36710) | Windows Media Foundation Core Remote Code Execution Vulnerability | Important |
| Microsoft Windows Search Component | [CVE-2023-36564](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36564) | Windows Search Security Feature Bypass Vulnerability | Important |
| Microsoft WordPad | [CVE-2023-36563](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36563) | Microsoft WordPad Information Disclosure Vulnerability | Important |
| Skype for Business | [CVE-2023-36786](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36786) | Skype for Business Remote Code Execution Vulnerability | Important |
| Skype for Business | [CVE-2023-36780](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36780) | Skype for Business Remote Code Execution Vulnerability | Important |
| Skype for Business | [CVE-2023-36789](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36789) | Skype for Business Remote Code Execution Vulnerability | Important |
| Skype for Business | [CVE-2023-41763](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-41763) | Skype for Business Elevation of Privilege Vulnerability | Important |
| SQL Server | [CVE-2023-36728](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36728) | Microsoft SQL Server Denial of Service Vulnerability | Important |
| SQL Server | [CVE-2023-36417](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36417) | Microsoft SQL ODBC Driver Remote Code Execution Vulnerability | Important |
| SQL Server | [CVE-2023-36785](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36785) | Microsoft ODBC Driver for SQL Server Remote Code Execution Vulnerability | Important |
| SQL Server | [CVE-2023-36598](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36598) | Microsoft WDAC ODBC Driver Remote Code Execution Vulnerability | Important |
| SQL Server | [CVE-2023-36730](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36730) | Microsoft ODBC Driver for SQL Server Remote Code Execution Vulnerability | Important |
| SQL Server | [CVE-2023-36420](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36420) | Microsoft ODBC Driver for SQL Server Remote Code Execution Vulnerability | Important |
| Windows Active Template Library | [CVE-2023-36585](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36585) | Active Template Library Denial of Service Vulnerability | Important |
| Windows AllJoyn API | [CVE-2023-36709](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36709) | Microsoft AllJoyn API Denial of Service Vulnerability | Important |
| Windows Client/Server Runtime Subsystem | [CVE-2023-36902](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36902) | Windows Runtime Remote Code Execution Vulnerability | Important |
| Windows Common Log File System Driver | [CVE-2023-36713](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36713) | Windows Common Log File System Driver Information Disclosure Vulnerability | Important |
| Windows Container Manager Service | [CVE-2023-36723](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36723) | Windows Container Manager Service Elevation of Privilege Vulnerability | Important |
| Windows Deployment Services | [CVE-2023-36707](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36707) | Windows Deployment Services Denial of Service Vulnerability | Important |
| Windows Deployment Services | [CVE-2023-36567](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36567) | Windows Deployment Services Information Disclosure Vulnerability | Important |
| Windows Deployment Services | [CVE-2023-36706](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36706) | Windows Deployment Services Information Disclosure Vulnerability | Important |
| Windows DHCP Server | [CVE-2023-36703](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36703) | DHCP Server Service Denial of Service Vulnerability | Important |
| Windows Error Reporting | [CVE-2023-36721](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36721) | Windows Error Reporting Service Elevation of Privilege Vulnerability | Important |
| Windows HTML Platform | [CVE-2023-36436](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36436) | Windows MSHTML Platform Remote Code Execution Vulnerability | Important |
| Windows HTML Platform | [CVE-2023-36557](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36557) | PrintHTML API Remote Code Execution Vulnerability | Important |
| Windows IIS | [CVE-2023-36434](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36434) | Windows IIS Server Elevation of Privilege Vulnerability | Important |
| Windows IKE Extension | [CVE-2023-36726](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36726) | Windows Internet Key Exchange (IKE) Extension Elevation of Privilege Vulnerability | Important |
| Windows Kernel | [CVE-2023-36576](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36576) | Windows Kernel Information Disclosure Vulnerability | Important |
| Windows Kernel | [CVE-2023-36712](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36712) | Windows Kernel Elevation of Privilege Vulnerability | Important |
| Windows Kernel | [CVE-2023-36698](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36698) | Windows Kernel Security Feature Bypass Vulnerability | Important |
| Windows Layer 2 Tunneling Protocol | [CVE-2023-41770](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-41770) | Layer 2 Tunneling Protocol Remote Code Execution Vulnerability | Critical |
| Windows Layer 2 Tunneling Protocol | [CVE-2023-41765](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-41765) | Layer 2 Tunneling Protocol Remote Code Execution Vulnerability | Critical |
| Windows Layer 2 Tunneling Protocol | [CVE-2023-41767](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-41767) | Layer 2 Tunneling Protocol Remote Code Execution Vulnerability | Critical |
| Windows Layer 2 Tunneling Protocol | [CVE-2023-38166](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-38166) | Layer 2 Tunneling Protocol Remote Code Execution Vulnerability | Critical |
| Windows Layer 2 Tunneling Protocol | [CVE-2023-41774](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-41774) | Layer 2 Tunneling Protocol Remote Code Execution Vulnerability | Critical |
| Windows Layer 2 Tunneling Protocol | [CVE-2023-41773](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-41773) | Layer 2 Tunneling Protocol Remote Code Execution Vulnerability | Critical |
| Windows Layer 2 Tunneling Protocol | [CVE-2023-41771](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-41771) | Layer 2 Tunneling Protocol Remote Code Execution Vulnerability | Critical |
| Windows Layer 2 Tunneling Protocol | [CVE-2023-41769](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-41769) | Layer 2 Tunneling Protocol Remote Code Execution Vulnerability | Critical |
| Windows Layer 2 Tunneling Protocol | [CVE-2023-41768](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-41768) | Layer 2 Tunneling Protocol Remote Code Execution Vulnerability | Critical |
| Windows Mark of the Web (MOTW) | [CVE-2023-36584](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36584) | Windows Mark of the Web Security Feature Bypass Vulnerability | Important |
| Windows Message Queuing | [CVE-2023-36571](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36571) | Microsoft Message Queuing Remote Code Execution Vulnerability | Important |
| Windows Message Queuing | [CVE-2023-36570](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36570) | Microsoft Message Queuing Remote Code Execution Vulnerability | Important |
| Windows Message Queuing | [CVE-2023-36431](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36431) | Microsoft Message Queuing Denial of Service Vulnerability | Important |
| Windows Message Queuing | [CVE-2023-35349](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-35349) | Microsoft Message Queuing Remote Code Execution Vulnerability | Critical |
| Windows Message Queuing | [CVE-2023-36591](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36591) | Microsoft Message Queuing Remote Code Execution Vulnerability | Important |
| Windows Message Queuing | [CVE-2023-36590](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36590) | Microsoft Message Queuing Remote Code Execution Vulnerability | Important |
| Windows Message Queuing | [CVE-2023-36589](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36589) | Microsoft Message Queuing Remote Code Execution Vulnerability | Important |
| Windows Message Queuing | [CVE-2023-36583](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36583) | Microsoft Message Queuing Remote Code Execution Vulnerability | Important |
| Windows Message Queuing | [CVE-2023-36592](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36592) | Microsoft Message Queuing Remote Code Execution Vulnerability | Important |
| Windows Message Queuing | [CVE-2023-36697](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36697) | Microsoft Message Queuing Remote Code Execution Vulnerability | Critical |
| Windows Message Queuing | [CVE-2023-36606](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36606) | Microsoft Message Queuing Denial of Service Vulnerability | Important |
| Windows Message Queuing | [CVE-2023-36593](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36593) | Microsoft Message Queuing Remote Code Execution Vulnerability | Important |
| Windows Message Queuing | [CVE-2023-36582](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36582) | Microsoft Message Queuing Remote Code Execution Vulnerability | Important |
| Windows Message Queuing | [CVE-2023-36574](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36574) | Microsoft Message Queuing Remote Code Execution Vulnerability | Important |
| Windows Message Queuing | [CVE-2023-36575](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36575) | Microsoft Message Queuing Remote Code Execution Vulnerability | Important |
| Windows Message Queuing | [CVE-2023-36573](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36573) | Microsoft Message Queuing Remote Code Execution Vulnerability | Important |
| Windows Message Queuing | [CVE-2023-36572](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36572) | Microsoft Message Queuing Remote Code Execution Vulnerability | Important |
| Windows Message Queuing | [CVE-2023-36581](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36581) | Microsoft Message Queuing Denial of Service Vulnerability | Important |
| Windows Message Queuing | [CVE-2023-36579](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36579) | Microsoft Message Queuing Denial of Service Vulnerability | Important |
| Windows Message Queuing | [CVE-2023-36578](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36578) | Microsoft Message Queuing Remote Code Execution Vulnerability | Important |
| Windows Microsoft DirectMusic | [CVE-2023-36702](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36702) | Microsoft DirectMusic Remote Code Execution Vulnerability | Important |
| Windows Mixed Reality Developer Tools | [CVE-2023-36720](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36720) | Windows Mixed Reality Developer Tools Denial of Service Vulnerability | Important |
| Windows Named Pipe File System | [CVE-2023-36729](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36729) | Named Pipe File System Elevation of Privilege Vulnerability | Important |
| Windows Named Pipe File System | [CVE-2023-36605](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36605) | Windows Named Pipe Filesystem Elevation of Privilege Vulnerability | Important |
| Windows NT OS Kernel | [CVE-2023-36725](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36725) | Windows Kernel Elevation of Privilege Vulnerability | Important |
| Windows Power Management Service | [CVE-2023-36724](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36724) | Windows Power Management Service Information Disclosure Vulnerability | Important |
| Windows RDP | [CVE-2023-36790](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36790) | Windows RDP Encoder Mirror Driver Elevation of Privilege Vulnerability | Important |
| Windows RDP | [CVE-2023-29348](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-29348) | Windows Remote Desktop Gateway (RD Gateway) Information Disclosure Vulnerability | Important |
| Windows Remote Procedure Call | [CVE-2023-36596](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36596) | Remote Procedure Call Information Disclosure Vulnerability | Important |
| Windows Resilient File System (ReFS) | [CVE-2023-36701](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36701) | Microsoft Resilient File System (ReFS) Elevation of Privilege Vulnerability | Important |
| Windows Runtime C++ Template Library | [CVE-2023-36711](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36711) | Windows Runtime C++ Template Library Elevation of Privilege Vulnerability | Important |
| Windows Setup Files Cleanup | [CVE-2023-36704](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36704) | Windows Setup Files Cleanup Remote Code Execution Vulnerability | Important |
| Windows TCP/IP | [CVE-2023-36438](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36438) | Windows TCP/IP Information Disclosure Vulnerability | Important |
| Windows TCP/IP | [CVE-2023-36603](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36603) | Windows TCP/IP Denial of Service Vulnerability | Important |
| Windows TCP/IP | [CVE-2023-36602](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36602) | Windows TCP/IP Denial of Service Vulnerability | Important |
| Windows TPM | [CVE-2023-36717](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36717) | Windows Virtual Trusted Platform Module Denial of Service Vulnerability | Important |
| Windows Virtual Trusted Platform Module | [CVE-2023-36718](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36718) | Microsoft Virtual Trusted Platform Module Remote Code Execution Vulnerability | Critical |
| Windows Win32K | [CVE-2023-36731](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36731) | Win32k Elevation of Privilege Vulnerability | Important |
| Windows Win32K | [CVE-2023-36732](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36732) | Win32k Elevation of Privilege Vulnerability | Important |
| Windows Win32K | [CVE-2023-36776](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36776) | Win32k Elevation of Privilege Vulnerability | Important |
| Windows Win32K | [CVE-2023-36743](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-36743) | Win32k Elevation of Privilege Vulnerability | Important |
| Windows Win32K | [CVE-2023-41772](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2023-41772) | Win32k Elevation of Privilege Vulnerability | Important |





## Tags:
***CVE's***: CVE-2023-36707 CVE-2023-36557 CVE-2023-41771 CVE-2023-36725 CVE-2023-36720 CVE-2023-36438 CVE-2023-36698 CVE-2023-36730 CVE-2023-36563 CVE-2023-36713 CVE-2023-36709 CVE-2023-36434 CVE-2023-36431 CVE-2023-36590 CVE-2023-36433 CVE-2023-36726 CVE-2023-36717 CVE-2023-36567 CVE-2023-41765 CVE-2023-36418 CVE-2023-38171 CVE-2023-36577 CVE-2023-36579 CVE-2023-36583 CVE-2023-36574 CVE-2023-36561 CVE-2023-36584 CVE-2023-36419 CVE-2023-41763 CVE-2023-36592 CVE-2023-36564 CVE-2023-36414 CVE-2023-36598 CVE-2023-36420 CVE-2023-36572 CVE-2023-36570 CVE-2023-36761 CVE-2023-35349 CVE-2023-36573 CVE-2023-36732 CVE-2023-36581 CVE-2023-36789 CVE-2023-41774 CVE-2023-36729 CVE-2023-36596 CVE-2023-36712 CVE-2023-36728 CVE-2023-36602 CVE-2023-41768 CVE-2023-36417 CVE-2023-36593 CVE-2023-36591 CVE-2023-36575 CVE-2023-36606 CVE-2023-36697 CVE-2023-36702 CVE-2023-36565 CVE-2023-36706 CVE-2023-38159 CVE-2023-36711 CVE-2023-36701 CVE-2023-36576 CVE-2023-36703 CVE-2023-36589 CVE-2023-36785 CVE-2023-36704 CVE-2023-36582 CVE-2023-41773 CVE-2023-36778 CVE-2023-36722 CVE-2023-41766 CVE-2023-36569 CVE-2023-36902 CVE-2023-36435 CVE-2023-36710 CVE-2023-36436 CVE-2023-36743 CVE-2023-36429 CVE-2023-36723 CVE-2023-36594 CVE-2023-5346 CVE-2023-38166 CVE-2023-36566 CVE-2023-36718 CVE-2023-41770 CVE-2023-36605 CVE-2023-36737 CVE-2023-36416 CVE-2023-36603 CVE-2023-36415 CVE-2023-36578 CVE-2023-36731 CVE-2023-41772 CVE-2023-41767 CVE-2023-36790 CVE-2023-36568 CVE-2023-29348 CVE-2023-36776 CVE-2023-36780 CVE-2023-36585 CVE-2023-36721 CVE-2023-36786 CVE-2023-36571 CVE-2023-41769 CVE-2023-36724 CVE-2023-44487

### Autogenerated tags:
[[windows]] [[microsoft]] [[sql]] [[skype]] [[win32k]] [[zero-day]] [[http/2]] [[sdk]] [[tcp/ip]] [[odbc]]
