# 5 most dangerous new attack techniques
## Adversarial AI, ChatGPT-powered social engineering, and paid advertising attacks are among the most dangerous emerging attack methods, according to SANS Institute analysts.
## Information:

+ Link: https://www.csoonline.com/article/3694892/5-most-dangerous-new-attack-techniques.html
+ Source: CSO
+ Author: Michael Hill
+ Date published: 27 April 2023, 08:51
+ Date scraped: 28 April 2023, 11:00

## Article:
![Main article image](https://images.techhive.com/images/article/2017/03/4557822128_5d9ba71628_b-100715356-large.jpg?auto=webp&quality=85,70)


Cyber experts from the SANS Institute have revealed the five most dangerous new attack techniques being used by attackers including cyber criminals and nation-state actors. They were presented in a session at the RSA Conference in San Francisco, where a panel of SANS analysts explored emerging Tactics, Techniques, and Procedures (TTPs) and advised organizations on how to prepare for them.

The SANS Institute is a leading cybersecurity training, certifications, degrees, and resources company that aims to empower cybersecurity professionals with practical skills and knowledge.

The session, titled [The Five Most Dangerous New Attack Techniques](https://www.rsaconference.com/usa/agenda/session/The%20Five%20Most%20Dangerous%20New%20Attack%20Techniques), featured four prominent SANS panelists to provide actionable insights to help security leaders understand and stay ahead of evolving threats. The five emerging cyber-attack vectors the speakers covered were adversarial AI, ChatGPT-powered social engineering, third-party developer, SEO, and paid advertising attacks.


## Adversarial AI attacks

With [adversarial AI attacks](https://www.csoonline.com/article/3664748/adversarial-machine-learning-explained-how-attackers-disrupt-ai-and-ml-systems.html), threat actors are manipulating AI tools to amplify the velocity of ransomware campaigns and identify zero-day vulnerabilities within complex software, said Stephen Sims, SANS fellow and offensive cyber operations curriculum lead. From streamlining malware coding processes to democratizing social engineering, adversarial AI has changed the game for attackers, he added. In response, organizations need to deploy an integrated defense-in-depth security model that provides layered protections, automates critical detection and response actions, and facilitates effective incident-handling processes.

## ChatGPT-powered social engineering

As for [ChatGPT-powered social engineering](https://www.csoonline.com/article/3685488/how-ai-chatbot-chatgpt-changes-the-phishing-game.html), threat actors are leveraging generative AI to exploit human risk – targeting the vulnerabilities of individual employees to breach their wide organization’s network, including their families, according to Heather Mahalik, SANS fellow.

This development means that users are [now more easily attackable than ever](https://www.csoonline.com/article/3685368/study-shows-attackers-can-use-chatgpt-to-significantly-enhance-phishing-and-bec-scams.html), and all it takes is one wrong click on a malicious file to put not only an entire company at immediate risk, but the victim’s livelihood as well, Mahalik said. This widened attack surface requires organizations to foster a culture of cyber vigilance across every fabric of their enterprise to ensure employees are cognizant of ChatGPT-related attacks.

## **Third-party developer attacks**

The next most dangerous attack technique explored was [third-party developer attacks](https://www.csoonline.com/article/3191947/supply-chain-attacks-show-why-you-should-be-wary-of-third-party-providers.html) (also known as software supply chain attacks) chiefly a rise of targeted attacks on third-party software developers to infiltrate enterprise networks through the supply chain, said Dr. Johannes Ullrich, SANS Technology Institute college dean of research. This played out significantly in the [2022 LastPass breach](https://www.csoonline.com/article/3684790/timeline-of-the-latest-lastpass-data-breaches.html), where a threat actor exploited third-party software vulnerabilities to bypass existing controls and access privileged environments. For organizations across sectors, the attack underscored the criticality of effectively working in tandem with software developers to align security architectures, share threat intelligence, and navigate evolving attack techniques, Ullrich said.

## SEO attacks and paid advertising attacks

[SEO attacks](https://www.csoonline.com/article/3674791/seo-poisoning-campaign-directs-search-engine-visitors-from-multiple-industries-to-javascript-malwar.html) are another dangerous, emerging attack method, as are [paid advertising attacks](https://www.csoonline.com/article/3373647/what-is-malvertising-and-how-you-can-protect-against-it.html), said Katie Nickels, SANS certified instructor. New SEO and advertising attacks (also called malvertising) are leveraging fundamental marketing strategies to gain initial access to enterprise networks, according to Nickels. In these instances, threat actors are exploiting SEO keywords and paid advertisements to trick victims into engaging spoofed websites, downloading malicious files, and allowing remote user access.

These attacks signify proactiveness on behalf of malicious attackers, who are increasingly pivoting away from traditional attack techniques that have become easier to defend against, Nickels said. These two attack vectors heighten the importance of incorporating scalable user awareness training programs tailored to new threats.

## Attackers thrive on diversification of their techniques

The attacks outlined have become all the more prevalent, sophisticated, and harder to detect, John Davis, director UK and Ireland, SANS Institute, EMEA, tells CSO. “All are part of a larger trend in which the efforts and attack techniques used by hackers are increasingly complex and targeted.”

The sheer scale of cybercrime today, and the boldness of attackers, is hard for many business leaders to fathom – 450,000 new pieces of malware are detected each day, and 3.4 billion phishing emails hit inboxes – he adds. “No wonder so many businesses are struggling to keep the doors and windows firmly closed amid a raging storm. These audacious new threats teach us that hackers thrive on diversification of their techniques. No wonder we’re seeing established ransomware groups make layoffs, while Ransomware-as-a-Service (RaaS) gathers momentum.”

The good news is that even the smallest and youngest of businesses can defend against these attacks, Davis says. “Awareness, vigilance, and education are vital weapons and our most critical line of defense. Ultimately, if we’re to shore up the best defenses in an “always on” hacker world, it’s vital we stay ahead of the curve and keep shape shifting the approach, whatever the threat.”





## Tags:


### Autogenerated tags:
[[third-party]] [[seo]]
