# Accenture, IBM, Mandiant join Elite Cyber Defenders Program to secure critical infrastructure
## Led by Nozomi Networks, the program aims to provide global industrial and government customers cybersecurity defense tools, incident response teams, and threat intelligence.
## Information:

+ Link: https://www.csoonline.com/article/3694558/accenture-ibm-mandiant-join-elite-cyber-defenders-program-to-secure-critical-infrastructure.html
+ Source: CSO
+ Author: Michael Hill
+ Date published: 25 April 2023, 12:41
+ Date scraped: 25 April 2023, 22:00

## Article:
![Main article image](https://images.idgesg.net/images/article/2019/02/unexpected_obstacles_disaster_preparedness_recovery_toy_knight_defends_against_descending_sneaker_fight_defense_david_vs_goliath_small_vs_big_by_james_pond_cc0_via_unsplash_2400x1600-100788548-large.jpg?auto=webp&quality=85,70)


Leading cybersecurity response firms Accenture, IBM, and Mandiant have joined the Elite Cyber Defenders Program – a new, collaborative initiative designed to help secure critical infrastructure. Led by Nozomi Networks, the program aims to provide global industrial and government customers access to strong cybersecurity defense tools, incident response teams, and threat intelligence.

The Elite Cyber Defenders Program was announced during RSA Conference in San Francisco and comes as the cyberthreats posed to global critical infrastructure remain high. This week, [it was revealed](https://www.csoonline.com/article/3694193/hackers-behind-3cx-breach-also-breached-us-critical-infrastructure.html) that the group responsible for the supply chain attack against VoIP company 3CX also breached two critical infrastructure organizations in the energy sector. Last week, the [UK National Cyber Security Centre (NCSC) warned](https://www.csoonline.com/article/3693773/uk-ncsc-warns-of-new-class-of-russian-cyber-adversary-threatening-critical-infrastructure.html) of a new class of Russian cyber adversary threatening critical infrastructure organizations.

## **Participants will offer custom incident response, assessment programs**

Each participant in the program will offer custom-designed incident response and assessment programs for joint customers, [according to the announcement](https://www.globenewswire.com/news-release/2023/04/25/2653628/0/en/Nozomi-Networks-Partners-with-the-World-s-Top-Cyber-Incident-Responders-to-Provide-Industry-Leading-Tools-and-Services-for-Critical-Infrastructure.html). Elite Cyber Defenders have also committed to working with Nozomi Networks Labs on shared threat intelligence and joint security research focused on identifying novel malware and new TTPs employed by threat actors, it added.


Nozomi Networks Elite Cyber Defenders collectively staff more than 250 certified Nozomi Networks experts on their combined global OT incident response teams and use Nozomi Networks’ solutions for forensic analysis, proactive OT assessments, and rapid response capabilities for customers, the firm said.

## **Industrial environments rapidly transforming, creating new security challenges**

Industrial environments are rapidly transforming, creating new security challenges that attackers are actively exploiting. Attacks on manufacturing and energy represented more than 35% of all attacks observed in 2022, according to [IBM’s 2023 X-Force Threat Intelligence Index.](https://www.ibm.com/reports/threat-intelligence)

The heightened geopolitical landscape is fueling a resurgence of cyberattacks from groups who are more structured and destructive – and targeting high value critical infrastructure, said Jim Guinn, global cyber industry lead at Accenture. When it comes to protecting critical infrastructure in the face of attacks, accurate and timely information, full system visibility, and expert response are key, added Nozomi Networks CEO Edgard Capdevielle.

“The Elite Cyber Defenders program will bring together IBM’s incident response capabilities and expertise and Nozomi Networks’ deep OT/IoT experience from the process automation field and thorough knowledge to support organizations,” said Charles Henderson, head of IBM Security X-Force. Nozomi Networks’ visibility platform will also provide critical context for Mandiant’s incident response experts, helping them to quickly identify and contain threats, added Charles Carmakal, CTO, Mandiant Consulting.

Earlier this week, global OT cybersecurity leaders and critical infrastructure defenders announced the [founding of ETHOS](https://www.csoonline.com/article/3694450/ot-giants-collaborate-on-ethos-early-threat-and-attack-warning-system.html) (Emerging Threat Open Sharing), a vendor-agnostic technology platform for sharing threat information to strengthen cybersecurity defenses across critical industries.





## Tags:


### Autogenerated tags:
[[nozomi]] [[cybersecurity]] [[mandiant]]
