# Marvin Attack: 25-year-old RSA Decryption Vulnerability Disclosed
## A new type of vulnerability in the software implementation of PKCS#1 v1.5 padding scheme for RSA key exchange was previously confirmed, this attack has been named as “Marvin Attack”.
## Information:

+ Link: https://cybersecuritynews.com/?p=45015
+ Source: Cyber Security News
+ Author: Eswar
+ Date published: 02 October 2023, 11:36
+ Date scraped: 02 October 2023, 12:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgBmsXCYciWXzD5Q8lfNTsOam2Mvq402y3salsGmAetylQLFlk1hXDeIzhrZ7SfKriUh4cbFbj7yiPAiHvnQcRqvnVzq2AcmrHd5CDzw2QurCiQP0hQjXP8AjOg8nUFhmA8JeIB1WgVBdSHSSg51z-8oszVp2lwyK8w7QnwrCcaqYDCr-e7PadeazAvuMkF/s1600/Marvin%20Attack%20RSA%20decryption%20Vulnerability-1.webp)


A new type of vulnerability in the software implementation of PKCS#1 v1.5 padding scheme for RSA key exchange, which was previously confirmed to be susceptible, has been discovered and still can be exploited. This attack has been named as “*Marvin Attack*”.


This vulnerability was first discovered by a Swiss cryptographer, Bleichenbacher, in 1998. According to the attack, an [SSL/TLS](https://gbhackers.com/suprising-differences-tls-ssl-protocol/) server client can use server error responses to learn about the padding to decrypt the protected message.






However, after many years, this vulnerability resurfaced in 2017 when security researchers identified more than eight IT vendors and open-source projects that were found to be vulnerable to a variation of the original attack.




Document

FREE Demo
[Deploy Advanced AI-Powered Email Security Solution](#)
-------------------------------------------------------


Implementing AI-Powered Email security solutions “Trustifi” can secure your business from today’s most dangerous email threats, such as Email Tracking, Blocking, Modifying, Phishing, Account Take Over, Business Email Compromise, Malware & Ransomware


  [Free Demo](https://trustifi.com/request-a-demo/?utm_source=cybersecuritynews&utm_medium=Banner&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynewshttps://trustifi.com/request-a-demo/?utm_source=cybersecuritynews&utm_medium=Banner&utm_campaign=CyberSecuritynews&utm_id=cybersecuritynews) 


**Marvin Attack**
-----------------


Several CVEs have been assigned based on the implementation of the PKCS#1 v1.5. Threat actors can use the “Marvin Attack” to decrypt RSA ciphertexts, forge signatures, and even decrypt sessions recorded on a vulnerable TLS server.


In addition, reports also indicate that this vulnerability is not just limited to RSA but extends to almost all of the asymmetric cryptographic algorithms that are susceptible to side-channel attacks.




|  |  |  |  |
| --- | --- | --- | --- |
| **Implementation** | **Description** | **CVE ID** | **Severity** |
| OpenSSL (TLS level) | Timing Oracle in RSA Decryption | CVE-2022-4304 | 5.9 |
| OpenSSL (API level) | Make RSA decryption API safe to use with PKCS#1 v1.5 padding | *no CVE* | **N/A** |
| GnuTLS (TLS level) | A vulnerability was found that the response times to malformed RSA ciphertexts in ClientKeyExchange differ from response times of ciphertexts with correct PKCS#1 v1.5 padding. | CVE-2023-0361 | 7.4 |
| NSS (TLS level) | A vulnerability was found that the response times to malformed RSA ciphertexts in ClientKeyExchange differ from the response times of ciphertexts with correct PKCS#1 v1.5 padding. | CVE-2023-4421 | N/A |
| pyca/cryptography | Attempt to mitigate Bleichenbacher attacks on RSA decryption; ineffective, requires OpenSSL level fix instead | CVE-2020-25659 | 5.9 |
| M2Crypto | Mitigate the Bleichenbacher timing attacks in the RSA decryption API (CVE-2020-25657); ineffective, requires OpenSSL level fix instead | CVE-2020-25657 | 5.9 |
| OpenSSL-ibmca | Constant-time fixes for RSA PKCS#1 v1.5 and OAEP padding in version 2.4.0 | *no CVE* | N/A |




*Source: RedHat*


“We would consider any use of generic PKCS#1 v1.5 API that doesn’t use the Marvin workaround internally to be a case of CWE-242 (“Use of Inherently Dangerous Function”) and, without a verified [side-channel](https://cybersecuritynews.com/browser-cache-based-side-channel-attack/) free code on the calling side, an automatic vulnerability for the calling code.” reads the paper published by the researchers.


The complete research paper has been [published](https://people.redhat.com/~hkario/marvin/marvin-attack-paper.pdf) by RedHat, which details the threat vector, attack pattern, and additional information about this vulnerability.






## Tags:
***CVE's***: CVE-2020-256575 CVE-2023-4421 CVE-2022-43045 CVE-2020-256595 CVE-2020-25657 CVE-2023-03617

### Autogenerated tags:
[[rsa]] [[pkcs#1]] [[v1.5]] [[tls]] [[api]] [[bleichenbacher]]
