# Ransomware Attack on Lurie Children's Hospital: $3.4M Ransom Demanded
## In a distressing turn of events, the Ann & Robert H. Lurie Children’s Hospital of Chicago fell victim to a sophisticated ransomware attack.
## Information:

+ Link: https://cybersecuritynews.com/?p=58269
+ Source: Cyber Security News
+ Author: Dhivya
+ Date published: 28 February 2024, 09:16
+ Date scraped: 28 February 2024, 10:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjq-tgpb-7xXUiAsWVC6cB0HmOGLgtLoTe7WiEl2z3Itb8Eh_AZLD6OZMHlJmm0Bevf_YFQa5kQbsZXJeyPATlkW96XNDWa_HWyJcZqKHHCsJLKPNr0QEzQSM47U_yt0uirWYhK18vvpVkn-_Z1xTsiQt6kNGR_QE2eHeYq6eeDdjG8kCD90oOvtICZfjr8/s1600/Ransomware%20Attack%20-1.webp)


The Ann & Robert H. Lurie Children’s Hospital of Chicago was recently hit by a highly advanced ransomware attack, underlining the persistent risk of cybercrime that looms over the healthcare industry.


Lurie Children’s, a leading pediatric hospital in the US and a Level I Pediatric Trauma Center in Illinois, was unable to use electronic medical records and had to rely solely on pen and paper-based documentation.


Orchestrated by the [Rhysida ransomware-as-a-service](https://cybersecuritynews.com/rhysida-ransomware-attacking-windows/) group, this incident underscores the critical need for vigilance against seemingly minor errors, such as typos, that can lead to the installation of malicious packages from repositories like PyPI (Python Package Index).


*You can analyze a malware file, network, module, and registry activity with the*[*ANY.RUN malware sandbox*](https://app.any.run/#register/?utm_source=csnsandgbhackers&utm_medium=article&utm_campaign=rspamd&utm_content=register&utm_term=270224)*, and the*[*Threat Intelligence Lookup*](https://any.run/threat-intelligence-lookup/?utm_source=csnsandgbhackers&utm_medium=article&utm_campaign=rspamd&utm_content=ti&utm_term=270224)*that will let you interact with the OS directly from the browser.*


**The Attack on Lurie Children’s Hospital**
-------------------------------------------


Earlier this month, Lurie Children’s Hospital was forced to take its entire network offline due to a “cybersecurity matter,” later identified as a ransomware attack.


The Rhysida group, known for its disruptive activities across the U.S. healthcare system, has claimed responsibility. This group has a notorious history, having previously targeted 16 hospitals nationwide.



![LURIE CHILDREN'S HOSPITAL](https://cybersecuritynews.com/wp-content/uploads/2024/02/image-9-1024x595.png)**LURIE CHILDREN’S HOSPITAL**


Lurie Children’s Hospital, a prominent pediatric healthcare organization in the Midwest, serves approximately 239,000 children annually. Despite the cyberattack, the hospital has remained operational, albeit with some disruptions to appointments and elective surgeries.


The hospital’s MyChart electronic records system remains down, and manual processes have been implemented, leading to longer wait times for prescription requests.


The ransomware group is attempting to extort the hospital for 60 bitcoins, equivalent to just over $3.4 million, in exchange for the stolen data.


![](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhCA6uuPK3VlRiNmx_bwWvcwvHR8qBfUxn7g81_u5Pzts_CWEfOaZLBYh6BmAO-OTPteU_9hJ5PcnGgdpKHr3vXNpHUTMVXbA2-Em8MXQWyJHbaOgsKHNIAIlczHXyW9aR_O249ifoJldezITTg7byaPuCdBsvHlFuvDnIOqFvvlmlvgdzS3MV29pDJo9ze/s16000/GHWisPIWgAAQ2rE.jpeg)Ransom Note


This data breach has potentially exposed sensitive information, including Social Security numbers, full names, dates of birth, addresses, and medical and health insurance information.


**Rhysida Ransomware-as-a-Service Group**
-----------------------------------------


The Rhysida group operates as a ransomware-as-a-service (RaaS), leasing out ransomware tools and infrastructure in a profit-sharing model.


This approach has allowed them to target various sectors, including education, healthcare, manufacturing, information technology, and government.


The group’s ransomware encrypts data using a 4096-bit RSA encryption key with a ChaCha20 algorithm, making it particularly challenging to recover affected files without the decryption key.


**Implications and Warnings**
-----------------------------


The U.S. Department of Health and Human Services issued a [warning](https://cybersecuritynews.com/cisa-releases-cyber-attack-mitigation/) last August about the increasing attacks by the Rhysida group on the healthcare sector. 


This incident at Lurie Children’s Hospital is a stark reminder of the vulnerabilities present in the healthcare industry and the devastating impact of ransomware attacks.


The ransomware attack on Lurie Children’s Hospital by the Rhysida group is a critical wake-up call for healthcare organizations and other sectors to bolster their cybersecurity measures.


It highlights the importance of being cautious of minor errors, such as typos, that can lead to the installation of malicious packages, potentially compromising sensitive data and disrupting essential services.


As cybercriminals evolve their tactics, the need for robust cybersecurity defenses has never been more urgent.


You can block malware, including Trojans, ransomware, spyware, rootkits, worms, and zero-day exploits, with [**Perimeter81 malware protection**](https://www.perimeter81.com/malware-protection?utm_source=gbhackers&utm_medium=affiliate&utm_campaign=top_articles_gbchakers_cisos_wp&a_aid=2428). All are extremely harmful, can wreak havoc, and damage your network.





## Tags:


### Autogenerated tags:
[[lurie]] [[ransomware]] [[rhysida]] [[malware]] [[ransomware-as-a-service]] [[cybersecurity]]
