# Food supplier cyber risk spreads 1 year after JBS attack
## Ransomware attacks target common vulnerabilities like legacy OT systems and equipment that lacks modern security tools.
## Information:

+ Link: https://www.cybersecuritydive.com/news/food-supplier-cyber-risk-spreads-jbs/624800/
+ Source: CyberSecurity Dive
+ Author: Matt Kapko
+ Date published: 01 June 2022, 22:00
+ Date scraped: 15 June 2022, 14:06

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/v0F8SVM0axn1tm1PsIGxxT9FMtZUFMrkTVDjR1epAGs/crop:1024:483/g:nowe:0:0/rs:fill:770:364:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEyMjE0MjYzNjIuanBn.jpg)


Food and agriculture businesses remain vigilant one year after [JBS USA suffered a ransomware attack](https://www.cybersecuritydive.com/news/JBS-meat-producer-white-house-russia-ransomware/601119/) in late May 2021 that temporarily shut down its slaughter plants and meat processing in North America and Australia. 


The U.S. subsidiary of Brazil’s JBS SA, the world’s largest meat supplier, processes about 20% of America’s meat supply. The [company paid $11 million in ransom](https://www.cybersecuritydive.com/news/jbs-paid-attackers-11-million-ransomware/601592/) to cybercriminals a week after discovering the incursion.


Potential points of entry span a sweeping supply chain, legacy equipment and systems that lack modern security tools. Threat actors are exploiting these weaknesses when companies are most vulnerable.


Multiple cyberattacks have hit the industry during the past year and the FBI recently warned food and agriculture cooperatives [could be prime targets](https://www.ic3.gov/Media/News/2022/220420-2.pdf) during the critical planting and harvest seasons. The agricultural machinery producer AGCO was hit with a ransomware attack on May 5, just 16 days after the FBI warning.


Most of the security teams in food and agriculture are still cataloging assets and identifying connected systems with the greatest exposure, according to Katell Thielemann, research VP at Gartner.


A trend is emerging, following targeted attacks during the height of the citrus export season on JBS, agriculture and farming supply coops, machinery producers and South African ports, she said via email. 


“Food and agriculture seems to be on a few peoples’ radars these days in a way we haven’t seen before,” Thielemann said.


The Cybersecurity and Infrastructure Security Agency (CISA) designates food and agriculture as one of the 16 U.S. critical infrastructure sectors, encompassing about 2.1 million farms, 935,000 restaurants and at least 200,000 production and processing facilities.


While food and agriculture businesses are aware of the threat posed by ransomware, particularly after a spate of highly publicized and damaging attacks last year, many remain unprepared to counteract the risk.


Threat actors initiated ransomware attacks against six grain cooperatives during last fall’s harvest, followed by two attacks earlier this year, potentially disrupting the supply of seeds and fertilizers, according to the FBI.



Keep up with the story. Subscribe to the Cybersecurity Dive free daily newsletter




Email:





* Select user consent:




 By signing up to receive our newsletter, you agree to our
 [Terms of Use](https://www.industrydive.com/terms-of-use/) and
 [Privacy Policy](https://www.industrydive.com/privacy-policy/). You can unsubscribe at anytime.


Sign up
A valid email address is required.
Please select at least one newsletter.


Russia’s invasion of Ukraine exacerbated the global food supply crunch. Food prices have soared almost 30% in the past year, according to the United Nations. Other macroeconomic factors are also testing the industry’s ability to feed people, including grain shortages, climate change, and the highest inflation rates in decades. 


Operational technology (OT) assets, widespread in the food and agriculture sector, are partly to blame for the security risk. 


“Much of their machinery runs on legacy OT that was never designed to be connected to the internet,” Grant Geyer, chief product officer at Claroty, said via email. “OT networks predate the internet, and with digital transformation leading organizations to automate parts of their production processes, OT is suddenly being exposed to a whole host of new cyberthreats lurking the web.”


Food and agriculture businesses rely on a broad ecosystem that requires extensive information sharing among farmers, transportation companies, processors and distributors. This includes a vast pool of third-party automation vendors that maintain site-to-site access into the OT environment, Geyer said. 


“With so many potential OT entry points, attackers don’t even need to transit the IT/OT boundary to wreak havoc,” he said.


Security teams must consider resiliency of the entire supply chain, including multiple handoffs, while also contending with some outdated systems and equipment that can’t be patched frequently during round-the-clock operations. 


Commonly exploitable vulnerabilities, such as weak or obsolete user credentials, were the culprit behind many recent attacks.


Keep up with the story. Subscribe to the Cybersecurity Dive free daily newsletter




Email:





* Select user consent:




 By signing up to receive our newsletter, you agree to our
 [Terms of Use](https://www.industrydive.com/terms-of-use/) and
 [Privacy Policy](https://www.industrydive.com/privacy-policy/). You can unsubscribe at anytime.


Sign up
A valid email address is required.
Please select at least one newsletter.



### 
 Read More in Vulnerability












[![story image](/imgproxy/pVzaT-wWWVLVEdr4Y5tu63SyeDAqOHaHPh6KcxNwOyE/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEwNTUwODMxOTRfNjBBTW56aS5qcGc.jpg)](https://www.cybersecuritydive.com/news/microsoft-critical-vulnerability-azure-synapse-patch/625461/)
Jun 14, 2022
[Microsoft resolves critical vulnerability in Azure Synapse after prior patches fall short](https://www.cybersecuritydive.com/news/microsoft-critical-vulnerability-azure-synapse-patch/625461/)



[![story image](/imgproxy/yU3ldkyz7_xczzk9pSqwq9T4wyfJYco8cgjMVXtdhYM/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEzMTMwNDQzMzUuanBn.jpg)](https://www.cybersecuritydive.com/news/tenable-ceo-microsoft-vulnerabilities/625371/)
Jun 13, 2022
[Tenable CEO calls out Microsoft on lack of transparency on vulnerabilities](https://www.cybersecuritydive.com/news/tenable-ceo-microsoft-vulnerabilities/625371/)



[![story image](/imgproxy/ANa5VocMcdR0RODIs-mHxtB82z4WRVhcXAJHZG5X8yY/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEyNjQ1MDU4OTQuanBn.jpg)](https://www.cybersecuritydive.com/news/5-takeaways-rsa-conference/625357/)
Jun 13, 2022
[5 takeaways from the RSA Conference](https://www.cybersecuritydive.com/news/5-takeaways-rsa-conference/625357/)



[![story image](/imgproxy/gKDPVkdFrxPMwf0gV9DqF2BB9a5XX939-JYgMFyad0w/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTExMzQyODExNzUuanBn.jpg)](https://www.cybersecuritydive.com/news/threat-actors-microsoft-follina-vulnerability/625290/)
Jun 10, 2022
[Threat actors deploy new attack methods as Microsoft Follina vulnerability lingers](https://www.cybersecuritydive.com/news/threat-actors-microsoft-follina-vulnerability/625290/)



[![story image](/imgproxy/yU3ldkyz7_xczzk9pSqwq9T4wyfJYco8cgjMVXtdhYM/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEzMTMwNDQzMzUuanBn.jpg)](https://www.cybersecuritydive.com/news/fbi-cisa-issue-china-cyber-threats-telecom/625131/)
Jun 08, 2022
[FBI, CISA issue warning on China-backed cyber threats against the telecom industry](https://www.cybersecuritydive.com/news/fbi-cisa-issue-china-cyber-threats-telecom/625131/)



[![story image](/imgproxy/lZ1ELmBz8LVeCbBBHj2XpWM15--rqjwk7nvFrsyC1e8/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEyOTQ4NzQzODQuanBn.jpg)](https://www.cybersecuritydive.com/news/attackers-atlassian-confluence-zero-day-exploit/625032/)
Jun 07, 2022
[Attackers aim for Atlassian Confluence zero day with mass, targeted exploitation](https://www.cybersecuritydive.com/news/attackers-atlassian-confluence-zero-day-exploit/625032/)



[![story image](/imgproxy/C7_YMQ40xBwM6B14DFzHLOGXt_QN-EHp31a__hSoMrY/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEzMTY3NTM4MDIuanBn.jpg)](https://www.cybersecuritydive.com/news/atlassian-confluence-patch/624894/)
Jun 03, 2022
[Atlassian releases fix for critical zero day impacting Confluence](https://www.cybersecuritydive.com/news/atlassian-confluence-patch/624894/)



[![story image](/imgproxy/yU3ldkyz7_xczzk9pSqwq9T4wyfJYco8cgjMVXtdhYM/g:ce/rs:fill:225:106:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEzMTMwNDQzMzUuanBn.jpg)](https://www.cybersecuritydive.com/news/cisa-atlassian-confluence-zero-day/624876/)
Jun 03, 2022
[CISA issues warning after critical zero day hits Atlassian’s Confluence](https://www.cybersecuritydive.com/news/cisa-atlassian-confluence-zero-day/624876/)



[Want to see more stories in **Vulnerability**?
 

 Read More ➔](/topic/vulnerability/)




Consolidation and a concentration of companies responsible for the global food supply presents another unique point of risk, according to Thielemann. Food shortages during COVID-19 and the more recent baby formula shortage spotlight the industry’s lackluster resiliency and potentially far-reaching impacts.


“A coordinated attack on food and agriculture would lead to empty shelves nationwide in under a week,” Thielemann said. “And you don’t raise chickens or corn at will.”





## Tags:


### Autogenerated tags:
[[ransomware]] [[thielemann]] [[jbs]] [[cybersecurity]] [[cisa]] [[microsoft]] [[atlassian]]
