# Ransomware defense guidance risks hang-ups under many steps
## Small and mid-sized businesses don’t typically have the resources to meet every safeguard. But every action, however small, helps.
## Information:

+ Link: https://www.cybersecuritydive.com/news/ransomware-defense-guidance/628884/
+ Source: CyberSecurity Dive
+ Author: Matt Kapko
+ Date published: 03 August 2022, 22:00
+ Date scraped: 08 August 2022, 16:01

## Article:
![Main article image](https://www.cybersecuritydive.com/imgproxy/sAvrhAR5ZgmtrgRLMaUQxpgU0ukfk7sOYY819VZdjac/crop:4705:2543/g:nowe:0:484/rs:fill:770:364:0/bG9jYWw6Ly8vZGl2ZWltYWdlL0dldHR5SW1hZ2VzLTEyNzkzODg0MTcuanBn.jpg)


### Dive Brief:


* A new report created to help organizations navigate ransomware risks exemplifies the challenges small- to medium-sized businesses confront in the battle against just one of many cyberthreats.
* The recommendations, identified to help SMBs with limited cybersecurity expertise, include 40 safeguards. That’s a curated subset of the guidance in the Center for Internet Security’s[critical security controls](https://www.cisecurity.org/controls).
* The report’s authors acknowledge not every organization has the resources to implement every safeguard immediately, but they maintain any actions taken, full or partial, represent a step in the right direction.


### Dive Insight:


Balancing prescriptive and prospective guidance in the battle against ransomware is difficult for large enterprises and often even more so for their smaller counterparts.


Two of the report’s authors — Megan Stifel, chief strategy officer at the Institute for Security and Technology, and Valecia Stocchetti, senior cybersecurity engineer at the Center for Internet Security — said every little bit helps.


“It’s easy for [SMBs] to become overwhelmed when implementing a security framework. Startingsmall is the key,” Stifel and Stocchetti said via email.


Organizations should, as a baseline, establish and maintain an inventory of all assets and accounts, then grow defenses at a pace that takes available resources and appropriate needs into account, according to the[Blueprint for Ransomware Defense](https://securityandtechnology.org/ransomwaretaskforce/blueprint-for-ransomware-defense/)published by the Institute for Security and Technology.


The 40 safeguards, including 14 deemed foundational and 26 described as actionable, were selected for their effectiveness in defending against ransomware attacks.


The foundational guidance involves procedural steps to identify, protect, respond and recover from ransomware. This includes the establishment of programs for vulnerability management, security awareness, incident reporting, configurations and the granting or revoking of access.


Communicating best practices, even less complicated actions that can bolster cybersecurity remains troublesome across every level of responsibility in governments, enterprises, SMBs and individuals.


Software updates, improved password management and multifactor authentication are relatively straightforward tasks that need to be explained in ways that people and organizations don’t find too complicated, too confusing or too technical,Jen Easterly, director of the Cybersecurity and Infrastructure Security Agency,[said in June](https://www.cybersecuritydive.com/news/americas-cyber-chiefs-have-a-long-to-do-list/625247/)at the RSA Conference.


These responsibilities fall on all of us, akin to how individuals participate in their own physical defense by default, such as looking both ways before crossing a busy street, National Cyber Director Chris Inglis said on a panel with Easterly at the conference.


“We’ve made it seem like it’s harder to do than it is,” he said.





## Tags:


### Autogenerated tags:
[[ransomware]] [[cybersecurity]]
