# Dig Security Announces New Integration With CrowdStrike
## New CrowdStrike Falcon platform integration delivers multi-cloud visibility and protection of data assets with layered malware detection and file scanning to stop modern attacks.
## Information:

+ Link: https://www.darkreading.com/cloud/dig-security-announces-new-integration-with-crowdstrike
+ Source: DarkReading
+ Author: DarkReading
+ Date published: 25 April 2023, 22:40
+ Date scraped: 25 April 2023, 23:00

## Article:
![Main article image](https://www.darkreading.com/images/og-image.jpg)

**TEL AVIV, Israel****,****April 25, 2023****/PRNewswire/ --**[Dig](https://www.dig.security), the cloud data security leader, today announced its new technology integration with CrowdStrike, a leader in cloud-delivered protection of endpoints, cloud workloads, identity, and data. The[Dig Data Security Platform](https://www.dig.security/product)integrates with the CrowdStrike Falcon platform to deliver real-time visibility and control of cloud data assets for accurate discovery of sensitive data and security posture gaps. Dig is the first-in-the-market Data Security Posture Management (DSPM) solution combining malware detection with Data Leak Prevention (DLP) and real-time Data Detection and Response (DDR) for securing data assets across storage services in the cloud.



"Organizations rely on the ability to upload large amounts of data to the cloud. But it is too easy for them to lose track of what they have. Unmonitored and unsecured data is too easily infected by malware. Unless detected, it evolves into a ticking time bomb that threatens business processes and operations," saidDan Benjamin, CEO and Co-Founder of Dig Security. "The Dig integration with CrowdStrike's malware detection and file scanning capabilities across cloud data stores helps customers benefit from comprehensive data asset visibility and security across all enterprise cloud stacks."

Legacy point malware detection solutions only scan cloud storage buckets and fall short of comprehensive protection. The integration protects cloud data assets from malicious content with complete malware scanning from the CrowdStrike Falcon platform across: all cloud storage buckets, such as Amazon Simple Storage Service (Amazon S3), Azure Blob Storage, and Google Buckets; FileStores and other unstructured data stores that live in the cloud; and other IaaS, PaaS, and DBaaS providers, including Databricks, Oracle Cloud, and Snowflake.

The[Dig Data Security Platform](https://www.dig.security/product)is recognized as the industry's first and only solution to combine data security posture management (DSPM), data loss prevention (DLP), and data detection and response (DDR) capabilities into a single platform. It is easy to implement, cloud-scalable, and highly efficient for today's security teams. Dig enables enterprise cloud and security teams to produce immediate insights using its agentless cloud native solution that delivers a short setup time, zero maintenance, and comprehensive, automated response at scale.



The new integration builds on an existing partnership between CrowdStrike and Dig, who is a[CrowdStrike Falcon Fund](https://www.crowdstrike.com/falcon-fund/) portfolio company. A cross-stage investment fund, the[CrowdStrike Falcon Fund](https://www.crowdstrike.com/falcon-fund/)is the largest corporate venture arm in the cybersecurity industry. The program is designed to build an ecosystem of next-generation security leaders that share a common mission through a unique combination of investment and deep technical integrations.

"As more and more companies are moving to the cloud, there is a natural increase in cloud exploitations and compromise of critical cloud infrastructure. As a result, we have deepened our partnership with Dig Security, an innovative Falcon Fund leader in data security and DDR, to address this challenge," said Gur Talpaz, vice president of corporate development and head of Falcon Fund at CrowdStrike. "In our mission to stop breaches and make cloud data inherently secure, it's critical we continue collaborating with companies like Dig to provide customers with real-time data visibility, protection and control across all clouds and all data stores."

For more information about Dig and CrowdStrike's integration, visit[here](https://store.crowdstrike.com/integrations/dig-security-platform),[meet with Dig at RSA](https://rsa.dig.security), or stop by the Dig booth (#5273) in the North Expo during RSAC 2023 fromApril 24-27, 2023, at the Moscone Center inSan Francisco, CA.



**About Dig Security**   
  
Dig Security helps organizations discover, classify, protect, and govern their cloud data.  
  
With organizations shifting to complex environments with dozens of database types across clouds, monitoring and detecting data exfiltration and policy violations has become a complex problem with limited fragmented solutions. Dig's cloud-native and completely agentless approach re-invents cloud DLP with DDR (Data Detection & Response) capabilities to help organizations better cope with cloud data sprawl. Dig was founded by three cyber security veterans from Microsoft and Google and is backed by Team8, SignalFire, Felicis, CrowdStrike, Okta Ventures, CyberArk Ventures, and Merlin Ventures. Visit us at[https://www.dig.security/](https://www.dig.security).

SOURCE Dig Security




## Tags:
***urls***: https://www.dig.security/.SOURCE

### Autogenerated tags:
[[cloud]] [[crowdstrike]] [[malware]] [[ddr]] [[real-time]] [[dlp]]
