# CISA Alert (AA22-181A): MedusaLocker
## CISA Alert: (AA22-181A) #StopRansomware: MedusaLocker Summary Actions to take today to mitigate cyber threats from ransomware: • Prioritize...
## Information:

+ Link: https://www.databreaches.net/cisa-alert-aa22-181a-medusalocker/
+ Source: DataBreaches
+ Author: Dissent
+ Date published: 01 July 2022, 15:38
+ Date scraped: 12 December 2023, 09:59

## Article:
![Main article image](https://www.databreaches.net/wp-content/uploads/whatsyourexcuse-2.jpg)


CISA Alert: (AA22-181A)


#StopRansomware: MedusaLocker


### Summary



**Actions to take today to mitigate cyber threats from ransomware:**  

• Prioritize remediating [known exploited vulnerabilities](https://www.cisa.gov/known-exploited-vulnerabilities-catalog).  

• Train users to recognize and report phishing attempts.  

• Enable and enforce multifactor authentication.


*Note: this joint Cybersecurity Advisory (CSA) is part of an ongoing #StopRansomware effort to publish advisories for network defenders that detail various ransomware variants and ransomware threat actors. These #StopRansomware advisories include recently and historically observed tactics, techniques, and procedures (TTPs) and indicators of compromise (IOCs) to help organizations protect against ransomware. Visit [stopransomware.gov](https://www.cisa.gov/stopransomware) to see all #StopRansomware advisories and to learn more about other ransomware threats and no-cost resources.*


The Federal Bureau of Investigation (FBI), the Cybersecurity and Infrastructure Security Agency (CISA), the Department of the Treasury, and the Financial Crimes Enforcement Network (FinCEN) are releasing this CSA to provide information on MedusaLocker ransomware. Observed as recently as May 2022, MedusaLocker actors predominantly rely on vulnerabilities in Remote Desktop Protocol (RDP) to access victims’ networks. The MedusaLocker actors encrypt the victim’s data and leave a ransom note with communication instructions in every folder containing an encrypted file. The note directs victims to provide ransomware payments to a specific Bitcoin wallet address. MedusaLocker appears to operate as a Ransomware-as-a-Service (RaaS) model based on the observed split of ransom payments. Typical RaaS models involve the ransomware developer and various affiliates that deploy the ransomware on victim systems. MedusaLocker ransomware payments appear to be consistently split between the affiliate, who receives 55 to 60 percent of the ransom; and the developer, who receives the remainder.


Download the PDF version of this report: [pdf, 633 kb](https://www.cisa.gov/uscert/sites/default/files/publications/AA22-181A_stopransomware_medusalocker.pdf)



### Technical Details



MedusaLocker ransomware actors most often gain access to victim devices through vulnerable Remote Desktop Protocol (RDP) configurations [[T1133](https://attack.mitre.org/versions/v11/techniques/T1133/)]. Actors also frequently use email phishing and spam email campaigns—directly attaching the ransomware to the email—as initial intrusion vectors [[T1566](https://attack.mitre.org/versions/v11/techniques/T1566/)].


MedusaLocker ransomware uses a batch file to execute PowerShell script `invoke-ReflectivePEInjection` [[T1059.001](https://attack.mitre.org/versions/v11/techniques/T1059/001/)]. This script propagates MedusaLocker throughout the network by editing the `EnableLinkedConnections` value within the infected machine’s registry, which then allows the infected machine to detect attached hosts and networks via Internet Control Message Protocol (ICMP) and to detect shared storage via Server Message Block (SMB) Protocol.


MedusaLocker then:


* Restarts the `LanmanWorkstation` service, which allows registry edits to take effect.
* Kills the processes of well-known security, accounting, and forensic software.
* Restarts the machine in safe mode to avoid detection by security software [[T1562.009](https://attack.mitre.org/versions/v11/techniques/T1562/009)].
* Encrypts victim files with the AES-256 encryption algorithm; the resulting key is then encrypted with an RSA-2048 public key [[T1486](https://attack.mitre.org/versions/v11/techniques/T1486/)].
* Runs every 60 seconds, encrypting all files except those critical to the functionality of the victim’s machine and those that have the designated encrypted file extension.
* Establishes persistence by copying an executable (`svhost.exe` or `svhostt.exe`) to the `%APPDATA%\Roaming` directory and scheduling a task to run the ransomware every 15 minutes.
* Attempts to prevent standard recovery techniques by deleting local backups, disabling startup recovery options, and deleting shadow copies [[T1490](https://attack.mitre.org/versions/v11/techniques/T1490/)].


MedusaLocker actors place a ransom note into every folder containing a file with the victim’s encrypted data. The note outlines how to communicate with the MedusaLocker actors, typically providing victims one or more email address at which the actors can be reached. The size of MedusaLocker ransom demands appears to vary depending on the victim’s financial status as perceived by the actors.  

Read the full Alert at: **<https://www.cisa.gov/uscert/ncas/alerts/aa22-181a>**






## Tags:
***MITRE IDs***: T1562.009 T1059.001
***urls***: https://www.cisa.gov/uscert/ncas/alerts/aa22-181a

### Autogenerated tags:
[[ransomware]] [[medusalocker]] [[#stopransomware]]
