# #RSAC: AI Can Help Save Our Democracy
## Bruce Schneier explains why the current democratic system is not fit for purpose, and the potential role of AI in future governance
## Information:

+ Link: https://www.infosecurity-magazine.com/news/ai-save-democracy/
+ Source: Infosecurity News
+ Author: James Coker
+ Date published: 25 April 2023, 19:10
+ Date scraped: 25 April 2023, 21:00

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/2b747fe8-3990-4bde-b44d-b4ea75904fb0.jpg)

The current democratic system is not for purpose in the 21st Century and requires a radical revamp using modern technologies. This was the key message Bruce Schneier, security technologist, researcher, and lecturer at Harvard Kennedy School, highlighted during his keynote address on day two of the RSA 2023 Conference.


Schneier said that democratic systems should be seen as an “information system that leverages collective decision-making.” However, these systems are increasingly failing to live up to this aim, suffering many “hacks.”


While misinformation is commonly viewed as the biggest threat to modern democracies, he argued that it is only made a viable option for bad actors by the underlying system – and it is the system we should be focused on fixing.


Firstly, large, centrally planned corporations, such as Amazon and Walmart have gained such economic power and influence that they are able to “compete” with governments and elected representatives. For example, Schneier said that Twitter has essentially become the de facto arbiter of free speech.


[*Read more: Election Protection is CISA’s Top Priority for Next 18 Months*](https://www.infosecurity-magazine.com/news/election-protection-cisa-priority/)


Rich companies and individuals are also frequently adapting the rules to their own needs, such as avoiding paying taxes by exploiting loopholes in the system. “The rich and powerful are too good at hacking,” stated Schneier.


He noted that democracy has become a zero-sum game, where the winner takes all in an election, not taking into account the views of the losing side.


Schneier added that new technologies, such as AI and synthetic biology, could have “potentially catastrophic consequences.” While laws and regulations do govern tech to make it safe, such as airline systems, they are unable to be implemented and adapt quickly enough to the threats posed by technologies like AI, said Schneier.


As a result of these factors, Schneier believes we need to start having conversations about utilizing modern technology to better align individual and group preferences, and “patching” vulnerabilities in the system.


“Our human system of governance needs to be compatible with the technology they are supposed to govern,” he commented.


While Schneier did not have specific proposals for this updated democratic system, he suggested we consider how to make the democratic system more efficient and in touch with the people it is representing and to ensure more global cooperation.


This includes a role for AI to deliver better outcomes and for the public good. “I want AI to be under my control, not a corporation,” he outlined.


Schneier asked: “Can AI act as a representative, or vote on our behalf” by using algorithms to accurately predict individual preferences?


However, Schneier emphasized that humans must remain at the core of running these democratic systems, and “our goal has to be to accommodate plurality.”


It will be a complicated process to work out, but one we must begin discussing to maintain democracy, he concluded.






## Tags:


### Autogenerated tags:
[[schneier]]
