# Russian Sandworm Hackers Linked to New Ransomware Blitz
## Ukrainian targets are on the receiving end of RansomBoggs variant
## Information:

+ Link: https://www.infosecurity-magazine.com/news/russian-sandworm-hackers/
+ Source: Infosecurity News
+ Author: Phil Muncaster
+ Date published: 28 November 2022, 09:10
+ Date scraped: 28 November 2022, 11:00

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/3560d982-17c2-4802-99f5-1cf37f64c09e.png)

An infamous Russian state-backed APT group could be behind a new wave of ransomware attacks against Ukrainian targets, according to researchers at [ESET](https://www.eset.com/).



The security vendor claimed in a series of tweets that it alerted the Ukrainian Computer Emergency Response Team (CERT-UA) about the RansomBoggs variant it discovered targeting several local organizations.



The .NET malware is new, but deployed in a similar manner to previous campaigns linked to the Russian military intelligence (GRU) Sandworm group, it said.



There are apparently several references to Pixar movie Monsters Inc. in the malware.



“The ransom note (SullivanDecryptsYourFiles.txt) shows the authors impersonate James P. Sullivan, the main character of the movie, whose job is to scare kids. The executable file is also named Sullivan.exe and references are present in the code as well,” ESET explained.



“There are similarities with previous attacks conducted by Sandworm: a PowerShell script used to distribute the .NET ransomware from the domain controller is almost identical to the one seen last April during the Industroyer2 attacks against the energy sector.”



That script has been dubbed “PowerGap” by CERT-UA and was also used to deploy the destructive CaddyWiper malware [alongside Industroyer 2](https://www.infosecurity-magazine.com/news/ukrainian-energy-industroyer/) at the time, using the ArguePatch loader.



“RansomBoggs generates a random key and encrypts files using AES-256 in CBC mode (not AES-128 like mentioned in the ransom note), and appends the .chsch file extension. The key is then RSA encrypted and written to aes.bin,” [ESET continued.](https://twitter.com/ESETresearch/status/1596181925663760386)



“Depending on the malware variant, the RSA public key can either be hardcoded in the malware sample itself or provided as argument.”



The vendor also claimed the operation has similarities to a separate ransomware campaign launched last month against Ukrainian and Polish logistics providers using the “Prestige” variant.



“The Prestige campaign may highlight a measured shift in IRIDIUM’s destructive attack calculus, signaling increased risk to organizations directly supplying or transporting humanitarian or military assistance to Ukraine,” [Microsoft wrote at the time.](https://www.microsoft.com/en-us/security/blog/2022/10/14/new-prestige-ransomware-impacts-organizations-in-ukraine-and-poland/)


“More broadly, it may represent an increased risk to organizations in Eastern Europe that may be considered by the Russian state to be providing support relating to the war.”






## Tags:


### Autogenerated tags:
[[malware]] [[ransomware]] [[eset]]
