# RansomBoggs Ransomware hit several Ukrainian entities, experts attribute it to Russia
## Several Ukrainian organizations were hit by Russia-based RansomBoggs Ransomware in the last week, ESET reports. Researchers from ESET observed multiple attacks involving a new family of ransomware, tracked as RansomBoggs ransomware, against Ukrainian organizations. The security firm first detected the attacks on November 21 and immediately alerted the CERT US. The ransomware is written in […]
## Information:

+ Link: https://securityaffairs.co/wordpress/139028/cyber-warfare-2/ransomboggs-ransomware-targeted-ukraine.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 28 November 2022, 08:25
+ Date scraped: 28 November 2022, 09:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/11/RansomBoggs-ransomware.jpeg?resize=300%2C300&ssl=1)


Researchers from ESET observed multiple attacks involving a new family of ransomware, tracked as RansomBoggs ransomware, against Ukrainian organizations.


The security firm first detected the attacks on November 21 and immediately alerted the CERT US. The ransomware is written in .NET and experts noticed that deployment is similar to previous attacks attributed to the Russia-linked [Sandworm APT](https://securityaffairs.co/wordpress/135996/apt/sandworm-targets-ukraine-teleco.html) group.







Sandworm (aka [BlackEnergy](https://securityaffairs.co/wordpress/77132/cyber-warfare-2/blackenergy-hit-ukraine.html) and [TeleBots](https://securityaffairs.co/wordpress/54415/cyber-warfare-2/telebots.html)) has been active since 2000, it operates under the control of [Unit 74455](https://securityaffairs.co/wordpress/76869/intelligence/7-russian-gru-indictment.html) of the Russian GRU’s Main Center for Special Technologies (GTsST).


The group is also the author of the [NotPetya ransomware](https://securityaffairs.co/wordpress/62085/malware/maersk-notpetya-losses.html) that hit hundreds of companies worldwide in June 2017, causing billions worth of damage.


In April, [Sandworm](https://securityaffairs.co/wordpress/114606/apt/anssi-sandworm-hosting-providers-attacks.html) targeted energy facilities in Ukraine with a new strain of the [Industroyer](https://securityaffairs.co/wordpress/77051/malware/exaramel-malware.html) ICS malware (INDUSTROYER2) and a new version of the [CaddyWiper](https://securityaffairs.co/wordpress/129069/cyber-warfare-2/caddywiper-wiper-hits-ukraine.html) wiper.


The APT hacking group is believed to have been behind numerous attacks this year, including an attack on [Ukrainian energy infrastructure](https://www.bleepingcomputer.com/news/security/sandworm-hackers-fail-to-take-down-ukrainian-energy-provider/) and the deployment of a persistent botnet called “[Cyclops Blink](https://www.bleepingcomputer.com/news/security/us-uk-link-new-cyclops-blink-malware-to-russian-state-hackers/)” dismantled by the US government in April.


From August 2022, Recorded Future researchers observed a rise in command and control (C2) infrastructure used by Sandworm (tracked by Ukraine’s CERT-UA as UAC-0113).


In September 2022, Sandworm has been observed impersonating telecommunication providers to target Ukrainian entities with malware.


The analysis of the RansomBoggs Ransomware code revealed that the authors make multiple references to the Pixar movie Monsters, Inc. The ransom note, SullivanDecryptsYourFiles.txt, shows the authors impersonating the main character of the movie James P. Sullivan and the executable file is also named Sullivan.<version?>.exe .


Threat actors used a PowerShell script to spread the ransomware, the experts noticed that it is almost identical to the script detected in April during the Industroyer2 attacks against the energy sector







The PowerShell script was tracked by CERT UA as POWERGAP and was [used](https://cert.gov.ua/article/39518) to deploy the [CaddyWiper](https://securityaffairs.co/wordpress/129069/cyber-warfare-2/caddywiper-wiper-hits-ukraine.html) wiper in April attacks against Ukrainian entities.


RansomBoggs encrypts files using AES-256 in CBC mode and appends the .chsch extension to the encrypted files. The key is then RSA encrypted and written to aes.bin.


In some of the variants analyzed by ESET, the RSA public key was hardcoded, while in other samples it was provided as an argument.


In October, Microsoft reported a similar campaign targeting entities in Ukraine and Poland with ransomware called [Prestige](https://securityaffairs.co/wordpress/138362/apt/prestige-ransomware-linked-iridium.html) and attributed the attacks to Sandworm.


ESET also shared Indicators of Compromise (IoCs) for RansomBoggs ransomware.







Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and **[Mastodon](https://infosec.exchange/@securityaffairs)**




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, RansomBoggs ransomware)**




 
  


---


  




## Tags:


### Autogenerated tags:
[[ransomware]] [[ransomboggs]] [[eset]]
