# RansomExx Ransomware upgrades to Rust programming language
## RansomExx ransomware is the last ransomware in order of time to have a version totally written in the Rust programming language. The operators of the RansomExx ransomware (aka Defray777 and Ransom X) have developed a new variant of their malware, tracked as RansomExx2, that was ported into the Rust programming language. The move follows the […]
## Information:

+ Link: https://securityaffairs.co/wordpress/138933/malware/ransomexx-ransomware-rust-language.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 24 November 2022, 21:19
+ Date scraped: 24 November 2022, 22:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/11/ransomexx-ransomware.jpg?resize=300%2C300&ssl=1)


The operators of the [RansomExx](https://securityaffairs.co/wordpress/136571/data-breach/ferrari-alleged-data-breach.html) ransomware (aka [Defray777](https://securityaffairs.co/wordpress/110491/malware/linux-version-ransomexx-ransowmare.html) and Ransom X) have developed a new variant of their malware, tracked as RansomExx2, that was ported into the [Rust programming language](https://securityaffairs.co/wordpress/129566/cyber-crime/hive-ransomware-ports-encryptor-to-rust.html).


The move follows the decision of other ransomware gangs, like [Hive](https://securityaffairs.co/wordpress/129566/cyber-crime/hive-ransomware-ports-encryptor-to-rust.html), [Blackcat](https://securityaffairs.co/wordpress/125459/cyber-crime/blackcat-ransomware.html), and [Luna](https://securityaffairs.co/wordpress/133454/cyber-crime/luna-ransomware-rust.html), of rewriting their ransomware into Rust programming language.


The main reason to rewrite malware in Rust is to have lower AV detection rates, compared to malware written in more common languages.


RansomExx2 was developed to target Linux operating system, but experts believe that ransomware operators are already working on a Windows version.


RansomExx operation has been active since 2018, the list of its victims includes government agencies, [the computer manufacturer and distributor GIGABYTE](https://securityaffairs.co/wordpress/120887/cyber-crime/gigabyte-ransomexx-ransomware.html), and the [Italian luxury brand Zegna](https://securityaffairs.co/wordpress/120898/data-breach/ransomexx-ransomware-zegna.html). RansomExx is operated by the [DefrayX](https://exchange.xforce.ibmcloud.com/threat-group/guid:c8db890b58426ae95f574172f5bc155f) threat actor group (Hive0091), the group also developed the [PyXie](https://securityaffairs.co/wordpress/94856/malware/pyxie-rat.html) RAT, Vatet loader, and Defray ransomware strains.


The functionality implemented in RansomExx2 is very similar to previous [RansomExx Linux](https://exchange.xforce.ibmcloud.com/threats/guid:86085c1461d84a49025908f5d6bf5c2e) variants.


*“RansomExx2 has been completely rewritten using Rust, but otherwise, its functionality is similar to its C++ predecessor. It requires a list of target directories to encrypt to be passed as command line parameters and then encrypts files using AES-256, with RSA used to protect the encryption keys.” reads the [analysis](https://securityintelligence.com/posts/ransomexx-upgrades-rust/) published by IBM Security X-Force.*


The ransomware iterates through the specified directories, enumerating and encrypting files. The malware encrypts any file greater than or equal to 40 bytes and gives a new file extension to each file.


The RansomExx2 encrypts files using the [AES-256 algorithm](https://en.wikipedia.org/wiki/Advanced_Encryption_Standard), it drops a ransom note in each encrypted directory.



[![ransomexx ransomware](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/11/ransomexx-ransomware.jpg?resize=746%2C268&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/11/ransomexx-ransomware.jpg?ssl=1)


*“RansomExx is yet another major ransomware family to switch to Rust in 2022 (following similar efforts with [Hive](https://www.microsoft.com/en-us/security/blog/2022/07/05/hive-ransomware-gets-upgrades-in-rust/) and [Blackcat](https://unit42.paloaltonetworks.com/blackcat-ransomware/)).” concludes the report. “While these latest changes by RansomExx may not represent a significant upgrade in functionality, the switch to Rust suggests a continued focus on the development and innovation of the ransomware by the group,  and continued attempts to evade detection.”*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and **[Mastodon](https://infosec.exchange/@securityaffairs)**




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, RansomExx ransomware)**




 
  


---


  




## Tags:


### Autogenerated tags:
[[ransomware]] [[ransomexx]] [[ransomexx2]] [[malware]]
