# Chipmaker Patch Tuesday: AMD and Intel Patch Over 100 Vulnerabilities
## AMD and Intel patch dozens of vulnerabilities on February 2024 Patch Tuesday, including multiple high-severity bugs.
## Information:

+ Link: https://www.securityweek.com/chipmaker-patch-tuesday-amd-and-intel-patch-over-100-vulnerabilities/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 14 February 2024, 13:10
+ Date scraped: 14 February 2024, 14:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/08/CPU-attack.jpg)


**Chipmakers AMD and Intel on Tuesday announced patches for a total of over 100 vulnerabilities, including 21 high-severity bugs leading to privilege escalation, code execution, or denial-of-service (DoS).**


[AMD published](https://www.amd.com/en/resources/product-security.html) five advisories detailing vulnerabilities in embedded processors, processors, SEV firmware, and UltraScale and UltraScale+ FPGA series devices.


The chipmaker addressed 20 bugs in its embedded processors, including seven high-severity flaws caused by improper parameter handlings, insufficient protections, insufficient checks, improper access controls, and failed validations, which could lead to privilege escalation and arbitrary code execution.

AMD also announced patches for four other high-severity vulnerabilities in its processors, which could lead to privilege escalation, DoS, arbitrary code execution, or protection bypass. Some of the issues, AMD says, were likely found on machines running outdated firmware or software.

The company announced patches for two medium- and low-severity SEV firmware vulnerabilities that could lead to information disclosure and loss of guest integrity.

The UltraScale and UltraScale+ FPGA series devices, AMD says, are affected by an RSA authentication issue that could allow an attacker to load arbitrary bitstreams without triggering an authentication error.

The bug, dubbed JustSTART, is only exploitable if RSA authentication is used without encryption or if encryption is not enforced.

“AMD believes that the confidentiality of bitstreams or the confidentiality of AES keys stored in eFUSEs or Battery-Backed RAM (BBRAM) are not impacted even if an adversary were able to load an arbitrary bitstream onto the device as no read-back path for the AES keys exists and security checks can prevent any access to the AES engines if the issue is exploited,” [AMD says](https://docs.xilinx.com/r/en-US/000036039/Summary).


On Tuesday, [Intel published](https://www.intel.com/content/www/us/en/security-center/default.html) 34 advisories detailing 80 vulnerabilities impacting various drivers, device firmware, Ethernet tools, and numerous software products, including high-severity bugs in Thunderbolt DCH drivers for Windows and Arm DS for Intel SoC FPGA, PROSet/Wireless and Killer Wi-Fi, PCM, DSA, and SUR software products.


Intel resolved a total of 20 bugs in the Thunderbolt DCH drivers for Windows, including three high-severity flaws leading to privilege escalation. All driver versions before version 88 are impacted, Intel says.

The chipmaker flagged three high-severity bugs in the Arm DS for Intel SoC FPGA software before version 2022.2, all three leading to privilege escalation.

Another high-severity issue was patched in PROSet/Wireless software version 22.240 and Killer Wi-Fi software version 3.1423.712. The bug could lead to DoS and was addressed along with nine medium-severity security defects.

Other high-severity bugs resolved this week include a DoS flaw in PCM software before version 202307, and escalation of privilege defects in DSA software before version 23.4.33 and SUR software before version 2.4.10587.

AMD and Intel make no mention of any of these vulnerabilities being exploited in malicious attacks.

**Related:** [Intel, AMD, Zoom, Splunk Release Patch Tuesday Security Advisories](https://www.securityweek.com/intel-amd-zoom-splunk-release-patch-tuesday-security-advisories/)


**Related:** [Future Intel, AMD and Arm CPUs Vulnerable to New ‘SLAM’ Attack: Researchers](https://www.securityweek.com/future-intel-amd-and-arm-cpus-vulnerable-to-new-slam-attack-researchers/)


**Related:** [Chipmaker Patch Tuesday: Intel, AMD Address Over 130 Vulnerabilities](https://www.securityweek.com/chipmaker-patch-tuesday-intel-amd-address-over-130-vulnerabilities/)





## Tags:


### Autogenerated tags:
[[amd]] [[high-severity]] [[fpga]] [[chipmaker]]
