# GitHub Rotates Credentials in Response to Vulnerability
## GitHub rotates credentials and releases patches after being alerted of a vulnerability affecting GitHub.com and GitHub Enterprise Server.
## Information:

+ Link: https://www.securityweek.com/github-rotates-credentials-in-response-to-vulnerability/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 17 January 2024, 11:34
+ Date scraped: 17 January 2024, 12:02

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**Code hosting platform GitHub on Tuesday announced that it has rotated credentials after learning that a vulnerability impacting GitHub.com and GitHub Enterprise Server could expose login information.**


The Microsoft-owned platform received the vulnerability report on December 26, 2023, and took immediate action to address the issue and revoke potentially exposed credentials, which led to disruptions between December 27 and 29.

The security defect, which allowed access to credentials within a production container, had no impact beyond the security researcher who identified and reported it, but the platform’s security protocols call for rotating credentials exposed to third-parties.

“After running a full investigation, we assess with high confidence, based on the uniqueness of this issue and analysis of our telemetry and logging, that this vulnerability has not been previously found and exploited,” [GitHub says](https://github.blog/2024-01-16-rotating-credentials-for-github-com-and-new-ghes-patches/).


The flaw was resolved on GitHub.com on the same day that the vulnerability report was received via HackerOne and patches were released on Tuesday for GitHub Enterprise Server (GHES) versions 3.8.13, 3.9.8, 3.10.5, and 3.11.3.

Exploitation of the vulnerability in GHES requires that the attacker is logged in as an organization owner, “which is a significant set of mitigating circumstances to potential exploitation,” the platform notes.

While most of the credential rotations are part of GitHub’s normal operations, some of the keys that are being revoked may require action from users, the code sharing service says.

The private GitHub GPG commit signing key, which is employed for signing commits created on GitHub, was rotated on January 16 and newly uploaded commits that are not signed with the new key are no longer shown as verified.


“If you verify GitHub.com commits outside of GitHub, including for verification in GHES, you will need to import our new public key hosted [here](https://github.com/web-flow.gpg). We strongly recommend regularly pulling the public key to ensure you’re using the most current data from GitHub. This will also allow for seamless adoption of new keys in the future,” the platform notes.


By January 23, all users with a GitHub Codespace with commit signing enabled who have not pushed commits created before January 16 from the codespace to the GitHub repository will have to push them, otherwise they will no longer be marked as verified unless they are resigned.

GitHub Actions, GitHub Codespaces, and Dependabot customer encryption keys are also affected by the rotation. Users who cached or hardcoded the related public keys will need to pull the keys from the API to get the most recent ones.

**Related:** [Stolen GitHub Credentials Used to Push Fake Dependabot Commits](https://www.securityweek.com/stolen-github-credentials-used-to-push-fake-dependabot-commits/)


**Related:** [GitHub Rotates Publicly Exposed RSA SSH Private Key](https://www.securityweek.com/github-rotates-publicly-exposed-rsa-ssh-private-key/)


**Related:** [Attackers Can Abuse GitHub Codespaces for Malware Delivery](https://www.securityweek.com/attackers-can-abuse-github-codespaces-malware-delivery/)





## Tags:


### Autogenerated tags:
[[github]] [[github.com]] [[ghes]]
