# New 'GoFetch' Apple CPU Attack Exposes Crypto Keys
## Researchers detail GoFetch, a new side-channel attack impacting Apple CPUs that could allow an attacker to obtain secret keys.
## Information:

+ Link: https://www.securityweek.com/new-gofetch-apple-cpu-attack-exposes-crypto-keys/
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 22 March 2024, 10:42
+ Date scraped: 22 March 2024, 11:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2024/03/Apple-CPU-attack.jpeg)


**A team of researchers representing several universities in the United States has disclosed the details of a new side-channel attack method that can be used to extract secret encryption keys from systems powered by Apple CPUs.**


The attack method, dubbed [GoFetch](https://gofetch.fail/), has been described as a microarchitectural side-channel attack that allows the extraction of secret keys from constant-time cryptographic implementations. These types of attacks require local access to the targeted system.



![](https://www.securityweek.com/wp-content/uploads/2024/03/gofetch.png)


The attack targets a hardware optimization named data memory-dependent prefetcher (DMP), which attempts to prefetch addresses found in the contents of program memory to improve performance.

The researchers have found a way to use specially crafted cryptographic operation inputs that allow them to infer secret keys, guessing them bits at a time by monitoring the behavior of the DMP.

They managed to demonstrate end-to-end key extraction attacks against several crypto implementations, including OpenSSL Diffie-Hellman Key Exchange, Go RSA, and the post-quantum CRYSTALS-Kyber and CRYSTALS-Dilithium.

GoFetch builds on a previously disclosed attack method named [Augury](https://www.prefetchers.info/), which was presented back in 2022.


The researchers have conducted successful GoFetch attacks against systems powered by Apple M1 processors, and they have found evidence that the attack could also work against M2 and M3 processors. They have also tested an Intel processor that uses DMP, but found that it’s ‘more robust’ against such attacks.

The findings were reported to Apple in December 2023. OpenSSL, Go Crypto, and CRYSTALS developers have also been notified.

The experts said Apple is investigating the issue, but fully addressing it does not seem trivial. The researchers have proposed several countermeasures, but they involve hardware changes that are not easy to implement or mitigations that can have a significant impact on performance.


*SecurityWeek* has reached out to Apple for comment and will update this article if the company responds. 


The researchers have published a [paper](https://gofetch.fail/files/gofetch.pdf) detailing their work and they will soon also release proof-of-concept (PoC) code. A video has also been made available to show the key extraction exploit in action.


**Related**: [Major CPU, Software Vendors Impacted by New GhostRace Attack](https://www.securityweek.com/major-cpu-software-vendors-impacted-by-new-ghostrace-attack/)


**Related**: [Protected Virtual Machines Exposed to New ‘CacheWarp’ AMD CPU Attack](https://www.securityweek.com/protected-virtual-machines-exposed-to-new-cachewarp-amd-cpu-attack/)


**Related**: [Downfall: New Intel CPU Attack Exposing Sensitive Information](https://www.securityweek.com/downfall-new-intel-cpu-attack-exposing-sensitive-information/)





## Tags:


### Autogenerated tags:

