# Spyware Caught Masquerading as Israeli Rocket Alert Applications
## A threat actor targets Israelis with spyware masquerading as an Android application for receiving rocket alerts.
## Information:

+ Link: https://www.securityweek.com/spyware-caught-masquerading-as-israeli-rocket-alerting-applications/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 16 October 2023, 09:55
+ Date scraped: 16 October 2023, 10:00

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**In the wake of the Israel-Gaza conflict, threat actors have been observed targeting Israeli rocket alerting applications to spread fear and mobile spyware, Cloudflare reports.**


With thousands of rockets launched since Hamas attacked Israel on October 7, individuals in Israel rely on several mobile applications to receive timely alerts about incoming airstrikes and seek safety.

Days after [the latest escalations in the region](https://www.securityweek.com/hackers-join-in-on-israel-hamas-war-with-disruptive-cyberattacks/), pro-Palestinian hacktivist group AnonGhost claimed to have targeted various such applications, succeeding in compromising at least one.


After exploiting a vulnerability in the ‘Red Alert: Israel’ application by Kobi Snir, the group was able to intercept requests and expose APIs and servers, and was seen sending fake alerts to users, including nuclear bomb messages.

On October 12, a threat actor created a website hosting a malicious version of the ‘RedAlert – Rocket Alerts’ open source mobile application developed by Elad Nava, in an attempt [to infect users with spyware](https://blog.cloudflare.com/malicious-redalert-rocket-alerts-application-targets-israeli-phone-calls-sms-and-user-information/).


Relying on typosquatting, the malicious domain listed both the iOS and Android versions of the mobile application but, while linking to the legitimate App Store page for iOS, it served directly a modified version of the Android software.

The malicious application was built using the original code, but was also packed with the ability to collect sensitive user information, including contacts, call logs, messages, account information, SIM details, and a list of the installed applications.


While designed to behave like the legitimate RedAlert software, the malicious application also launches a service in the background, which allows it to harvest data from the device.

The collected information is then sent to a remote server over HTTP. While the data is encrypted, the use of RSA with a public key bundled in the app allows anyone who is able to intercept the packages to decrypt the information.

The website hosting the spyware version of RedAlert has been taken offline, but all users who might have installed the malicious application are at risk and should consider immediately cleaning up their devices.

To determine whether they installed the malicious application, users should check for the permissions the software has requested, including access to call logs, contacts, phone, and SMS.

**Related:** [Beyond the Front Lines: How the Israel-Hamas War Impacts the Cybersecurity Industry](https://www.securityweek.com/the-israel-hamas-war-and-its-effect-on-the-cybersecurity-industry/)


**Related:** [Details Emerge on Israeli Spyware Vendor QuaDream and Its iOS Malware](https://www.securityweek.com/details-emerge-on-israeli-spyware-vendor-quadream-and-its-ios-malware/)


**Related:** [Android Devices With Backdoored Firmware Found in US Schools](https://www.securityweek.com/android-devices-with-backdoored-firmware-found-in-us-schools/)





## Tags:


### Autogenerated tags:
[[spyware]] [[android]]
