# Akira Ransomware Group Amasses $42 Million from Over 250 Global Attacks, FBI Warns
## The Akira ransomware group has been identified as the culprit behind a series of cyberattacks targeting businesses and critical infrastructure
## Information:

+ Link: https://thecyberexpress.com/akira-ransomware-group-advisory/
+ Source: The Cyber Express
+ Author: Ashish Khaitan
+ Date published: 19 April 2024, 12:14
+ Date scraped: 19 April 2024, 13:01

## Article:
![Main article image](https://thecyberexpress.com/wp-content/uploads/shutterstock_2259044709-1.webp)


The Akira ransomware group has been identified as the culprit behind a series of cyberattacks targeting businesses and critical infrastructure entities across North America, Europe, and Australia.


According to the latest advisory by the U.S. Federal Bureau of Investigation (FBI), since March 2023, the Akira ransomware group has successfully breached over 250 organizations, amassing a staggering $42 million in ransomware payments.


Initially focusing on Windows systems, Akira’s tactics have recently expanded to include Linux variants, intensifying concerns among global cybersecurity agencies.


The [FBI](https://thecyberexpress.com/?s=FBI), in collaboration with key players such as the Cybersecurity and Infrastructure Security Agency ([CISA](https://thecyberexpress.com/?s=CISA)), Europol’s European Cybercrime Centre (EC3), and the Netherlands’ National Cyber Security Centre (NCSC-NL), has issued a joint advisory on Akira ransomware to raise awareness and disseminate crucial threat information.


### The Hidden Modus Operandi of the Akira Ransomware Group


The [FBI revealed](https://www.cisa.gov/sites/default/files/2024-04/aa24-109a-stopransomware-akira-ransomware.pdf) the modus operandi of the Akira ransomware group that involves a multi-faceted approach to infiltrate and compromise targeted organizations. Leveraging vulnerabilities in Cisco systems, particularly CVE-2020-3259 and CVE-2023-20269, Akira actors exploit weaknesses in virtual private networks (VPNs) lacking [multifactor authentication](https://thecyberexpress.com/cybersecurity-awareness-month-what-is-2fa-mfa-and-why-should-you-care/) (MFA), alongside other entry points such as Remote Desktop Protocol (RDP) and spear phishing.


Once inside the network, [Akira](https://thecyberexpress.com/?s=Akira) operatives establish persistence by creating new domain accounts and employing post-exploitation techniques like credential scraping and credential scraping tools like Mimikatz and LaZagne. 


This enables them to escalate privileges and navigate the network undetected, utilizing reconnaissance tools like SoftPerfect and Advanced IP Scanner to map out the infrastructure.


Moreover, the threat actor has evolved over the years and has been using multiple ransomware variants “against different system architectures within the same compromise event”. This strategy differs from what was previously reported in the Akira affiliate partners and their [hacking](https://thecyberexpress.com/what-is-hacking/) processes. 


“Akira threat actors were first observed deploying the Windows-specific “Megazord” ransomware, with further analysis revealing that a second payload was concurrently deployed in this attack (which was later identified as a novel variant of the Akira ESXi encryptor, “Akira\_v2”)”, says the [FBI](https://www.cisa.gov/sites/default/files/2024-04/aa24-109a-stopransomware-akira-ransomware.pdf).


### Defense Evasion, Encryption and Mitigation


Apart from upgrades in its offensive side, the Akira ransomware group has next-gen stealth to evade detection. The group, according to the FBI, has been deploying a variety of tactics, including disabling security software and deploying multiple ransomware variants simultaneously.


The ransomware encryption process is sophisticated, employing a hybrid encryption scheme combining ChaCha20 stream cipher with RSA public-key cryptosystem, tailored to file types and sizes. Encrypted files are marked with either a .akira or .powerranges extension, with the ransom note strategically placed in directories.


In response to the threat posed by Akira ransomware, cybersecurity authorities like CISA advocate for proactive measures to mitigate [risks](https://thecyberexpress.com/what-are-risks-in-cybersecurity/) and enhance organizational resilience. Recommendations include implementing multifactor authentication, maintaining up-to-date software patches, segmenting networks, and employing robust endpoint detection and response (EDR) tools.


Furthermore, organizations are advised to conduct regular audits of user accounts, disable unused ports, and enforce the principle of least privilege to limit unauthorized access. Backup strategies should include offline, encrypted backups covering the entire data infrastructure, ensuring rapid recovery in the event of a [ransomware attack](https://thecyberexpress.com/blacksuit-ransomware-attack/).


*Media Disclaimer: This report is based on internal and external research obtained through various means. The information provided is for reference purposes only, and users bear full responsibility for their reliance on it. [The Cyber Express](https://thecyberexpress.com/) assumes no liability for the accuracy or consequences of using this information.*





## Tags:
***CVE's***: CVE-2023-20269 CVE-2020-3259

### Autogenerated tags:
[[akira]] [[ransomware]] [[cybersecurity]]
