# Babuk Source Code Sparks 9 Different Ransomware Strains Targeting VMware ESXi Systems
## 9 new ransomware families emerge from leaked Babuk source code, capable of targeting Linux and ESXi environments
## Information:

+ Link: https://thehackernews.com/2023/05/babuk-source-code-sparks-9-new.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 11 May 2023, 16:02
+ Date scraped: 11 May 2023, 11:02

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEjEOEakS0Z6qDXzcKEPCk9klQKPmS3JCe4exDhqho5dGLJzYB6VTBIYSjtyXpvTxg7ZUWxkrSGFQwYm5EmkgonHJfnUUVve3-S4dSyNcTvP5MJgjB6ZDCSXYaJIHbT3j8t1Cf2-dL1Lyb-9p3Qlz9-w6LWhod21PKpuSLZGkUgXeN0qymN5qI1NhvsJ/s728-e365/ransomware.png)


Multiple threat actors have capitalized on the leak of Babuk (aka Babak or Babyk) ransomware code in September 2021 to build as many as nine different ransomware families capable of targeting VMware ESXi systems.


"These variants emerged through H2 2022 and H1 2023, which shows an increasing trend of Babuk source code adoption," SentinelOne security researcher Alex Delamotte [said](https://www.sentinelone.com/labs/hypervisor-ransomware-multiple-threat-actor-groups-hop-on-leaked-babuk-code-to-build-esxi-lockers/) in a report shared with The Hacker News.


"Leaked source code enables actors to target Linux systems when they may otherwise lack expertise to build a working program."


A number of [cybercrime groups](https://www.fortiguard.com/threat-signal-report/4736/new-conti-ransomware-campaign-observed-in-the-wild-1), both big and small, have set their sights on ESXi hypervisors. What's more, at least three different ransomware strains – [Cylance](https://blog.cyble.com/2023/04/07/new-cylance-ransomware-with-power-packed-commandline-options/), [Rorschach](https://thehackernews.com/2023/04/rorschach-ransomware-emerges-experts.html) (aka BabLock), [RTM Locker](https://thehackernews.com/2023/04/rtm-lockers-first-linux-ransomware.html) – that have emerged since the start of the year are based on the leaked Babuk source code.


SentinelOne's latest analysis shows that this phenomenon is more common, with the cybersecurity company identifying source code overlaps between Babuk and ESXi lockers attributed to [Conti](https://thehackernews.com/2022/05/conti-ransomware-gang-shut-down-after.html) and [REvil](https://thehackernews.com/2022/05/new-revil-samples-indicate-ransomware.html) (aka REvix).


Other ransomware families that have ported various features from Babuk into their respective code include LOCK4, [DATAF](https://www.pcrisk.com/removal-guides/25442-dataf-locker-ransomware), [Mario](https://twitter.com/malwrhunterteam/status/1560327142621208577), [Play](https://thehackernews.com/2023/01/rackspace-confirms-play-ransomware-gang.html), and Babuk 2023 (aka XVGV) ransomware.


Despite this noticeable trend, SentinelOne said it observed no parallels between Babuk and [ALPHV](https://thehackernews.com/2022/09/blackcat-ransomware-attackers-spotted.html), [Black Basta](https://thehackernews.com/2022/11/black-basta-ransomware-gang-actively.html), [Hive](https://thehackernews.com/2023/01/hive-ransomware-infrastructure-seized.html), and [LockBit](https://thehackernews.com/2023/03/lockbit-30-ransomware-inside.html)'s ESXi lockers, adding it found "little similarity" between [ESXiArgs](https://thehackernews.com/2023/02/new-esxiargs-ransomware-variant-emerges.html) and Babuk, indicating an erroneous attribution.


"Based on the popularity of Babuk's ESXi locker code, actors may also turn to the group' Go-based NAS locker," Delamotte said. "Golang remains a niche choice for many actors, but it continues to increase in popularity."


The development comes as threat actors associated with [Royal ransomware](https://thehackernews.com/2023/03/us-cybersecurity-agency-raises-alarm.html), who are suspected to be former Conti members, have expanded their attack toolkit with an ELF variant that's capable of striking Linux and ESXi environments.


"The ELF variant is quite similar to the Windows variant, and the sample does not contain any obfuscation," Palo Alto Networks Unit 42 [said](https://unit42.paloaltonetworks.com/royal-ransomware/) in a write-up published this week. "All strings, including the RSA public key and ransom note, are stored as plaintext."


Royal ransomware attacks are facilitated by means of various initial access vectors such as [callback phishing](https://thehackernews.com/2022/11/luna-moth-gang-invests-in-call-centers.html), [BATLOADER infections](https://thehackernews.com/2022/12/royal-ransomware-threat-takes-aim-at-us.html), or compromised credentials, which is then abused to drop a Cobalt Strike Beacon as a precursor to ransomware execution.


Since bursting on the scene in September 2022, Royal ransomware has claimed responsibility for targeting 157 organizations on their leak site, with most of the attacks targeting manufacturing, retail, legal services, education, construction, and healthcare services in the U.S., Canada, and Germany.



  





## Tags:


### Autogenerated tags:
[[babuk]] [[ransomware]] [[esxi]] [[sentinelone]]
