# Chinese Experts Uncover Details of Equation Group's Bvp47 Covert Hacking Tool
## A team of Chinese researchers has revealed details of a "top-tier" backdoor used by the Equation Group, a APT group linked to the NSA.
## Information:

+ Link: https://thehackernews.com/2022/02/chinese-experts-uncover-details-of.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 23 February 2022, 08:39
+ Date scraped: 23 February 2022, 09:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/a/AVvXsEjz6jaN5ZmuI2vrv0ixbuqodilw4p_0A2ANBeR9_iboOOwbl1u5cWSILn2ItbHPhhFoNDlv599yvK2PIMfaMOU58LU2arVRwYCnv12dAms9OlPBAWCazq09v6yi-oJAQiYfvoSQHUJ2Tz8xaLOFIjpdix2mPQ86JxDizi7NjxUQ_h7PDC0eOw3jVQDP=s728-e1000)


Researchers from China's Pangu Lab have disclosed details of a "top-tier" backdoor put to use by the **Equation Group**, an advanced persistent threat (APT) with alleged ties to the cyber-warfare intelligence-gathering unit of the U.S. National Security Agency (NSA).


Dubbed "[Bvp47](https://www.pangulab.cn/en/post/the_bvp47_a_top-tier_backdoor_of_us_nsa_equation_group/)" owing to numerous references to the string "Bvp" and the numerical value "0x47" used in the encryption algorithm, the backdoor was extracted from Linux systems "during an in-depth forensic investigation of a host in a key domestic department" in 2013.


Pangu Lab codenamed the attacks involving the deployment of Bvp47 "Operation Telescreen," with the implant featuring an "advanced covert channel behavior based on TCP SYN packets, code obfuscation, system hiding, and self-destruction design."


### The Shadow Broker leaks


[Equation Group](https://malpedia.caad.fkie.fraunhofer.de/actor/equation_group), dubbed the "[crown creator of cyber espionage](https://www.kaspersky.com/about/press-releases/2015_equation-group-the-crown-creator-of-cyber-espionage)" by Russian security firm Kaspersky, is the name assigned to a sophisticated adversary that's been active since at least 2001 using previously undisclosed zero-day exploits to "infect victims, retrieve data and hide activity in an outstandingly professional way," some of which were later incorporated into [Stuxnet](https://thehackernews.com/2013/07/Edward-Snowden-Stuxnet-NSA-Israel.html).


The attacks have targeted a variety of sectors in no less than 42 countries, including governments, telecom, aerospace, energy, nuclear research, oil and gas, military, nanotechnology, Islamic activists and scholars, media, transportation, financial institutions, and companies developing encryption technologies.


The group is believed to be linked to the NSA's Tailored Access Operations ([TAO](https://en.wikipedia.org/wiki/Tailored_Access_Operations)) unit, while intrusion activities pertaining to a second collective dubbed [Longhorn](https://securelist.com/apt-trends-report-q1-2021/101967/#other-interesting-discoveries) (aka The Lamberts) have been attributed to the U.S. Central Intelligence Agency (CIA).


Equation Group's malware toolset became public knowledge in 2016 when a group calling itself the [Shadow Brokers](https://en.wikipedia.org/wiki/The_Shadow_Brokers) leaked the entire tranche of exploits used by the elite hacking team, with Kaspersky uncovering [code-level similarities](https://securelist.com/the-equation-giveaway/75812/) between the stolen files and that of samples identified as used by the threat actor.


### Bvp47 as a covert backdoor


The incident analyzed by Pangu Lab comprises two internally compromised servers, an email and an enterprise server named V1 and V2 respectively, and an external domain (dubbed A), sporting a novel two-way communication mechanism to exfiltrate sensitive data from the systems.


[![Bvp47 Covert Hacking Tool](https://thehackernews.com/new-images/img/a/AVvXsEgFibpx6FH67Qh1nM950uehmVU_N6vqDPXi63ZzXtpTyKBygpygXlf4C5_PUJCeawwnI5W32PVYV6W23FBEyMeG6j6sNWFAMXfTSTGSvIrTg7bV7M68lodJ-H04vXGmvukDOnPoiAIIOllaM6fMRi8SzxkSbN732rCFeEtgXpBzIBjodEnZlSLk-g1j=s728-e1000)](https://thehackernews.com/new-images/img/a/AVvXsEgFibpx6FH67Qh1nM950uehmVU_N6vqDPXi63ZzXtpTyKBygpygXlf4C5_PUJCeawwnI5W32PVYV6W23FBEyMeG6j6sNWFAMXfTSTGSvIrTg7bV7M68lodJ-H04vXGmvukDOnPoiAIIOllaM6fMRi8SzxkSbN732rCFeEtgXpBzIBjodEnZlSLk-g1j)
"There is abnormal communication between external host A and the V1 server," the researchers said. "Specifically, A first sends a [SYN packet](https://en.wikipedia.org/wiki/Transmission_Control_Protocol#Connection_establishment) with a 264-byte payload to port 80 of the V1 server, and then the V1 server immediately initiates an external connection to the high-end port of the A machine and maintains a large amount of exchange data."


Simultaneously, V1 connects to V2 via the [SMB service](https://en.wikipedia.org/wiki/Server_Message_Block) to perform a number of operations, including logging in to the latter with an administrator account, trying to open terminal services, enumerating directories, and executing PowerShell scripts through scheduled tasks.


V2, for its part, also connects to V1 to retrieve a PowerShell script and an encrypted second-stage payload, the encrypted execution results of which are sent back to V1, which, according to the researchers, "acts as a data transfer between the A machine and the V2 server."


The Bvp47 backdoor installed on the servers consists of two parts, a loader which is responsible for decoding and loading the actual payload into memory. "Bvp47 generally lives in the Linux operating system in the demilitarized zone that communicates with the Internet," the researchers said. "It mainly assumes the core control bridge communication role in the overall attack."


### Links to the Equation Group


Pangu Lab's attribution to Equation Group stems from overlaps with exploits contained in a GPG-encrypted archive file published by the Shadow Brokers – "[eqgrp-auction-file.tar.xz.gpg](https://github.com/x0rz/EQGRP)" – as part of a [failed](https://imgur.com/a/sYpyn) [auction](https://www.riskbasedsecurity.com/2016/08/15/the-shadow-brokers-lifting-the-shadows-of-the-nsas-equation-group/) of the cyber weapons in August 2016.


[![Bvp47 Covert Hacking Tool](https://thehackernews.com/new-images/img/a/AVvXsEg_XLGmC5orK4k0VdGLnei3I63B2ZVsNgWW9PvnBC0ySh5H2_cm5w-KUuRckZUYDh9lob9_DFeL0h3y6EnIZAZ9NGao2bv8F-SlTD79s_tjPBZ2P-IBzbwcaqnz0Rag4-_o1hOewo80TM1-NGAFZ26L8bof8rbL-MltFC1JWCicmzBDQ06rjcyiGKlu=s728-e1000)](https://thehackernews.com/new-images/img/a/AVvXsEg_XLGmC5orK4k0VdGLnei3I63B2ZVsNgWW9PvnBC0ySh5H2_cm5w-KUuRckZUYDh9lob9_DFeL0h3y6EnIZAZ9NGao2bv8F-SlTD79s_tjPBZ2P-IBzbwcaqnz0Rag4-_o1hOewo80TM1-NGAFZ26L8bof8rbL-MltFC1JWCicmzBDQ06rjcyiGKlu)
"In the process of analyzing the 'eqgrp-auction-file.tar.xz.gpg' file, it was found that Bvp47 and the attacking tools in the compressed package were technically deterministic, mainly including 'dewdrops,' 'suctionchar\_agents,' 'tipoffs,' 'StoicSurgeon,' 'incision' and other directories," the researchers explained.


"The 'tipoffs' directory contains the [RSA asymmetric algorithm](https://en.wikipedia.org/wiki/RSA_(cryptosystem)) private key used in the Bvp47 covert channel [for] command execution and other operations. On this basis, it can be confirmed that Bvp47 is from [the] Equation group."


The findings mark the second time hitherto undocumented malware developed by the Equation Group has come to light in as many months. In late December 2021, Check Point Research disclosed details of a diagnostic utility called "[DoubleFeature](https://thehackernews.com/2021/12/experts-detail-logging-tool-of.html)" that's used in conjunction with the DanderSpritz malware framework.


"Judging from the attack tools related to the organization, including Bvp47, Equation group is indeed a first-class hacking group," the researchers concluded.


"The tool is well-designed, powerful, and widely adapted. Its network attack capability equipped by 0day vulnerabilities was unstoppable, and its data acquisition under covert control was with little effort. The Equation Group is in a dominant position in national-level cyberspace confrontation."


  






## Tags:


### Autogenerated tags:
[[bvp47]] [[v1]] [[pangu]] [[v2]] [[malware]]
