# Cisco Patches High-Severity Vulnerability Affecting ASA and Firepower Solutions
## Cisco releases patches for a high-severity vulnerability affecting ASA and Firepower solutions.
## Information:

+ Link: https://thehackernews.com/2022/08/cisco-patches-high-severity.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 12 August 2022, 08:14
+ Date scraped: 12 August 2022, 09:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj1RcTVnHhouRdfoYLMyO6QeXdmZ2TH3TnY_67NioGcFmfJUC49dI1E0aDIxVKszQt7mkupMVC626d6spR7BGsrA3yzQpuRr4YwvLgksPS-Ea1xThw4eLhdqIcY-G2b1O46G7obzL8DK-0NUDIFyK5UbMyZDchGruV-WQVn62LT-i5tZLFB3Of2Qn_y/s728-e1000/cisco-patch-update.jpg)


Cisco on Wednesday released patches to contain multiple flaws in its software that could be abused to leak sensitive information on susceptible appliances.


The issue, assigned the identifier [CVE-2022-20866](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-asaftd-rsa-key-leak-Ms7UEfZz) (CVSS score: 7.4), has been described as a "logic error" when handling RSA keys on devices running Cisco Adaptive Security Appliance (ASA) Software and Cisco Firepower Threat Defense (FTD) Software.


Successful exploitation of the flaw could allow an attacker to retrieve the RSA private key by means of a [Lenstra side-channel attack](https://www.redhat.com/en/blog/factoring-rsa-keys-tls-perfect-forward-secrecy) against the targeted device.


"If an attacker obtains the RSA private key, they could use the key to impersonate a device that is running Cisco ASA Software or Cisco FTD Software or to decrypt the device traffic," Cisco warned in an advisory issued on August 10.


Cisco noted that the flaw impacts only Cisco ASA Software releases 9.16.1 and later and Cisco FTD Software releases 7.0.0 and later. Affected products are listed below -


* ASA 5506-X with FirePOWER Services
* ASA 5506H-X with FirePOWER Services
* ASA 5506W-X with FirePOWER Services
* ASA 5508-X with FirePOWER Services
* ASA 5516-X with FirePOWER Services
* Firepower 1000 Series Next-Generation Firewall
* Firepower 2100 Series Security Appliances
* Firepower 4100 Series Security Appliances
* Firepower 9300 Series Security Appliances, and
* Secure Firewall 3100


ASA software versions 9.16.3.19, 9.17.1.13, and 9.18.2, and FTD software releases 7.0.4, 7.1.0.2-2, and 7.2.0.1 have been released to address the security vulnerability.


Cisco credited Nadia Heninger and George Sullivan of the University of California San Diego and Jackson Sippe and Eric Wustrow of the University of Colorado Boulder for reporting the bug.


Also patched by Cisco is a client-side request smuggling flaw in the [Clientless SSL VPN](https://www.cisco.com/c/en/us/td/docs/security/asa/asa97/configuration/vpn/asa-97-vpn-config/webvpn-overview.html) (WebVPN) component of Cisco Adaptive Security Appliance (ASA) Software that could enable an unauthenticated, remote attacker to conduct browser-based attacks, such as cross-site scripting, against the victim.


The company said the weakness, [CVE-2022-20713](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-asa-webvpn-LOeKsNmO) (CVSS score: 4.3), impact Cisco devices running a release of Cisco ASA Software earlier than release 9.17(1) and have the Clientless SSL VPN feature turned on.


While there are no workarounds to remediate the flaw, affected users can disable the Clientless SSL VPN feature, although Cisco warns doing so "may negatively impact the functionality or performance" of the network.


The development comes as cybersecurity firm Rapid7 [disclosed](https://www.rapid7.com/blog/post/2022/08/11/rapid7-discovered-vulnerabilities-in-cisco-asa-asdm-and-firepower-services-software/) details of 10 bugs found in ASA, Adaptive Security Device Manager (ASDM), and FirePOWER Services Software for ASA, seven of which have since been addressed by Cisco.


These include [CVE-2022-20829](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-asa-asdm-sig-NPKvwDjm) (CVSS score: 9.1), [CVE-2022-20651](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-asdm-logging-jnLOY422) (CVSS score: 5.5), [CVE-2021-1585](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-asdm-rce-gqjShXW) (CVSS score: 7.5), [CVE-2022-20828](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-asasfr-cmd-inject-PE4GfdG) (CVSS score: 6.5), and three other flaws that have not been assigned a CVE identifier.


  





## Tags:
***CVE's***: CVE-2022-20713 CVE-2022-20866 CVE-2022-20828 CVE-2021-1585 CVE-2022-20829 CVE-2022-20651
***ipv4-adresses***: 7.1.0.2 9.17.1.13 7.2.0.1 9.16.3.19

### Autogenerated tags:
[[cvss]] [[ftd]] [[rsa]] [[ssl]] [[vpn]]
