# ZLoader Malware Evolves with Anti-Analysis Trick from Zeus Banking Trojan
## ZLoader modular malware trojan has resurfaced with anti-analysis feature that prevents execution on machines different from the original infection.
## Information:

+ Link: https://thehackernews.com/2024/05/zloader-malware-evolves-with-anti.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 01 May 2024, 15:57
+ Date scraped: 01 May 2024, 11:07

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjIVj9gB5uKAcvta-MNdQNtE181VEO8UUMOEPh9Ri4YgwimFwJb4Yu4GNuw8LxC-EHuBxxAzI_9Z1i7sVxePZLWQq5I_bCSnNAN6jeEMNXZvYYfE0oH4IleVb3E6P71chDhpTrBFZ6x70PMNDnDYLrs-PQgR2u79Lp9-9S8TYaryOyriIEFsPsT2m2ubYYg/s728-rw-e365/malware.png)


The authors behind the resurfaced **ZLoader** malware have added a feature that was originally present in the Zeus banking trojan that it's based on, indicating that it's being actively developed.


"The latest version, 2.4.1.0, introduces a feature to prevent execution on machines that differ from the original infection," Zscaler ThreatLabz researcher Santiago Vicente [said](https://www.zscaler.com/blogs/security-research/zloader-learns-old-tricks) in a technical report. "A similar anti-analysis feature was present in the leaked ZeuS 2.X source code, but implemented differently."


ZLoader, also called Terdot, DELoader, or Silent Night, [emerged](https://thehackernews.com/2024/01/new-zloader-malware-variant-surfaces.html) after a nearly two-year hiatus around September 2023 following its takedown in early 2022.


A modular trojan with capabilities to load next-stage payloads, recent versions of the malware have added RSA encryption as well as updates to its domain generation algorithm (DGA).


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEiuUUskkMH9dUT3LF77_Q_irGuaE4LGjp-Am2Ls_UzGJ5EBnZHfuFiSvKs4OPE5KmfedBHcuZZVHS4Bh48UJx8brpwtg6Vr2Gepbaw-lGMIm9HjUhyphenhyphen2W5DVm5-ymwPS691Ie32TrCqFIv6SxNRA-jOKCKZrOB5dV7BfL0zVAhOO0neNkP9yv-XePBU1hN_0/s728-e365/wing-d.png)](https://thehackernews.uk/third-party-risk-management-saas)
The latest sign of ZLoader's evolution comes in the form of an anti-analysis feature that restricts the binary's execution to the infected machine.


The feature, present in artifacts with versions greater than 2.4.1.0, causes the malware to abruptly terminate if they are copied and executed on another system post-initial infection. This is accomplished by means of a Windows Registry check for a specific key and value.


"The Registry key and value are generated based on a hardcoded seed that is different for each sample," Vicente said.


"If the Registry key/value pair is manually created (or this check is patched), ZLoader will successfully inject itself into a new process. However, it will terminate again after executing only a few instructions. This is due to a secondary check in ZLoader's MZ header."


This means that ZLoader's execution will be stalled in a different machine unless the seed and MZ header values are set correctly and all the Registry and disk paths/names from the originally compromised system are replicated.


Zscaler said the technique used by Zloader to store the installation information and avoid being run on a different host shares similarities with ZeuS version 2.0.8, albeit implemented in a different manner, which relied on a data structure called [PeSettings](https://www.tidos-group.com/blog/2011/09/30/zeus-trojan-update-new-variants-based-on-leaked-zeus-source-code/) to [store the configuration](https://www.gdatasoftware.com/blog/2017/08/29928-analysis-zeus-panda) instead of the Registry.


"In recent versions, ZLoader has adopted a stealthy approach to system infections," Vicente said. "This new anti-analysis technique makes ZLoader even more challenging to detect and analyze."


The development comes as threat actors are utilizing fraudulent websites hosted on popular legitimate platforms like Weebly to spread stealer malware and steal data via black hat search engine optimization (SEO) techniques.


[![Cybersecurity](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEg_WRs2jRYPNRPdVnIJ52g0Zo3TY_c0FSwk8ZZN085hqm-nXig4b7WIZCpqdHexadU4EmZ402vX1EghcAxIZGa9lwLkWAPPYzPbg1gc5UZCbvTtOHQ3ozwiQAgJ1ahKFoOp8SZl-JN8_URGwiu9aTe5U2wiVHGEetM-S7kKkmgPMNdL_83d5HTJrLm7iBp6/s728-e365/cis-d.png)](https://thehackernews.uk/cis-hardened-images)
"This catapults their fraudulent site to the top of a user's search results, increasing the likelihood of inadvertently selecting a malicious site and potentially infecting their system with malware," Zscaler researcher Kaivalya Khursale [said](https://www.zscaler.com/blogs/security-research/black-hat-seo-leveraged-distribute-malware).


A notable aspect of these campaigns is that the infection only proceeds to the payload delivery stage if the visit originates from search engines like Google, Bing, DuckDuckGo, Yahoo, or AOL, and if bogus sites are not accessed directly.


Over the past two months, email-based phishing campaigns have also been observed targeting organizations in the U.S., Turkey, Mauritius, Israel, Russia, and Croatia with [Taskun malware](https://threats.kaspersky.com/en/threat/Trojan.MSIL.Taskun/), which acts as a facilitator for Agent Tesla, per [findings](https://veriti.ai/blog/veriti-research/agent-tesla-campaign-targets-us-education-and-government-sectors/) from Veriti.


  





## Tags:
***ipv4-adresses***: 2.4.1.0

### Autogenerated tags:
[[zloader]] [[malware]] [[zscaler]] [[vicente]] [[anti-analysis]]
